2017-02-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	Don't use string-make-unibyte that got obsolete in Emacs 26.

	* mew-shimbun.el (mew-shimbun-md5): Encode a string by utf-8-emacs.
	* nnshimbun.el (gnus-group-make-shimbun-group): Don't use it.

2016-10-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yoshirin.el (shimbun-yoshirin-make-contents):
	Decode thumnail's caption if necessary.

2016-10-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-group-table): Fix fuchiso url.
	(shimbun-mainichi-get-headers-fuchisou): New function.
	(shimbun-get-headers): Use it.
	(shimbun-mainichi-get-headers): Fix regexp.
	(shimbun-mainichi-clear-contents): Don't conceal error page.

	Note: These changes don't let we get to subscribe to fuchiso (yet).
	It requires shimbun.el to work for <body onload="..."> automatically.
	In addition, a user has to have an account on mainichi.jp of course.

2016-09-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (nnshimbun-decode-group-name)
	(gnus-group-make-shimbun-group): Use Emacs functions rather than
	mm-coding-system-p, mm-decode-coding-string, or mm-encode-coding-string.

2016-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el: Add an advice to gnus-backlog-shutdown.
	(nnshimbun-close-server): Use unadvised gnus-backlog-shutdown.

2016-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	Don't use `string-as-unibyte' that is obsolete in Emacs 25.2.
	Use `string-make-unibyte' instead.

	* mew-shimbun.el (mew-shimbun-md5):
	* nnshimbun.el (gnus-group-make-shimbun-group): Do.

2016-07-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-clear-contents):
	Improve the way to find the article end.

2016-03-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkangendai.el (shimbun-nikkangendai-get-headers-top): Work.

2016-03-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkangendai.el (shimbun-multi-clear-contents): Fix regexp.

2016-03-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-clear-contents): Make it work.

2016-03-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-clear-contents): Remove garbage.

2015-12-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-clear-contents):
	Emergency fix to regexp to search article body.

2015-12-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yoshirin.el (shimbun-yoshirin-x-face-alist): Add a face.

2015-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkangendai.el (shimbun-clear-contents): Remove;
	merge to shimbun-multi-clear-contents.
	(shimbun-multi-clear-contents): Improve regexp to search img tag;
	add author's info and subtitle if any.

2015-12-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkangendai.el (shimbun-nikkangendai-get-headers-top)
	(shimbun-nikkangendai-get-headers, shimbun-multi-next-url)
	(shimbun-clear-contents): Rewrite following the site renewal.

2015-11-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkangendai.el (shimbun-clear-contents): Fix image gathering.

2015-11-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkangendai.el (shimbun-clear-contents):
	Don't exclude article head.

2015-10-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kyoko-np.el: Disable expiration and enable hankaku by default.
	(shimbun-clear-contents): Remove App store info.

2015-10-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkangendai.el: New file, a successor of sb-gendai-net.el.
	* sb-gendai-net.el: Remove.

2015-10-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kyoko-np.el (shimbun-headers): Say "Checking new news...".

2015-09-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kyoko-np.el: New file.

2015-09-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yoshirin.el (shimbun-yoshirin-get-thumnail):
	No need to use shimbun-replace-in-string; always expose alt text.
	(shimbun-yoshirin-make-contents): Don't insert thumnail if the same one
	exists already in the article body.

2015-09-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yoshirin.el: New file.

2015-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-get-headers)
	(shimbun-sankei-get-headers-top-1): Protect against timestamp typo.

2015-02-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-article-contents):
	Respect shimbun-japanese-hankaku.

2015-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-clear-contents): Remove ads.

2014-11-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-group-table): Add `top' group.
	(shimbun-sankei-get-headers-top, shimbun-sankei-get-headers-top-1):
	New functions.
	(shimbun-get-headers): Call shimbun-sankei-get-headers-top.
	(shimbun-sankei-clear-contents): Update Date header.

2014-10-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-group-table): Typo fix s/regino/region/;
	rearrange Japanese group names.
	(shimbun-sankei-category-name-alist): New variable.
	(shimbun-sankei-get-headers): Categorize author names in flash group.
	(shimbun-sankei-clear-contents): Work for old articles.

2014-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el: Work for the new Sankei-news.
	(shimbun-sankei): Don't rely on sb-rss.
	(shimbun-sankei-url, shimbun-sankei-top-level-domain)
	(shimbun-sankei-server-name, shimbun-sankei-group-table)
	(shimbun-sankei-x-face-alist): Renew.
	(shimbun-headers, shimbun-server-name): Remove function modifiers.
	(shimbun-sankei-get-headers, shimbun-sankei-multi-next-url)
	(shimbun-sankei-clear-contents): Rewrite.
	(shimbun-footer): Correct shimbun server name.

2014-09-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Fix regexp for rss group.

2014-07-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-content-start, shimbun-asahi-content-end)
	(shimbun-asahi-text-content-start, shimbun-asahi-text-content-end):
	Update them following the Asahi site changes.

2014-01-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el: Fix edebug spec for the static-* macros.

2013-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Update regexp matching
	articles in rss group.

2013-12-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-article-contents): Don't infloop.

2013-12-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-article-contents):
	Work for editorial and tenjin groups again.

2013-11-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	Work for editorial and tenjin groups again.

	* sb-asahi.el (shimbun-asahi-group-table): Update urls and regexps.
	(shimbun-asahi-article-contents): New function.
	(shimbun-asahi-get-headers): Save articles' contents in NOV file.
	(shimbun-asahi-get-headers-for-today): Abolish.
	(shimbun-article, shimbun-asahi-article): New method.
	(shimbun-asahi-prepare-article): Do nothing for those groups.

2013-10-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-content-start, shimbun-asahi-content-end):
	Update.
	(shimbun-asahi-clear-contents): Remove useless ads and links.

2013-06-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-footer): Enclose url with <> to ensure that Gnus
	buttonizes it correctly even if it is folded into two or more lines.

	* sb-sankei.el (shimbun-sankei-clear-contents): Remove trailing
	successive orphaned open tags.

2013-06-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-get-headers): Update regexp for kodera group.

	* sb-yahoo-auctions.el: Add coding cookie.

	* sb-mainichi.el (shimbun-mainichi-multi-next-url):
	Support the other type of navigator.

2013-06-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-get-headers): Update regexp.

2013-05-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-xml-parse-buffer): Don't try to parse corrupt xml.

	* sb-rss.el (shimbun-rss-get-headers): Don't conceal an error if
	debug-on-error or debug-on-quit is non-nil.

2012-07-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-flet): Alias to w3m-flet.

	* sb-chise.el (shimbun-headers): Use it.

2012-07-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-chise.el (shimbun-headers): Don't use flet.

2012-05-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-chise.el: New file.

	* sb-mailman.el (shimbun-mailman-make-contents): Don't decode entities;
	restore mail addresses; append comma to day of week in Date header;
	remove useless links around mail addresses.
	(shimbun-mailman-ja-make-contents): Don't decode entities;
	remove useless links around mail addresses.

2012-04-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-ignored-subject): New.
	(shimbun-mainichi-get-headers, shimbun-mainichi-multi-next-url):
	Update regexps.

2012-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-get-headers): Work for blog-en.

2012-04-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-get-headers): Update regexp used for blog-ja.

2012-02-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	Remove marks feature, following Ma Gnus.

	* nnshimbun.el: Don't declare server-marks.
	(nnshimbun-marks-is-evil, nnshimbun-marks-file-name)
	(nnshimbun-marks, nnshimbun-marks-modtime): Remove.
	(nnshimbun-request-set-mark, nnshimbun-marks-changed-p)
	(nnshimbun-request-update-info, nnshimbun-possibly-create-directory)
	(nnshimbun-save-marks, nnshimbun-open-marks): Remove.

2012-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-switch-to-buffer): Abolish.
	* nnshimbun.el (nnshimbun-generate-download-script): Revert to using
	switch-to-buffer.

2012-01-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-index-url): Update url for blog-en.
	(shimbun-get-headers): Retrieve indices, going back to past months, for
	blog-en group; improve regexp matching blog-ja headers.
	(shimbun-clear-contents): Use blog-ja filter also for blog-en.

2011-12-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-get-headers): Update regexp; don't miss revised
	articles.

2011-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-xml-parse-buffer): Silence XEmacs's byte compiler.

2011-11-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-get-headers): Improve regexp for blog-ja.

2011-11-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-index-url): Update url for blog-ja.
	(shimbun-get-headers): Retrieve indices, going back to past months, for
	blog-ja group.
	(shimbun-clear-contents): Add a filter for blog-ja group.

2011-11-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-clear-contents): Rewrite.

2011-10-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo-auctions.el (shimbun-index-url): Revert last change.

2011-10-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-url-coding-system): Abolish.

	* sb-yahoo-auctions.el (shimbun-index-url): Don't specify coding system
	for encoding url.

	* shimbun.el (url-coding-system): Abolish shimbun class.
	(shimbun-retrieve-url): Remove url-coding-system argument.
	(shimbun-fetch-url): Don't specify coding system for url to retrieve.
	(shimbun-attributes): Remove url-coding-system shimbun class.

2011-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-clear-contents): Improve way to extract body.

2011-10-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-group-table): Add jidainokaze group.

2011-10-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-japanese-hankaku-region-1): Fix regexp.

	* sb-sankei.el (shimbun-sankei-group-table): Add west groups.
	(shimbun-server-name): New wrapper.
	(shimbun-sankei-get-headers): Use it.

2011-09-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el: Add the English version of Noda's blog.

2011-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el: Add Noda's blog.
	(shimbun-kantei-groups, shimbun-kantei-x-face-alist, shimbun-index-url)
	(shimbun-from-address, shimbun-make-contents): Update.

2011-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-group-table): Add fuchisou group.

2011-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-group-table): Add flash and science
	groups; remove culture, release, usatoday, and usatoday.ja groups.
	(shimbun-sankei-multi-next-url, shimbun-clear-contents): Remove
	usatoday stuff.

2011-08-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-kantei-x-face-alist): Add new face (commented).

2011-08-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el: Support KAN-FULL blog.
	(shimbun-kantei-groups): Add blog-en and blog-ja groups; remove
	m-magazine-(cn,en,ja,kr) groups.
	(shimbun-kantei-url, shimbun-kantei-x-face-alist, shimbun-index-url)
	(shimbun-from-address, shimbun-get-headers, shimbun-clear-contents):
	Update.

2011-07-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-get-headers): Update regexp matching articles
	in kodera group.
	(shimbun-clear-contents): Work for contents fetched from atmarkit.

2011-07-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-xml-parse-buffer): Use xml-parse-region if
	libxml-parse-xml-region fails for some reason.

2011-07-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-switch-to-buffer): Alias to w3m-switch-to-buffer.

	* nnshimbun.el (nnshimbun-generate-download-script): Use it.

2011-07-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-interactive-p): Alias to w3m-interactive-p.

	* sb-tech-on.el (shimbun-tech-on-login): Use it.

2011-06-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Update regexp for rss groups.

2011-04-21  David Engster  <dengste@eml.cc>

	* shimbun.el (shimbun-xml-parse-buffer): New function for XML parsing
	of whole buffer, using libxml if available.

	* sb-atom.el (shimbun-atom-get-headers): Use it.

	* sb-atom-hash.el (content-hash-update-items-impl): Use it.

	* sb-rss.el (shimbun-rss-get-headers): Use it.

	* sb-rss-hash.el (content-hash-update-items-impl): Use it.

2011-04-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-make-html-contents)
	(shimbun-header-insert-and-buffer-string):
	* sb-multi.el (shimbun-multi-retrieve-next-pages):
	Make base url a directory name.

2011-04-06  David Engster  <dengste@eml.cc>

	* nnshimbun.el: Add 'server-marks when declaring nnshimbun backend.

2011-01-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-get-headers): Improve regexp.

2011-01-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-group-table): Update index urls for
	column groups.
	(shimbun-sankei-multi-next-url, shimbun-sankei-clear-contents): Adapt
	to new html layout.

2010-12-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-beginning-of-tag, shimbun-end-of-tag): Move
	definitions to w3m-util.el as w3m-beginning-of-tag and w3m-end-of-tag.

2010-12-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Update regexp for rss groups.

2010-12-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (nnshimbun-request-set-mark):
	Use nnheader-update-marks-actions if available.

2010-11-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-yahoo-groups-table): Update regexp for topnews.
	(shimbun-yahoo-content-start, shimbun-yahoo-content-end): Update.
	(shimbun-clear-contents): Remove override.

2010-11-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-remove-tags): Work strictly if optional 2nd arg
	is neither nil nor a string.

	* sb-asahi.el (shimbun-asahi-prepare-article): Move removing of form,
	noscript, and script tags to shimbun-asahi-clear-contents.
	(shimbun-asahi-clear-contents): Make shimbun-remove-tags work strictly.

	* sb-kantei.el (shimbun-clear-contents)
	* sb-nytimes.el (shimbun-nytimes-clear-contents)
	* sb-tech-on.el (shimbun-clear-contents): Use shimbun-remove-tags.

	* sb-atmarkit.el (shimbun-clear-contents)
	* sb-cnet-jp.el (shimbun-clear-contents)
	* sb-cnet.el (shimbun-cnet-remove-useless-tags)
	* sb-excite.el (shimbun-clear-contents)
	* sb-ibm-dev.el (shimbun-clear-contents)
	* sb-laut-de.el (shimbun-clear-contents)
	* sb-nikkei.el (shimbun-nikkei-prepare-article-release)
	* sb-opentechpress-jp.el (shimbun-multi-clear-contents)
	(shimbun-clear-contents)
	* sb-perlentaucher-de.el (shimbun-clear-contents)
	* sb-rediff.el (shimbun-clear-contents)
	* sb-slashdot-jp.el (shimbun-clear-contents)
	* sb-sueddeutsche-de.el (shimbun-clear-contents)
	* sb-welt-de.el (shimbun-clear-contents)
	* sb-x51.el (shimbun-clear-contents)
	* sb-zeit-de.el (shimbun-clear-contents):
	Make shimbun-remove-tags work strictly.

2010-11-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-insert-footer): Remove <p> and </p> from the last
	paragraph in order to prevent an empty line from being inserted at the
	end.
	(shimbun-remove-orphaned-tag-strips): Require arg always; find orphans
	forward in addition to backward.

	* sb-asahi.el (shimbun-asahi-clear-contents): Remove related topics
	more; don't remove last </p>; remove orphaned <p>s.

2010-10-01  Matt Lundin  <mdl@imapmail.org>

	* nnshimbun.el (nnshimbun-retrieve-groups): Work properly for groups
	newly subscribed to.

2010-09-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (nnshimbun-request-scan): Do nothing unless a group to
	scan is specified.
	(nnshimbun-retrieve-groups): New function.

2010-09-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (nnshimbun-request-group): Take an optional `info' arg.

2010-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-end-of-tag): Improve regexp.
	(shimbun-beginning-of-tag, shimbun-remove-orphaned-tag-strips):
	New functions.

	* sb-asahi.el (shimbun-asahi-clear-contents)
	* sb-sankei.el (shimbun-sankei-clear-contents):
	Use shimbun-remove-orphaned-tag-strips.

2010-09-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-clear-contents): Remove orphaned tag
	strips.

2010-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-itmedia-group-alist): Update url for kodera.
	(shimbun-get-headers): Add regexp to look for kodera's articles.

2010-08-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-get-headers, shimbun-make-contents): Replace
	Lisp calls to delete-backward-char by calls to delete-char.

2010-06-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el: Add groups for ex-prime minister.

2010-06-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-kantei-x-face-alist): Add new face.

2010-03-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-text-entity-charset): Fix regexp matching meta
	tag.

2010-03-09  David Engster  <dengste@eml.cc>

	* shimbun.el (shimbun-mime-replace-image-tags): Pay attention to
	w3m-ignored-image-url-regexp.

2010-03-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-text-entity-charset): Prefer meta charset rather
	than the one shimbun decides.

2010-03-03  David Engster  <dengste@eml.cc>

	* sb-rss-blogs.el (shimbun-get-headers): Replace call to
	shimbun-rss-get-headers with luna-call-next-method.

	* sb-rss.el (shimbun-get-headers): Revert 5th arg `quit-immediately'.
	(shimbun-rss-get-headers): Delete those headers which only appear to
	be new but are actualy older than the ones we already have.  Sort the
	headers by date if possible.  Added doc-string.
	(shimbun-rss-get-headers-1): New helper function to fetch all items.

	* sb-atom.el (shimbun-atom-get-headers, shimbun-atom-get-headers-1):
	Same changes as for sb-rss.el.

2010-02-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-rss.el (shimbun-rss-get-headers): Add 5th arg `quit-immediately'
	that tells this function to quit when an article that has ever been
	fetched is found.

	* sb-rss-blogs.el (shimbun-get-headers): Set 5th arg passed to it.

2010-02-18  David Engster  <dengste@eml.cc>

	* sb-rss-blogs.el (shimbun-rss-blogs-groups): Removed.
	(shimbun-groups): New override.

2010-02-17  David Engster  <dengste@eml.cc>

	* sb-atom.el (shimbun-atom-get-headers): When encountering an already
	present article, stop fetching further entries.
	* sb-rss.el (shimbun-rss-get-headers): Same change as in sb-atom.

2010-02-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-itmedia-group-alist): Add ogikubo, tachibana,
	and unakami groups in the +D.lifestyle.column hierarchy.
	(shimbun-index-url, shimbun-get-headers): Work for newly added groups.

2010-01-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-clear-contents): Fix regexp matching the
	end of contents.

2010-01-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mew-shimbun.el (mew-kill-buffer): Use with-current-buffer rather than
	save-excursion + set-buffer.
	(mew-mark-clean-up): Use save-current-buffer instead of save-excursion.

	* sb-fml.el (shimbun-make-contents): Use point-at-eol rather than
	`(save-excursion (end-of-line) (point))'; use point-at-bol rather than
	beginning-of-line + point.

2009-11-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el (shimbun-get-headers): Remove "By " from From header.

2009-11-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-atom.el (shimbun-atom-get-headers): Silence XEmacs's byte compiler.

	* sb-atom-hash.el (shimbun-atom-compose-tag): Don't quote lambda form.

2009-10-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-clear-contents): Fix the way to extract pre-
	formatted contents.

2009-10-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-kantei-groups, shimbun-index-url)
	(shimbun-from-address, shimbun-get-headers): Support m-magazine-cn and
	m-magazine-kr groups.

2009-10-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-clear-contents): Fix regexp matching
	captions after images.

2009-10-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-clear-contents): Don't remove footer.

2009-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-clear-contents): Allow irregularly formatted
	tags that separate sub contents.

2009-10-13  David Engster  <dengste@eml.cc>

	* sb-zeit-de.el (shimbun-zeit-de-groups): Updated group list.
	(shimbun-zeit-de-content-end): Updated regexp.
	(shimbun-make-contents): Follow window.location URL.
	(shimbun-clear-contents): Added new tag for removal.

2009-10-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-clear-contents): Remove useless tags.

2009-10-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-clear-contents): Gather all significant
	contents.

2009-10-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (nnshimbun-marks-is-evil, nnshimbun-marks-file-name)
	(nnshimbun-marks, nnshimbun-marks-modtime): New variables.
	(nnshimbun-group-pathname): New function that replaces
	nnshimbun-nov-directory and nnshimbun-nov-file-name.
	(nnshimbun-nov-directory, nnshimbun-nov-file-name): Abolish.
	(nnshimbun-open-nov): Use nnshimbun-group-pathname instead of
	nnshimbun-nov-file-name.
	(nnshimbun-write-nov): Use nnshimbun-group-pathname instead of
	nnshimbun-nov-directory and nnshimbun-nov-file-name.
	(nnshimbun-request-delete-group): Use nnshimbun-group-pathname instead
	of nnshimbun-nov-directory.
	(nnshimbun-request-set-mark, nnshimbun-marks-changed-p)
	(nnshimbun-request-update-info, nnshimbun-possibly-create-directory)
	(nnshimbun-save-marks, nnshimbun-open-marks): New functions.

2009-10-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-clear-contents): Remove blogs link.

2009-10-05  David Engster  <dengste@eml.cc>

	* sb-heise.el (shimbun-heise-get-newsticker-headers)
	(shimbun-heise-wash-newsticker-article): Updated regular expressions.
	Use shimbun-remove-tags instead of delete-region.
	* sb-perlentaucher-de.el (shimbun-clear-contents): RSS does not point
	to teaser anymore, so loading of new URL removed.

2009-10-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-index-url): Update url for m-magazine-en.
	(shimbun-clear-contents): Fix regexps.

2009-09-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el: Support Hatoyama Cabinet E-mail Magazine.

2009-09-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-multi.el: Autoload shimbun-shallow-rendering.

	* sb-impress.el (shimbun-impress-groups-alist): Add car group by
	request.

2009-09-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-cgi-board.el (shimbun-cgi-board-make-date-string):
	* sb-cnet.el (shimbun-rss-process-date):
	* sb-multi.el (shimbun-multi-make-contents): Use values-list to make
	sure the 2nd argument of multiple-value-bind to be multiple-value.

2009-09-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (gnus-group-make-shimbun-group): Don't use
	default-enable-multibyte-characters that is obsolete in Emacs 23.2.
	* sb-tech-on.el (shimbun-tech-on-login): Ditto.
	* shimbun.el (shimbun-header-insert, shimbun-mime-encode-string)
	(shimbun-message): Ditto.

2009-08-14  David Engster  <dengste@eml.cc>

	* sb-debugmagazin-de.el (shimbun-debugmagazin-de-group-url-regexp):
	Updated feeds.
	(shimbun-debugmagazin-de-content-end): Updated to new style.

2009-08-04  David Engster  <dengste@eml.cc>

	* sb-atom-hash.el (content-hash-update-items-impl): Deal with missing
	content.

2009-07-31  David Engster  <dengste@eml.cc>

	* sb-slashdot.el (shimbun-slashdot-regexp-section-id-subject): Adapt to
	new CSS.

2009-06-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el (shimbun-nytimes-clear-contents): Fix regexp matching
	content start.

2009-06-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-tech-on.el (shimbun-clear-contents): Rewrite.

2009-06-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-clear-contents): New override.
	(shimbun-make-contents): Remove override.

2009-05-30  David Engster  <dengste@eml.cc>

	* sb-slashdot.el (shimbun-slashdot-regexp-section-id-subject)
	(shimbun-slashdot-get-headers): Adapt to new URL scheme.

2009-05-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-get-headers): Retrieve also "flash" index page
	for "news" group.

2009-05-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-get-headers): Ignore unwanted links in non-RSS
	index pages.

2009-05-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-get-headers): Don't stop fetching headers in
	the succeeding pages if index range is specified even if url having
	been fetched is found, because Yahoo! updates indices very often;
	make range control work properly.

2009-05-13  David Engster  <dengste@eml.cc>

	* sb-rss-hash.el (shimbun-rss-build-message-id): New override so that
	URL is not stripped at question mark.

2009-05-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-yahoo-content-end): Update.
	(shimbun-make-contents): Narrow to article body first.

	* sb-m17n.el (shimbun-get-headers): Update archive url.

2009-05-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-yahoo-groups-table): Fix default regexp; add
	"news" group.
	(shimbun-index-url): Add special treatment for "news" group.
	(shimbun-get-headers): Ignore unwanted links in "news" group; don't
	lose a link that the default regexp skips; don't stop fetching headers
	in the first page.

2009-05-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-fml.el (shimbun-fml-parse-time)
	* sb-impress.el (shimbun-impress-get-headers)
	* sb-mhonarc.el (shimbun-mhonarc-header-value)
	* sb-ruby.el (shimbun-ruby-parse-time)
	* sb-text.el (shimbun-shallow-rendering)
	* sb-tigris.el (shimbun-tigris-remove-amp)
	* sb-vinelinux.el (shimbun-vinelinux-parse-time): Don't use defsubst.

2009-05-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-yahoo-groups-table): Fix default regexp.

2009-04-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-header-normalize, shimbun-article-base-url)
	(shimbun-content-start, shimbun-content-end, shimbun-strip-cr):
	Don't use defsubst.
	(shimbun-fetch-url): Don't inline shimbun-retrieve-url.
	(shimbun-create-header): Don't inline shimbun-header-set-*.

	* nnshimbun.el (nnshimbun-group-prefixed-name)
	(nnshimbun-group-ephemeral-p, nnshimbun-nov-buffer-name)
	(nnshimbun-nov-directory, nnshimbun-nov-file-name)
	(nnshimbun-insert-nov): Don't use defsubst.

2009-04-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-yahoo-groups-table): Update default regexp.
	(shimbun-yahoo-from-address, shimbun-yahoo-content-end): Update.
	(shimbun-get-headers): Follow change in shimbun-yahoo-groups-table.

	* sb-asahi.el (shimbun-asahi-clear-contents): Remove related topics.

2009-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el (shimbun-rss-build-message-id): New function that
	doesn't strip string following "?" or "#" in url when calculating its
	md5.

2009-04-26  David Engster  <dengste@eml.cc>

	* sb-sueddeutsche-de.el (shimbun-sueddeutsche-de-group-url): New RSS
	feeds.
	(shimbun-sueddeutsche-de-content-start)
	(shimbun-sueddeutsche-de-content-end): Adapt to new layout.
	(shimbun-get-headers): Removed. Use shimbun-article-url instead.
	(shimbun-rss-build-message-id): New URL scheme.
	(shimbun-clear-contents): Adapt to new layout.
	(shimbun-article-url): Retrieve URL for print version of article.

2009-04-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-clear-contents): Remove ads.

2009-04-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-group-table): Update index url for
	sankeisho group.

2009-04-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-clear-contents): Don't remove succeeding
	contents.

2009-04-05  ARISAWA Akihiro  <ari@mbf.ocn.ne.jp>

	* sb-atom.el (shimbun-atom-get-headers): Check `updated' and
	`published' element.

	* sb-atom-hash.el (content-hash-update-items-impl): Ditto.

2009-04-05  ARISAWA Akihiro  <ari@mbf.ocn.ne.jp>

	* sb-hash.el: Don't inherit shimbun;
	Rename class name shimbun-hash -> content-hash.

	* sb-rss-hash.el (shimbun-rss-hash): Don't inherit shimbun-hash;
	Add a new slot `content'.
	(rss-content-hash): New class.
	(shimbun-article): New overriden method.

	* sb-atom-hash.el (shimbun-atom-hash): Don't inherit shimbun-hash;
	Add a new slot `content'.
	(atom-content-hash): New class.
	(shimbun-article): New overriden method.

2009-03-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-content-start, shimbun-asahi-content-end):
	Update.

2009-03-27  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-rss.el: Don't use internal accessor because luna does not
	support it in multiple inheritance.
	(shimbun-rss-initialize-ignored-subject): Use luna-set-slot-value
	instead of shimbun-rss-set-ignored-subject-internal.
	(shimbun-rss-get-headers): Use luna-slot-value instead of
	shimbun-rss-ignored-subject-internal.

2009-03-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Add wakata group.

2009-03-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el: Use sb-multi.
	(shimbun-mainichi-group-table): Add entertainment.art group.
	(shimbun-mainichi-multi-next-url)
	(shimbun-mainichi-multi-clear-contents): New functions.

2009-02-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-use-refresh): New variable.
	(shimbun-headers-1, shimbun-article-1): Bind w3m-use-refresh to it.

2009-02-14  David Engster  <dengste@eml.cc>

	* sb-slashdot.el (shimbun-slashdot-regexp-section-id-subject): Adapted
	regexp.

2009-01-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-tech-on.el (shimbun-multi-next-url): Fix regexp matching next
	buttons.

2009-01-21  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-rss.el (shimbun-rss-initialize-ignored-subject): New function.
	(initialize-instance): Use it.

	* sb-itmedia.el (shimbun-itmedia): Reverted.
	(initialize-instance): New overriden method.

	* sb-opentechpress-jp.el (shimbun-opentechpress-jp): Reverted.
	(initialize-instance): New overriden method.

2009-01-19  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-opentechpress-jp.el (shimbun-opentechpress-jp): Switch the order
	of parent classes.

2009-01-19  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-itmedia.el (shimbun-itmedia): Switch the order of parent classes.

2009-01-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-opentechpress-jp.el (shimbun-opentechpress-jp-content-start)
	(shimbun-opentechpress-jp-content-end)
	(shimbun-multi-next-url)
	(shimbun-multi-clear-contents)
	(shimbun-clear-contents): Follow the site design change.
	(shimbun-opentechpress-jp-ignored-subject): New variable.

2009-01-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-group-table): Update url for it.pc.
	(shimbun-nikkei-get-headers-it-pc): Rewrite.

2008-12-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-headers-1): New function to support refresh.
	(shimbun-headers): Use it.

	* sb-slashdot.el (shimbun-slashdot-get-headers): Don't use
	member-ignore-case that's unavailable in XEmacs 21.4.

2008-12-23  David Engster  <dengste@eml.cc>

	* sb-sueddeutsche-de.el (shimbun-sueddeutsche-de-group-url): Removed
	kino group since feed is broken.
	(shimbun-get-headers, shimbun-rss-build-message-id): Adapt to new URL
	scheme.

	* sb-slashdot.el (sb-multi): Removed.
	(shimbun-slashdot-group-url): Changed frontpage URL.
	(shimbun-slashdot-regexp-section-id-subject): Adapt regexp.
	(shimbun-slashdot-regexp-author-time): Changed for better date parsing.
	(shimbun-slashdot-regexp-comment-system): Removed.
	(shimbun-slashdot-get-headers): Adapt to new site design.  Improved
	date parsing.  Immediately retrieve old comment system.  Removed
	catch/throw since new articles need not be at the top.
	(shimbun-multi-next-url): Removed.
	(shimbun-clear-contents): Changed due to removal of sb-multi.  Set
	quotes in italics.

2008-12-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-aljazeera.el (shimbun-aljazeera-content-end): Add comment.
	(sb-aljazeera-wash-article): Look for content-start and content-end.

	* sb-nytimes.el (shimbun-nytimes-japanese-hankaku): Default to `never'.
	(shimbun-nytimes-clear-contents, shimbun-get-headers): Replace wide
	apostrophe with the normal one.

	* sb-multi.el (toplevel): Load sb-text for shimbun-shallow-rendering
	when compiling; autoload sb-text for shimbun-fill-line at run-time.
	(shimbun-multi-retrieve-next-pages): Support making text/plain articles.

	* sb-sankei.el (shimbun-sankei-clear-contents): Don't break long lines
	in text/plain articles.

	* sb-asahi.el (shimbun-asahi-content-start)
	(shimbun-asahi-text-content-start): Update.

2008-12-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-itmedia-content-start): Don't exclude author's
	face icon.

2008-12-10  David Engster  <dengste@eml.cc>

	* sb-atom.el (shimbun-atom-get-headers): Use the first link if the atom
	feed don't have an "alternate" link element.

	* sb-atom-hash.el (shimbun-hash-update-items-impl): Deal with feeds who
	just publish a summary, in addition to feeds with published content.

2008-12-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-servers-list): Don't exclude rss-hash and
	atom-hash.

2008-11-28  David Engster  <dengste@eml.cc>

	* sb-rss-blogs.el: New file.

2008-11-27  David Engster  <dengste@eml.cc>

	* shimbun.el (shimbun-use-local, shimbun-local-path): New variables.
	(shimbun-retrieve-url): Support offline retrieving of indices.

	* nnshimbun.el (nnshimbun-generate-download-script): New command.

2008-11-11  Naohiro Aota  <nao.aota@gmail.com>

	* sb-aljazeera.el (shimbun-aljazeera-url)
	(shimbun-aljazeera-path-alist): Update to follow changes.

2008-11-10  David Engster  <dengste@eml.cc>

	* sb-slashdot.el (shimbun-slashdot-regexp-section-id-subject)
	(shimbun-slashdot-regexp-comment-system): Updated regexps.

2008-11-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-clear-contents): Add another regexp to
	look for the content start.

2008-10-23  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-rss.el (shimbun-rss-get-headers): Don't check `ignored-subject'
	when subject is empty.

2008-10-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-clear-contents): Remove contents other than the
	ones written by the Prime Minister.

2008-10-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-kantei-x-face-alist): Update.
	(shimbun-clear-contents): Remove style sheet, navigation button, and
	table tags; shrink boundary lines; convert zenkaku ASCII to hankaku.

2008-10-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-get-headers-for-today): Fix regexp.

2008-09-26  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-rss.el (luna-define-class): Add a new slot `ignored-subject'.
	Define internal accessor.
	(initialize-instance): Initialize `ignored-subject'.
	(shimbun-rss-get-headers): Chech if a subject matches with
	`ignored-subject'.

	* sb-impress.el (shimbun-impress-groups-alist): Use rss for
	forest group.
	(shimbun-impress-ignored-subject): Rename from
	shimbun-impress-ignored-subject-regexp.
	(shimbun-headers): Don't check ignored-subject here.

	* sb-itmedia.el (shimbun-itmedia-ignored-subject): New variable.

2008-09-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el: Support Aso Cabinet E-mail Magazine.

2008-09-20  David Engster  <dengste@eml.cc>

	* sb-perlentaucher-de.el (shimbun-perlentaucher-de-url-regexp): Adapt
	to new URL scheme in RSS feed.

	* sb-slashdot.el: Require sb-multi and use it.
	(shimbun-slashdot-content-end, shimbun-slashdot-content-start): Remove.
	(shimbun-slashdot-get-comments, shimbun-slashdot-comment-threshold)
	(shimbun-slashdot-comment-display): New variables.
	(shimbun-slashdot-regexp-author-time): Relax regexp.
	(shimbun-slashdot-regexp-comment-system): New variable.
	(shimbun-slashdot-get-headers): Replace HTML tags in subject.
	(shimbun-multi-next-url, shimbun-clear-contents): New overriden
	methods.

2008-09-15  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-yahoo-auctions.el (shimbun-yahoo-auctions-content-start)
	(shimbun-yahoo-auctions-content-end): Follow the change of the site
	design.
	(shimbun-make-contents): Remove.

2008-09-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-ohmynews-jp.el: Remove.

2008-09-03  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-itmedia.el (shimbun-itmedia-content-start): New variable.
	(shimbun-itmedia-content-end): New variable.
	(shimbun-clear-contents): Call the parents' method for the +D groups.

2008-08-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-kantei-url): Update.

2008-08-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-clear-contents): Remove zoom buttons.

2008-08-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-clear-contents): Divide too complicated regexp
	into pieces.  Reported by NOMIYA Masaru <nomiya@galaxy.dti.ne.jp>;
	don't remove article icon.

2008-07-23  David Hansen  <david.hansen@gmx.net>

	* sb-heise.el (shimbun-heise-get-newsticker-headers): Follow new page
	layout.

2008-07-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-break-long-japanese-lines): Fix position to break.

2008-07-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-multi-next-url): Remove useless
	non-global variables.

2008-07-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-multi-next-url): Don't insert page
	delimiter here; remove garbage at the end of pages.
	(shimbun-asahi-multi-clear-contents): New function; insert page
	delimiter.

2008-07-15  David Engster  <dengste@eml.cc>

	* sb-heise.el (shimbun-heise-get-newsticker-headers): Fix regexp.

2008-07-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi): Use shimbun-multi.
	(shimbun-asahi-multi-next-url): New function.
	(shimbun-asahi-prepare-article): Move some programs that clean contents
	to shimbun-asahi-clear-contents.
	(shimbun-asahi-clear-contents): New function.

2008-07-07  David Hansen  <david.hansen@gmx.net>

	* sb-heise.el (shimbun-heise-content-start)
	(shimbun-heise-content-end): Updated regexp.
	(shimbun-heise-wash-newsticker-article): Update ad filtering.

2008-06-27  David Engster  <dengste@eml.cc>

	* sb-heise.el (shimbun-heise-content-start)
	(shimbun-heise-content-end): Updated regexps.

2008-06-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-text-content-start)
	(shimbun-asahi-text-content-end): Update.
	(shimbun-asahi-prepare-article): Update regexp matching useless links;
	add line breaks around images.

2008-06-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-content-end): Update.
	(shimbun-asahi-prepare-article): Add <p>...</p> to articles in tenjin
	group.

2008-06-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Update index urls for
	editorial and tenjin groups.
	(shimbun-asahi-get-headers-for-today): Work.
	(shimbun-asahi-prepare-article): Work for editorial and tenjin groups.

2008-06-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-content-start, shimbun-asahi-content-end):
	Update regexps.
	(shimbun-asahi-prepare-article): Update regexp matching a top link.

2008-06-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-content-start, shimbun-asahi-content-end):
	Update regexps temporarily.

2008-06-07  David Engster  <dengste@eml.cc>

	* sb-debugmagazin-de.el (shimbun-debugmagazin-de-group-url-regexp):
	Update groups configuration.
	(shimbun-debugmagazin-de-content-start)
	(shimbun-debugmagazin-de-content-end): Update regexps.

	* sb-perlentaucher-de.el (shimbun-perlentaucher-de-url-regexp): New
	variable.
	(shimbun-rss-build-message-id): Use it.

2008-05-08  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-impress.el (shimbun-headers): Ignore headers if there's no
	subject.

2008-04-22  David Hansen  <david.hansen@gmx.net>

	* sb-zeit-de.el (shimbun-zeit-de-x-face-alist): New variable.
	(shimbun-zeit-de-content-end): Follow new page layout.
	(shimbun-get-headers): Remove "from=rss" parameter from the URL.
	(shimbun-clear-contents): Filter more junk.

2008-04-22  David Hansen  <david.hansen@gmx.net>

	* sb-the-register.el (shimbun-the-register-x-face-alist): New variable.
	(shimbun-get-headers): Remove URL rewriting.
	(shimbun-make-contents): Remove more ads.

2008-04-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-japanese-hankaku-region-1): Fix regexp used to
	find urls that are expressed with wide characters.

2008-04-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkansports.el: Rewrite.

2008-03-29  David Engster  <dengste@eml.cc>

	* sb-slashdot.el (shimbun-slashdot-group-url): New variable.
	(shimbun-slashdot-groups): Default to a list of the groups that
	shimbun-slashdot-group-url defines.
	(shimbun-index-url): Use it.

2008-03-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-cnn-jp.el (shimbun-cnn-jp-content-start)
	(shimbun-cnn-jp-content-end): Update.
	(shimbun-cnn-jp-x-face-alist): Shrink image size.

2008-03-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-elips.el: Depend on sb-mailman.el.
	(shimbun-elips-url): Update.

	* sb-mailman.el (shimbun-mailman-header): Work for yearly archives.

2008-03-27  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-impress.el (shimbun-impress-ignored-subject-regexp): New variable.
	(shimbun-headers): Use it.

2008-03-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-get-headers): Remove ads.
	(shimbun-rss-build-message-id): New function that doesn't strip string
	following "?" or "#" in url when calculating its md5.

2008-03-21  David Engster  <dengste@eml.cc>

	* sb-heise.el (shimbun-heise-get-newsticker-headers): Adapt to the new
	URL scheme on http://www.heise.de/newsticker.

2008-02-24  David Hansen  <david.hansen@gmx.net>

	* sb-heise.el (shimbun-heise-wash-telepolis-article): relax ad
	filtering regexp.

	* sb-spiegel.el (shimbun-spiegel-content-start): Follow page layout
	changes.
	(shimbun-spiegel-x-face-alist): New variable.

2008-01-29  David Engster  <dengste@eml.cc>

	* sb-debugmagazin-de.el, sb-perlentaucher-de.el, sb-slashdot.el
	* sb-sueddeutsche-de.el: New files.

2008-01-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-retry-fetching): New user option.
	(shimbun-retry-fetching): New function.
	(shimbun-fetch-url): Use it.

	* sb-itmedia.el (shimbun-itmedia-retry-fetching): New variable.

	* sb-rss.el (shimbun-rss-get-headers): Protect against null title.

2008-01-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-clear-contents): Add Japanese title
	and words to articles in weekly group.

2008-01-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-decode-anchor-string): New alias to
	w3m-decode-anchor-string.
	(shimbun-mime-replace-image-tags): Use it to decode "&amp;" to "&" in
	url string.

	* sb-pocketgames.el (shimbun-get-headers): Use
	shimbun-decode-anchor-string instead of w3m-decode-anchor-string.

2008-01-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Update regexp.

2008-01-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-prepare-article): Remove javascripts.

2008-01-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el (shimbun-nytimes-next-url, shimbun-make-contents):
	Remove.
	(shimbun-multi-next-url): Do.

	* sb-sankei.el (shimbun-sankei-retry-fetching): New variable.

2007-12-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-slashdot-jp.el (shimbun-rss-build-message-id): Relax a
	regular expression to detect message-id basis.

2007-12-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Remove useless links.

2007-12-05  NOMIYA Masaru  <nomiya@galaxy.dti.ne.jp>,
	    Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-group-table): Update index urls and
	functions to get headers and to prepare articles for the groups
	kokunai, markets, kawase, kinri, ft, dj, ngyoseki, gyosuuchi, and
	gyoseki.
	(shimbun-nikkei-make-date-string): Enable it to adjust the day of month
	according to the new optional argument adj.
	(shimbun-nikkei-get-headers-stock)
	(shimbun-nikkei-get-headers-gyosuuchi): New functions.
	(shimbun-nikkei-get-headers-markets)
	(shimbun-nikkei-get-headers-kawase)
	(shimbun-nikkei-get-headers-bunkatsu2)
	(shimbun-nikkei-get-headers-kinri, shimbun-nikkei-get-headers-gyoseki)
	(shimbun-nikkei-prepare-article-default3)
	(shimbun-nikkei-prepare-article-bunkatsu2): Abolish.
	(shimbun-nikkei-get-headers-ft, shimbun-nikkei-get-headers-dj)
	(shimbun-nikkei-prepare-article-default4): Update regexp.

2007-11-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-mime-replace-image-tags): Parse image data to
	identify its type in the beginning position; protect against failing in
	fetching image.

2007-11-29  Naohiro Aota  <nao.aota@gmail.com>

	* shimbun.el (shimbun-mime-replace-image-tags): Identify image type not
	by its filename but its data.

2007-11-27  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-cnet-jp.el (shimbun-cnet-jp-content-start): Relaxed.

2007-11-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el (shimbun-nytimes-retry-fetching): New variable.
	(shimbun-clear-contents): Don't retry fetching contents here.

	* shimbun.el (retry-fetching): New shimbun class.
	(shimbun-fetch-url): Retry fetching contents according to
	shimbun-FOO-retry-fetching.
	(shimbun-attributes): Add retry-fetching.
	(shimbun-mime-replace-image-tags): Regard nil that shimbun-fetch-url
	returns as having failed to fetch contents.

2007-11-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-make-contents): Remove garbage; break long
	lines.

2007-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-get-headers-kansai): Update regexps.
	(shimbun-nikkei-prepare-article-kansai): Rewrite.
	(shimbun-nikkei-prepare-article-default-0)
	(shimbun-nikkei-prepare-article-default)
	(shimbun-nikkei-prepare-article-sports): Don't miss images.

2007-11-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-clear-contents): Don't remove related
	images.

2007-11-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-aljazeera.el (shimbun-aljazeera-x-face-alist): New variable.

2007-11-09  David Hansen  <david.hansen@gmx.net>

	* sb-aljazeera.el: New file.

2007-11-05  David Hansen  <david.hansen@gmx.net>

	* sb-infoshop.el (shimbun-rss-build-message-id): Fix format of
	the Message-Id.

2007-11-03  David Hansen  <david.hansen@gmx.net>

	* sb-infoshop.el (shimbun-rss-build-message-id): New function.

	* sb-weeklyworldnews.el: Remove.  cf. [emacs-w3m:09750]

2007-11-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-bbc.el (shimbun-bbc-x-face-alist): New.

	* sb-tech-on.el (shimbun-multi-next-url): Fix regexp matching next
	buttons.
	(shimbun-clear-contents): Fix regexp matching next buttons to be
	removed; remove alignment spec from images.

2007-11-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-get-top-header): Fix regexp.

2007-10-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Don't miss the 2nd
	section of articles in editorial group.

2007-10-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Follow site changes in
	editorial and tenjin groups; give up removing shop logos in book*
	groups; remove furigana in tamate subgroup; remove garbage after
	images; don't remove </*> tags at the bottom of article.

2007-10-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-clear-contents): Don't remove links to
	related news or topics (that should never be removed.  cf.
	http://sankei.jp.msn.com/affairs/crime/071026/crm0710260934002-n1.htm).

2007-10-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el (shimbun-nytimes-clear-contents): Extract contents from
	a page composed in unusual format.  cf. http://dealbook.blogs.nytimes.\
	com/2007/10/24/3000-layoffs-today-more-tomorrow/index.html?ex=13510512\
	00&en=07a270b9f7c0bb04&ei=5088&partner=rssnyt&emc=rss

	* sb-itmedia.el (shimbun-get-headers): Update regexp.
	(shimbun-clear-contents): Don't use too complicated regexp wasting cpu.

2007-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el (shimbun-nytimes-next-url): New variable.
	(shimbun-make-contents): Reset it before fetching contents.
	(shimbun-multi-next-url): Set it to the next url.
	(shimbun-nytimes-clear-contents): New function.
	(shimbun-clear-contents): Use it; retry fetching contents if it fails.

2007-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-clear-contents): Break line after images.

2007-10-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* *.el: Fix expressions of copyright notices.

2007-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el (shimbun-clear-contents): Update regexp; remove useless
	tag.

2007-10-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-tech-on.el: Add coding cookie.
	(shimbun-multi-clear-contents): Remove tags that likely cause a newline
	preceding a page.
	(shimbun-clear-contents): Remove useless tags; insert line-break
	between text and image.

	* sb-itmedia.el (shimbun-multi-clear-contents): Remove tags that likely
	cause a newline preceding a page.

	* sb-nytimes.el (shimbun-clear-contents): Don't remove </blockquote> at
	the end of article; improve the way to remove next/prev buttons.

2007-10-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-chalow.el: Removed by the bug report [emacs-w3m:09688].

2007-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-get-headers): Update regexp for m-magazine-ja.

2007-10-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkansports.el (shimbun-nikkansports-content-start): Improve.
	(shimbun-clear-contents): Remove consecutive CRs.

2007-10-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-clear-contents): Don't use unicode
	character directly in order to make this module loadable by XEmacs.

	* sb-ohmynews-jp.el (shimbun-clear-contents): Likewise.

2007-10-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-multi-next-url): Remove navigation button.
	(shimbun-multi-clear-contents): Add ^L; remove navigation buttons.
	(shimbun-footer): New method.

	* sb-ohmynews-jp.el: Don't use shimbun-japanese-newspaper.
	(shimbun-ohmynews-jp-content-start, shimbun-ohmynews-jp-content-end):
	Abolish.
	(shimbun-clear-contents): Rewrite.
	(shimbun-footer): New method.

	* sb-asahi.el (shimbun-asahi-prepare-article): Remove trailing garbage.

	* sb-nytimes.el (shimbun-clear-contents): Work with blog listing.

2007-10-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-get-headers): Don't use pop unprincipledly.

	* sb-yomiuri.el: Require cl when compiling.

	* sb-tech-on.el: Use sb-multi.
	(shimbun-tech-on-group-table): Add some groups.
	(shimbun-tech-on-content-start, shimbun-tech-on-content-end): Abolish.
	(shimbun-index-url): Follow shimbun-tech-on-group-table change.
	(shimbun-rss-build-message-id): Move group name forward.
	(shimbun-multi-next-url, shimbun-multi-clear-contents): New methods.
	(shimbun-clear-contents): Rewrite.

2007-10-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-url-coding-system): New variable.

	* shimbun.el (shimbun-end-of-tag): Add inner points to match-data.
	(shimbun-japanese-hankaku-region): Don't convert letters within links;
	replace Chinese hyphen with Japanese one.

	* sb-mainichi.el (shimbun-mainichi-clear-contents): Improve the way to
	extract contents; don't replace Chinese hyphen here.

2007-10-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-clear-contents): Don't remove credit
	at the bottom of article.

2007-10-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el: Rewrite.

	* shimbun.el (shimbun-header-insert-and-buffer-string): Make MIME
	charset default to the one that detect-mime-charset-region determines;
	use encode-mime-charset-string.

2007-09-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (toplevel): Add a new slot `url-coding-system' to
	`shimbun' class.
	(shimbun-retrieve-url): Accept an argument `url-coding-system', which
	specifiies the coding system for escaping non-ASCII characters included
	in the given URL.
	(shimbun-fetch-url): Refer the above slot when calling
	`shimbun-retrieve-url'.
	(shimbun-mime-replace-image-tags): Add an argument `shimbun' to use
	`shimbun-fetch-url' instead of `shimbun-retrieve-url'.
	(shimbun-make-mime-article): Follow the above change.

	* sb-multi.el (shimbun-multi-retrieve-next-pages): Follow the above
	change.

2007-09-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el: Rewrite.

2007-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-kantei-x-face-alist): Add new default face.

2007-09-27  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnshimbun.el (gnus-summary-refer-shimbun-article): Returns the
	`w3m-goto-url' symbol when it fails fetching articles.
	Cf. [emacs-w3m:09660]

2007-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el (shimbun-clear-contents): "&#012" -> "&#012;".

	* sb-kantei.el (shimbun-kantei-groups): Add m-magazine-en.abe,
	m-magazine-ja.abe, m-magazine-en.koizumi groups.
	(shimbun-index-url, shimbun-from-address, shimbun-get-headers):
	Likewise.
	(shimbun-kantei-content-start, shimbun-kantei-content-end): Abolish.
	(shimbun-kantei-x-face-alist): Move the default face into Abe's; make
	the default face empty temporarily.
	(shimbun-clear-contents): Rewrite.
	(shimbun-make-contents): New method function that choose face according
	to author.

	* shimbun.el (shimbun-end-of-tag): Enable it to search for the end of
	current tag as well.

2007-09-26  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-shimbun.el (mew-shimbun-goto-folder): Use mapc instead of mapcar.

2007-09-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el (shimbun-clear-contents): Remove useless timesselect
	stuff.

2007-09-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-end-of-tag): Rewrite.

	* sb-tdiary.el (shimbun-make-contents): Use mapc instead of mapcar.

2007-09-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (shimbun-decode-entities-string): Define as an alias
	instead of a function using `shimbun-decode-entities'.

	* sb-atom-hash.el (shimbun-hash-update-items-impl): Use
	`shimbun-decode-entities-string' instead of `shimbun-decode-entities'.

	* sb-mailman.el (shimbun-mailman-headers): Call `shimbun-remove-markup'
	before calling `shimbun-decode-entities', in order to keep encoded
	markups.

2007-09-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el (shimbun-article): Remove workaround.

2007-09-22  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-atmarkit.el (shimbun-get-headers): New method to process
	redirections of URLs given by RSS feeds.

2007-09-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el (shimbun-nytimes-content-start)
	(shimbun-nytimes-content-end): Abolish.
	(shimbun-nytimes-group-table): Remove additional.multimedia group.
	(shimbun-clear-contents): Don't use parent function to extract article
	contents; don't miss headline image and caption; remove useless things
	further; add page delimiters.
	(shimbun-get-headers): Show the group name in the From header.

	* shimbun.el (shimbun-end-of-tag): New function.

2007-09-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nytimes.el: New file.

	* shimbun.el (shimbun-newspaper): New class.

2007-09-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-clear-contents): Break long lines.

2007-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Use generic urls for book
	and rss groups.

2007-09-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-airs.el (shimbun-airs-concat-url): Don't use old-style backquotes.

	* sb-chalow.el (shimbun-chalow-get-headers): Don't use old-style
	backquotes.

	* sb-debian.el (shimbun-debian-get-headers): Don't use old-style
	backquotes.

	* sb-digiko.el (shimbun-digiko-get-headers): Don't use old-style
	backquotes.

	* sb-javaconf.el (shimbun-javaconf-concat-url): Don't use old-style
	backquotes.

	* sb-mhonarc.el (shimbun-mhonarc-extract-header-values): Don't use
	old-style backquotes.

	* sb-tdiary-ml.el (shimbun-tdiary-ml-concat-url): Don't use old-style
	backquotes.

	* sb-tdiary.el (shimbun-tdiary-get-headers, shimbun-tdiary-make-date):
	Don't use old-style backquotes.

	* sb-wikimedia.el (shimbun-wikimedia-concat-url): Don't use old-style
	backquotes.

2007-08-30  Hideyuki SHIRAI  <shirai@meadowy.org>

	* sb-tigris.el (shimbun-make-contents): Use forward-line instead of
	next|previouse-line.

2007-08-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Fix regexps.

2007-08-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Remove table tags that
	surround image tags.

2007-08-21  Eugene Oleinik  <eo@aoizora.org>

	* shimbun.el (shimbun-header-insert-and-buffer-string): Make charset
	default to UTF-8.

2007-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-x-face-alist): Update default face.

2007-08-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-article-1): Replace xref with a real url that
	ITmedia site requires for a referer.

2007-08-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (gnus-group-make-shimbun-group): Use encoded group name
	when accessing it as an ephemeral group; don't kill group that isn't
	ephemeral; pass group name that isn't encoded to gnus-group-make-group.
	(gnus-group-make-shimbun-groups): Pass group name that isn't encoded to
	gnus-group-make-group.

2007-08-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-group-table): Update url for gyosuuchi
	group.
	(shimbun-nikkei-get-headers-it-default)
	(shimbun-nikkei-get-headers-it-pc)
	(shimbun-nikkei-get-headers-release2): Don't quit searching for headers
	in the first index page.
	(shimbun-nikkei-get-headers-bunkatsu2): Update regexp and base url.
	(shimbun-nikkei-get-headers-retto, shimbun-nikkei-get-headers-newpro):
	Update regexps.

2007-08-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-group-table): Use
	shimbun-nikkei-prepare-article-default instead of
	shimbun-nikkei-prepare-article-top for the top group.
	(shimbun-nikkei-x-face-alist): Update.
	(shimbun-nikkei-expand-url): Regard url that begins with slash as
	absolute path.
	(shimbun-nikkei-get-headers-default, shimbun-nikkei-get-headers-top):
	Rewrite.
	(shimbun-nikkei-get-headers-shasetsu): Fix regexp.
	(shimbun-nikkei-prepare-article-default-0): Rename from
	shimbun-nikkei-prepare-article-default.
	(shimbun-nikkei-prepare-article-default): Rename from
	shimbun-nikkei-prepare-article-top.

2007-07-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-itmedia-group-alist): Add asakura, takemura,
	kodera, nishi, kobayashi groups in the +D.lifestyle.column hierarchy.
	(shimbun-from-address): Use real names for those groups.
	(shimbun-headers): Use the default function defined in shimbun.el, not
	in sb-rss.el, for non-rss indices.
	(shimbun-get-headers): Use a conventional way to parse non-rss indices.
	(shimbun-clear-contents): Don't strip introductions.

2007-07-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (gnus-summary-refer-shimbun-article): Throw nil to the
	tag `success', that `w3m-safe-view-this-url' catches, if it failed in
	fetching url.

2007-07-01  Takashi Hiromatsu  <matsuan@ca2.so-net.ne.jp>

	* sb-sourceforge-jp.el (shimbun-sourceforge-jp-mailing-lists): Replace
	macemacsjp-dev with ntemacsjp-users.

2007-06-29  YOSIDA Kozi  <kozi.yosida@nifty.ne.jp>

	* sb-nifty-forum.el: Remove.

2007-06-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Add komimi group.

2007-06-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Simplify the ways to
	prepare articles in editorial and tenjin groups.

2007-06-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-subgroups-alist): Fix typo in urls.
	(shimbun-mainichi-prepare-article): Remove ruby for maishou subgroup.

2007-06-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-japanese-hankaku-region): Fix indentation.

2007-06-06  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-opentechpress-jp.el (shimbun-opentechpress-jp-content-start):
	Relaxed.

	* sb-cnet-jp.el (shimbun-cnet-jp-content-end): Relaxed.
	(shimbun-clear-contents): Updated.

2007-05-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-article-1): Bind w3m-current-url to the url that
	is to be retrieved for the default value used when it is not specified
	in the meta tag; bind w3m-use-refresh to t.

2007-05-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-article-1): New function to support refresh.
	(shimbun-article): Use it.

	* sb-itmedia.el (shimbun-get-headers): Remove.

2007-05-02  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-engadget-ja.el (shimbun-engadget-ja-content-end): Add new regexp.

2007-04-27  Naohiro Aota  <nao.aota@gmail.com>

	* sb-slashdot-jp.el (shimbun-slashdot-jp-group-alist): Follow the
	change of news group name and URL.

2007-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-rss.el (shimbun-rss-get-headers): Support japanese-hankaku.

	* shimbun.el (shimbun-headers, shimbun-clear-contents): Simplify a bit.
	(shimbun-japanese-hankaku-region): Improve the way not to break
	paragraph start; don't insert a space between a zenkaku space and an
	ASCII character.

	* sb-ohmynews-jp.el (shimbun-ohmynews-jp-group-table): Add news group.
	(shimbun-index-url): Follow it.

2007-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-ohmynews-jp.el (toplevel): Use sb-rss.el.
	(shimbun-ohmynews-jp-top-level-domain)
	(shimbun-ohmynews-jp-from-address): Remove.
	(shimbun-ohmynews-jp-content-start)
	(shimbun-ohmynews-jp-content-end): Update.
	(shimbun-ohmynews-jp-group-table): Add watashi, style, it and local
	groups; remove science, books and all groups; rename kokusai and entame
	groups to kaigai and culture groups respectively.
	(shimbun-index-url): Update.
	(shimbun-get-headers): Remove.
	(shimbun-clear-contents): Rewrite.

2007-04-25  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-engadget-ja.el
	(shimbun-engadget-ja-content-start,shimbun-engadget-ja-content-end):
	Fix new regexp.

2007-04-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-group-table): Add special.tamura group.
	(shimbun-clear-contents): Merge the :before method into the :around
	method (luna-define-method doesn't allow two or more methods for the
	identical parent function); remove adv for news.sports group; improve
	the cleaner for special.kiko group.

	* shimbun.el (shimbun-japanese-hankaku-region): Convert urls first;
	improve the way not to break paragraph start.

2007-04-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-header-regexp-default): Update.
	(shimbun-mainichi-group-table): Add shakai.edu.campal and sports.column
	groups; move seiji.*, shakai.* and sports.* groups to
	shimbun-mainichi-subgroups-alist; update regexp for eye.shasetsu group.
	(shimbun-mainichi-subgroups-alist): Update eye.shasetsu entry; add many
	subgroups.
	(shimbun-mainichi-get-headers): Improve duplication check; remove
	special treatment for eye.shasetsu group.

	* shimbun.el (shimbun-retrieve-url): Keep buffer's multibyteness even
	if retrieving failed.
	(shimbun-japanese-hankaku-region): Don't break paragraph start.

2007-04-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* ChangeLog: New file.

2007-04-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-group-table): Add eye and kansai
	groups; move eye.* except eye.shasetsu, kansai.sanshi, keizai.*,
	kokusai.*, kurashi.* and science.* groups to
	shimbun-mainichi-subgroups-alist.
	(shimbun-mainichi-subgroups-alist): Add some subgroups; use
	shimbun-mainichi-header-regexp-default for the default.
	(shimbun-mainichi-content-start): Update.
	(shimbun-mainichi-get-headers): Follow group-table change.
	(shimbun-mainichi-prepare-article): Ditto.

2007-04-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-group-table): Move entertainment.*
	groups to himbun-mainichi-subgroups-alist.
	(shimbun-mainichi-subgroups-alist): New variable.
	(shimbun-mainichi-get-headers): Work for subgroups.

2007-04-16  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-itmedia.el (shimbun-itmedia-group-alist): Use rss for anchordesk
	group.
	(shimbun-index-url): Simplify.
	(shimbun-headers): Remove.

	* sb-impress.el (shimbun-impress-groups-alist): Add kaden group.

2007-04-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-group-table): Add kyoiku.children,
	kyoiku.english, kyoiku.qanda, kyoiku.renaissance and kyoiku.special
	groups; move obit group to shimbun-yomiuri-subgroups-alist.
	(shimbun-yomiuri-subgroups-alist): Add subgroups for kyoiku*, national
	and sports groups.
	(shimbun-yomiuri-get-headers): Reverse group names in Message-ID.
	(shimbun-yomiuri-get-headers-kyoiku-renaissance): New function.
	(shimbun-get-headers): Use it.

2007-04-16  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-pcweb-column.el: Add comment(Author)
	(shimbun-pcweb-column-groups): Add new groups and move obsolete groups.
	(shimbun-get-headers): Fix index url regexp pattern.
	(shimbun-make-contents): Fix author and date regexp pattern.

2007-04-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-japanese-hankaku-region): Add a special treatment
	for zenkaku symbols.

	* sb-yomiuri.el (shimbun-yomiuri-group-table): Update regexp for
	editorial group; add iryou group.
	(shimbun-yomiuri-get-headers): Follow editorial group change.
	(shimbun-yomiuri-subgroups-alist): New variable.
	(shimbun-yomiuri-content-start, shimbun-yomiuri-content-end)
	(shimbun-yomiuri-text-content-start): Update.
	(shimbun-index-url): Default to about:blank.
	(shimbun-yomiuri-get-top-header): Ignore headers having already been
	fetched.
	(shimbun-yomiuri-get-headers): Also fetch headers for subgroups.
	(shimbun-yomiuri-prepare-article): Remove garbage for entertainment
	group.

2007-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi-mytown.el (shimbun-asahi-mytown-group-table): Remove usa
	group.

	* sb-asahi.el (shimbun-asahi-subgroups-alist): Remove seoul subgroup.

2007-04-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Rename book.rss with book;
	add international.special group; move world.china group to
	shimbun-asahi-subgroups-alist; move subgroups of job, kansai, national,
	politics, shopping and sports groups to shimbun-asahi-subgroups-alist;
	fix regexp for science group.
	(shimbun-asahi-subgroups-alist): Rearrange international subgroups; add
	subgroups for job, kansai, life.column, national, politics, shopping
	and sports groups.
	(shimbun-asahi-get-headers): Fix Message-ID string for book group.
	(shimbun-asahi-prepare-article): Follow shimbun-asahi-subgroups-alist
	change.

2007-04-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Move subgroups of housing
	and international groups to shimbun-asahi-subgroups-alist.
	(shimbun-asahi-subgroups-alist): Add subgroups for housing, igo and
	international groups.
	(shimbun-asahi-get-headers): Use http://www2.asahi.com/ to expand urls
	for articles in Iraq subgroup.
	(shimbun-asahi-prepare-article): Extract article for housing subgroups.

	* sb-itmedia.el (shimbun-get-headers): New method; replace article urls
	with the ones to be redirected to.

2007-04-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Move subgroups of health
	group to shimbun-asahi-subgroups-alist.
	(shimbun-asahi-subgroups-alist): Add subgroups for health group.
	(shimbun-asahi-prepare-article): Remove ads, don't fetch useless
	images, and don't replace From with reviewer for book groups; remove
	useless things for all groups.

	* shimbun.el (shimbun-japanese-hankaku-region): Add a special treatment
	for zenkaku apostrophes.

2007-04-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Add food group; remove
	life.food and shopping.kishi groups; move subgroups of book, business,
	car, culture, digital and edu groups to shimbun-asahi-subgroups-alist.
	(shimbun-asahi-subgroups-alist): Add subgroups for book, business, car,
	culture, digital, edu and food groups.
	(shimbun-asahi-get-headers): Remove shopping.kishi stuff.
	(shimbun-asahi-prepare-article): Add start and end flags for culture
	subgroups; remove ads for car, digital and food groups; use from header
	to split subgroups; remove shopping.kishi stuff.

2007-04-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Add book.asahi,
	book.business, book.clip, book.fair, book.mybook, book.rss groups;
	remove BOOK: prefix; update regexps for book.* and rss groups.
	(shimbun-asahi-subgroups-alist): Add subgroups for book.paperback
	group.
	(shimbun-index-url): Return about:blank if there's no url.
	(shimbun-asahi-get-headers): Work even if there's no regexp; work with
	book.rss group; simplify From for rss groups.
	(shimbun-asahi-prepare-article): Work with revised editorial and tenjin
	groups.

2007-03-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-japanese-hankaku-region): New function.
	(shimbun-japanese-hankaku-buffer): Use it; don't process sections
	surrounded by the <pre>...</pre> tags.

2007-03-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-japanese-hankaku-buffer): Fix regexps.

2007-03-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-clear-contents): Return the result of the parent
	function.
	* sb-mainichi.el (shimbun-clear-contents): Ditto.
	* sb-nikkansports.el (shimbun-clear-contents): Ditto.
	* sb-ohmynews-jp.el (shimbun-clear-contents): Ditto.
	* sb-sankei.el (shimbun-clear-contents): Ditto.

	* sb-gendai-net.el (shimbun-gendai-net-get-headers-today): Work even
	when the headers are in the reverse order.
	(shimbun-clear-contents): Return the result of the parent function.

	* sb-itmedia.el (shimbun-headers): Convert Japanese zenkaku characters
	into hankaku.
	(shimbun-clear-contents): Ditto; return the result of the parent
	function correctly.

	* sb-kantei.el (shimbun-clear-contents): Convert Japanese zenkaku
	characters into hankaku; return the result of the parent function.

	* shimbun.el (shimbun-japanese-hankaku): Fix doc string and custom
	type.
	(shimbun-japanese-hankaku): Prefer per-server value.
	(shimbun-char-category-list): New function.
	(shimbun-japanese-hankaku-buffer): Work cleverly more.

2007-03-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-japanese-hankaku-buffer): Do wakachi- gaki with
	some entities.

	* sb-asahi.el (shimbun-asahi-prepare-article): Add missing semicolon to
	&nbsp.

2007-02-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-japanese-hankaku-buffer): Work cleverly more.

2007-02-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-japanese-hankaku): New user option.
	(shimbun-japanese-hankaku): New function.
	(shimbun-headers, shimbun-clear-contents): Use it.
	(shimbun-break-long-japanese-lines): Don't break line at Japanese
	period or comma which follows ascii text since it causes an extra space
	in rendered text.
	(shimbun-japanese-hankaku-buffer): Work cleverly more.

2007-02-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkansports.el (shimbun-nikkansports-group-table): Remove mlb and
	leisure groups; add lifestyle group; update index urls.
	(shimbun-nikkansports-content-start)
	(shimbun-nikkansports-content-end): Update.
	(shimbun-nikkansports-end-of-header-regexp): Remove.
	(shimbun-index-url): Work for lifestyle group.
	(shimbun-nikkansports-expand-url): New function.
	(shimbun-get-headers): Rewrite.
	(shimbun-make-contents): Remove.
	(shimbun-clear-contents): Remove garbage; run
	shimbun-break-long-japanese-lines after converting Japanese zenkaku
	characters into hankaku.

	* sb-asahi.el (shimbun-asahi-prepare-article): Move
	shimbun-break-long-japanese-lines to shimbun-clear-contents.
	(shimbun-clear-contents): Run shimbun-break-long-japanese-lines after
	converting Japanese zenkaku characters into hankaku.

	* sb-gendai-net.el (shimbun-make-contents): Move
	shimbun-break-long-japanese-lines to shimbun-clear-contents.
	(shimbun-clear-contents): Run shimbun-break-long-japanese-lines after
	converting Japanese zenkaku characters into hankaku.

	* sb-mainichi.el (shimbun-mainichi-prepare-article): Move
	shimbun-break-long-japanese-lines to shimbun-clear-contents.
	(shimbun-clear-contents): Run shimbun-break-long-japanese-lines after
	converting Japanese zenkaku characters into hankaku.

	* sb-ohmynews-jp.el (shimbun-make-contents): Move
	shimbun-break-long-japanese-lines to shimbun-clear-contents.
	(shimbun-clear-contents): Run shimbun-break-long-japanese-lines after
	converting Japanese zenkaku characters into hankaku.

	* sb-sankei.el (shimbun-clear-contents): Run
	shimbun-break-long-japanese-lines after rather than before converting
	Japanese zenkaku characters into hankaku.

	* sb-tech-on.el (shimbun-clear-contents): Remove useless images and
	lines.

	* shimbun.el (shimbun-japanese-hankaku-buffer): Work cleverly.

2007-02-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Remove adv.

2007-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-tech-on.el: New file.

	* shimbun.el (japanese-hankaku): New shimbun class.
	(shimbun-header-index-pages): Work even if the argument range is not a
	variable symbol.
	(shimbun-headers): Convert zenkaku chars in subjects into hankaku.
	(shimbun-clear-contents): Convert zenkaku ASCII chars into hankaku.
	(shimbun-japanese-hankaku-buffer): Move from sb-nikkei.el; convert
	zenkaku space between ASCII chars into &nbsp;.

	* sb-nikkei.el (shimbun-nikkei-zenkaku-to-hankaku): Remove.
	(shimbun-nikkei-japanese-hankaku-buffer): Move to shimbun.el.
	(shimbun-get-headers, shimbun-make-contents): Don't use it here.
	(shimbun-nikkei-prepare-article-top): Add a filter.

2007-02-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-char-code-property-table): Remove.
	(shimbun-nikkei-japanese-hankaku-buffer): New function.
	(shimbun-get-headers, shimbun-make-contents): Use it.
	(shimbun-nikkei-get-headers-default)
	(shimbun-nikkei-get-headers-top): Improve regexps and Message-IDs to
	prevent fetching the same articles.
	(shimbun-nikkei-prepare-article-top): Add a filter.

2007-02-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-zenkaku-to-hankaku)
	(shimbun-nikkei-char-code-property-table): New variables.
	(shimbun-get-headers): Convert zenkaku ASCII characters in subjects
	into hankaku.
	(shimbun-make-contents): Convert zenkaku ASCII characters into hankaku.

2007-02-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-make-contents): Display only a link to the
	original page if it failed to extract the body of an article.
	(shimbun-nikkei-prepare-article-*): Return t if the article is
	successfully extracted.
	(shimbun-nikkei-prepare-article-top): Add a filter for special
	articles; fix a regexp; run shimbun-nikkei-prepare-article-default
	before filters having a potential to mistakenly extract the body.

2007-02-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-get-headers-shasetsu): Use
	shimbun-nikkei-expand-url to strip redirect part.
	(shimbun-nikkei-prepare-article-top): Add a filter for special
	articles.

2007-02-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-group-table): Use
	shimbun-nikkei-prepare-article-top for top group.
	(shimbun-get-headers): Modify base url according to group; sort headers
	for every group here; pass shimbun and range arguments to header
	functions.
	(shimbun-nikkei-expand-url): Strip redirect part.
	(shimbun-nikkei-tmp-ids)
	(shimbun-nikkei-tmp-subjects): New variables.
	(shimbun-nikkei-get-headers-*): Add shimbun and range arguments;
	improve regexp; downcase Message-IDs; don't sort headers there.
	(shimbun-nikkei-get-headers-default): Remove duplicates.
	(shimbun-nikkei-get-headers-top): Fetch many headers as much as
	possible.
	(shimbun-make-contents): Remove garbage.
	(shimbun-nikkei-prepare-article-*): Improve regexp.
	(shimbun-nikkei-prepare-article-default4): Rename from
	shimbun-nikkei-prepare-article-okuyami.
	(shimbun-nikkei-prepare-article-top): New function.

2007-02-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-ibm-dev.el (shimbun-ibm-dev-url): Follow page layout changes.
	(shimbun-ibm-dev-content-start): Ditto.
	(shimbun-ibm-dev-content-end): Ditto.
	(shimbun-get-headers): Ditto.
	(shimbun-clear-contents): Ditto.

2007-02-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-group-table): Remove it.analyst,
	it.digi_contents, it.kougengaku, it.literacy, it.management, it.media,
	it.wirelesslan, it.world, okuyami, report and zinzi groups; update
	index url for it.pc and shasetsu groups.
	(shimbun-nikkei-get-headers-report): Remove.
	(shimbun-nikkei-get-headers-it-default): Support range.
	(shimbun-nikkei-get-headers-it-pc): Restore and renew this function,
	which was removed mistakenly in 2006-04-20.
	(shimbun-nikkei-get-headers-release2): Support multiple index pages
	access.
	(shimbun-nikkei-get-headers-shasetsu): Rewrite.
	(shimbun-nikkei-get-headers-okuyami): Remove.
	(shimbun-nikkei-prepare-article-report): Remove.

	* sb-mainichi.el (shimbun-mainichi-group-table): Remove
	keizai.wadai.seika.archive group.

2007-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Update regexp for rss group.
	(shimbun-asahi-get-headers): Strip CRs.

2007-02-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Remove travel.kaido,
	travel.zeitaku, wakamiya and world.germany groups.
	(shimbun-asahi-subgroups-alist): New variable.
	(shimbun-index-url): Remove wakamiya group stuff.
	(shimbun-asahi-get-headers): Remove nankyoku.whitemail group stuff;
	fetch headers of articles in groups specified by
	shimbun-asahi-subgroups-alist.

2007-02-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Add national.incident,
	politics.government, politics.local, shopping.interiorlife,
	shopping.master, shopping.otoriyose, shopping.protalk,
	shopping.yakimono.ono, shopping.yakimono.yellin, sports.battle,
	sports.battle.column, sports.golf, sports.motor, sports.rugby,
	sports.sumo, sports.usa and sports.winter groups; update index url and
	regexp for shopping.kishi and shougi groups.
	(shimbun-asahi-prepare-article): Fix start and end boundaries for
	shopping.interiorlife group.

2007-02-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Remove
	international.america, kansai.kataritsugu, nankyoku,
	nankyoku.borderless, nankyoku.people and nankyoku.whitemail groups; add
	international.africa, international.briefing, international.kawakami,
	international.korea, international.namerica, international.oceania,
	international.samerica, international.shizuki and
	international.weekly-asia groups; update index urls and regexps for
	igo, international.shien and kansai.* groups.
	(shimbun-asahi-get-headers): Fix url for international.briefing group.
	(shimbun-asahi-prepare-article): Fix start and end boundaries for
	international.briefing group.

2007-02-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Remove edu, edu.column,
	edu.it, edu.news and edu.nyushi groups; add edu.examination, edu.ikuji,
	edu.issue, edu.kiji, edu.system, edu.university, housing.jutaku-s,
	housing.kansai and housing.machi groups.
	(shimbun-asahi-prepare-article): Remove adv for housing.* groups.

2007-01-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Remove book.edu, book.navi,
	book.pocket book.watch, culture.column, digital, digital.apc and
	digital.hotwired groups; add book.life, book.newstar,
	book.review.business, book.review.digital, book.review.edu,
	book.review.international, book.review.life, book.trendwatch and
	business.fund groups; update Japanese names of book.bestseller,
	book.booktimes and book.comic groups.
	(shimbun-asahi-prepare-article): Fix regexp matching critics' name;
	remove adv for car.* and digital.column01 groups; add missing
	content-end for digital.column01 group.

2007-01-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Update index page and regexp
	for rss group.

2007-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-content-end): Update.
	(shimbun-asahi-text-content-end): Update.
	(shimbun-asahi-group-table): Fix regexps for car.newcarbywebcg and
	culture groups.

2007-01-24  NOMIYA Masaru  <nomiya@galaxy.dti.ne.jp>

	* sb-asahi.el (shimbun-asahi-group-table): Relax regexp for rss group.

2007-01-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Update regexps for
	book.booktimes, book.bunko, book.edu, book.navi, book.ranking and
	book.special groups.
	(shimbun-asahi-get-headers): Modify regexps for book.* groups.

2007-01-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Make kansai.sanshi group
	follow site change.

2007-01-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-opentechpress-jp.el: Inherit `shimbun-multi' class in addition to
	`shimbun-rss'.
	(shimbun-multi-next-url, shimbun-multi-clear-contents): New methods.

2007-01-16  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-slashdot-jp.el (shimbun-slashdot-jp-group-alist): Add new group -
	IT & Hardware section.

2007-01-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-get-headers): Look for articles in next pages in
	addition to past pages.

2007-01-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-yahoo-groups-table): Move regexp from
	shimbun-get-headers and improve; update groups for all prefectures.
	(shimbun-get-headers): Move regexp to shimbun-yahoo-groups-table;
	ignore access ranking section; improve handling of old articles;
	support range.
	(shimbun-make-contents): Remove headline and garbage.

2007-01-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Remove left margin from
	articles in culture.yurufemi group.

2007-01-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnshimbun.el (nnshimbun-index-range): Changed its default value to 2
	from nil.

2007-01-06  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-fau.el (shimbun-fau-x-face-alist): Quote bracket in column one.
	(shimbun-fau-content-end): Relaxed.

2007-01-05  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-the-register.el (shimbun-make-contents): Improve junk filtering.
	(shimbun-the-register-content-end): Fixed.

	* sb-weeklyworldnews.el: Complete rewrite to follow the site changes.

2006-12-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-yahoo-content-start)
	(shimbun-yahoo-content-end): Follow site change.

2006-12-14  Hiroaki Irokawa  <irorin@terra.dti.ne.jp>

	* sb-vinelinux.el (shimbun-vinelinux-group-path-alist): Add
	errata.4x.i386 and errata.4x.ppc groups.

2006-12-13  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* sb-zeit-de.el: Adapt to markup and group changes.

2006-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-clear-contents): Break long lines.

2006-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el: Rewrite.

	* nnshimbun.el (nnshimbun-close-server): Save NOV for only existing
	groups.
	(nnshimbun-nov-buffer-name, nnshimbun-nov-directory)
	(nnshimbun-nov-file-name): Move forward.

2006-11-11  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* shimbun.el (shimbun-servers-list): Exclude hash, rss-hash, atom,
	atom-hash and multi.

2006-11-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Update index url and regexp
	for kansai.fuukei group.

2006-10-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Break long lines only
	when text/html is preferred.

2006-10-23  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-rss-hash.el (shimbun-hash-update-items): Fix multibyte problem.

	* sb-rss.el (shimbun-headers): Ditto.

2006-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-kantei-x-face-alist): Renew.

2006-10-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Break long lines.

	* sb-kantei.el (shimbun-kantei-from-address): Remove.
	(shimbun-kantei-groups): Add m-magazine-ja.koizumi group.
	(shimbun-kantei-x-face-alist): Restore Koizumi's face.
	(shimbun-index-url): Work with m-magazine-ja.koizumi group; make
	m-magazine group an alias to m-magazine-ja.koizumi group.
	(shimbun-from-address): Return a correct author.
	(shimbun-get-headers): Update regexp for English articles; remove too
	match whitespace in Japanese subject.
	(shimbun-clear-contents): Remove <CENTER> tags in English article.

2006-10-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-kantei-from-address): Shinzo Abe.
	(shimbun-kantei-groups): Doc fix.
	(shimbun-kantei-x-face-alist): Renew.

2006-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Remove sitesearch area.

2006-10-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-rss.el (shimbun-rss-compatible-encoding-alist): Add
	iso-8859-8/windows-1255 and iso-8859-9/windows-1254.

2006-10-06  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-cnet-jp.el (shimbun-clear-contents): Remove anchors to print
	pages.

	* sb-opentechpress-jp.el
	(shimbun-opentechpress-jp-content-end): Now covers widen area.

2006-09-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-group-table): Add eye.kaisetsu,
	eye.mieru, eye.newsup, and today groups; remove eye.tenbou,
	shakai.edu.net.archive, and shakai.edu.manabito.archive groups;
	increase max-lisp-eval-depth and max-specpdl-size when compiling this
	variable using Emacs 21.

2006-09-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-gendai-net.el (shimbun-gendai-net-get-headers-default): Check all
	headers in at least the first index page anyway.
	(shimbun-make-contents): Don't use fetched contents if it seems to have
	failed.

2006-09-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-ohmynews-jp.el (shimbun-get-headers): Fix regexp matching
	backnumber urls.

2006-09-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-get-headers-it-default): Don't fetch all
	backnumbers every time.

2006-09-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-gendai-net.el (shimbun-gendai-net-get-headers-default): Return
	immediately if article that has already been read is found.

2006-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-gendai-net.el (shimbun-get-headers): Support range.
	(shimbun-gendai-net-get-headers-default): Ditto.
	(shimbun-gendai-net-get-headers-today): Ditto; don't re-fetch initial
	page.

	* sb-ohmynews-jp.el (shimbun-get-headers): Support range.

2006-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-gendai-net.el: New module.

2006-09-06  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-spiegel.el (shimbun-spiegel-content-start): Follow page layout
	changes.
	(shimbun-spiegel-content-end): ditto.

2006-09-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-group-table): Update editoria, column,
	and seiron groups.
	(shimbun-sankei-get-headers-editoria): Rewrite.
	(shimbun-sankei-get-headers-column): Rewrite.
	(shimbun-sankei-get-headers-seiron): Rewrite.
	(shimbun-clear-contents): Rearrange subject header in editoria
	articles; remove headlines and blockquotes from seiron articles.

2006-08-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-ohmynews-jp.el (shimbun-get-headers): Fetch old articles
	thoroughly.

2006-08-28  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-the-onion.el: New module.

2006-08-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-ohmynews-jp.el (shimbun-ohmynews-jp-content-start)
	(shimbun-ohmynews-jp-content-end): Relax.

2006-08-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-ohmynews-jp.el (shimbun-get-headers): Fetch old articles; show
	Japanese group name in From.
	(shimbun-make-contents): Break long Japanese lines.

2006-08-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-ohmynews-jp.el: New module.

2006-08-24  David Hansen  <david.hansen@pysik.fu-berlin.de>

	* sb-the-register.el (shimbun-make-contents): Fixed junk filtering
	regexp.

2006-08-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-cnet-jp.el (shimbun-cnet-jp-group-alist): Add "blog.geetstate".

2006-08-19  MIYOSHI Masanori  <miyoshi@meadowy.org>

	* sb-makanai.el: Follow the change of the site.

2006-08-19  MIYOSHI Masanori  <miyoshi@meadowy.org>

	* sb-msports-nifty.el: Follow the change of the site.

2006-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-group-table): Add seiron group.
	(shimbun-sankei-get-headers-seiron): New function.
	(shimbun-get-headers): Use it.

2006-08-07  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-impress.el (shimbun-headers): Fix problem when title is not
	included in rss item.

2006-08-03  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-impress.el (shimbun-impress-groups-alist): Use rss for pc group.

2006-07-31  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-impress.el: Require sb-rss.
	(shimbun-impress): Inherite from shimbun-rss.
	(shimbun-impress-groups-alist): In each element, 2nd element is
	link-regexp or rss; add robot group.
	(shimbun-rss-build-message-id): New overridden method.
	(shimbun-impress-get-headers): Rename from
	`shimbun-impress-get-headers-date'.
	(shimbun-impress-get-headers-sequence): Remove.
	(shimbun-headers): Rewrite.
	(shimbun-article-url): New overridden method.

2006-07-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-clear-contents): Break paragraphs in column
	group; no need to add content-end boundary in editoria and column
	groups.

2006-07-16  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-cnet-jp.el (shimbun-make-contents): Improve regexp.

	* sb-zdnet-jp.el (shimbun-make-contents): Ditto.

2006-07-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-cnet-jp.el (shimbun-clear-contents): Remove thumbnails.

2006-07-13  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-opentechpress-jp.el: New module.

	* sb-linux-ja.el: Removed.

2006-07-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el: Changes to handle <BASE> tag properly.
	(shimbun-make-mime-article): Accept a base URL of this current article
	as the 3rd optional argument.
	(shimbun-current-base-url): New function.
	(shimbun-make-html-contents): Call the above.
	(shimbun-from-address): Accept backends that have no address.

	* sb-multi.el: New virtual class.

	* sb-atmarkit.el: Use `shimbun-multi' class.
	(shimbun-multi-next-url, shimbun-multi-clear-contents): New methods.
	(shimbun-atmarkit-use-base-url): Abolished.
	(shimbun-article-url, shimbun-make-contents): Cancel the last change,
	because `shimbun-multi' class handles <BASE> tag properly.
	(shimbun-atmarkit-from-address): Abolished.

	* sb-itmedia.el: Use `shimbun-multi' class.
	(shimbun-make-contents): Minimized.
	(shimbun-itmedia-make-contents)
	(shimbun-itmedia-clean-text-page): Removed.
	(shimbun-multi-next-url)
	(shimbun-multi-clear-contents)
	(shimbun-clear-contents): New methods to supercede a part of the above
	removed functions.

	* sb-cnetnetworks.el: Removed.

	* sb-zdnet-jp.el: Use `shimbun-multi' class instead of
	`shimbun-cnetnetworks' class.
	(shimbun-zdnet-jp-orphaned-group-list)
	(shimbun-zdnet-jp-content-start)
	(shimbun-zdnet-jp-content-end): Abolished.
	(shimbun-groups, shimbun-headers): Simplified.
	(shimbun-cnetnetworks-header-reconfig)
	(shimbun-cnetnetworks-clear-footer): Abolished.
	(shimbun-multi-next-url)
	(shimbun-multi-clear-contents)
	(shimbun-make-contents): New methods to supercede a part of the above
	abolished methods.

	* sb-cnet-jp.el: Use `shimbun-multi' class instead of
	`shimbun-cnetnetworks' class.
	(shimbun-cnet-jp-group-alist): Follow the change of the site.
	(shimbun-cnetnetworks-header-reconfig)
	(shimbun-cnetnetworks-clear-footer): Abolished.
	(shimbun-multi-next-url)
	(shimbun-multi-clear-contents)
	(shimbun-clear-contents)
	(shimbun-make-contents): New methods to supercede a part of the above
	abolished methods.

	* sb-cgi-board.el: Minimize the backend-specific procedure.
	(shimbun-make-contents): Removed.
	(shimbun-clear-contents): Supercede a part of the above.

	* sb-wiki.el: Minimize the backend-specific procedure.
	(shimbun-make-contents): Removed.
	(shimbun-clear-contents): Supercede a part of the above.

2006-07-06  Andreas Seltenreich  <seltenreich@gmx.de>

	* nnshimbun.el (nnshimbun-search-id): Bind `case-fold-search' to nil,
	in order to reduce time to search IDs.

2006-07-04  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-itmedia.el (shimbun-itmedia-group-alist): Add bizid group.

2006-06-30  Hiroya Murata  <lapis-lazuli@pop06.odn.ne.jp>

	* sb-itmedia.el (shimbun-itmedia): Don't inherit shimbun.
	(shimbun-from-address): Fix typo.

2006-06-29  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-itmedia.el: Require sb-rss.
	(shimbun-itmedia): Derived from shimbun-rss.
	(shimbun-itmedia-url): Remove.
	(shimbun-itmedia-group-alist): Rewrite.
	(shimbun-itmedia-server-name): Remove.
	(shimbun-itmedia-from-address): Remove.
	(shimbun-itmedia-x-face-alist): Add x-face for the +D groups.
	(shimbun-from-address): New overridden method.
	(shimbun-index-url): Rewrite.
	(shimbun-headers): New overridden method.
	(shimbun-get-headers): Remove.
	(shimbun-itmedia-anchordesk-get-headers): New function.

	* sb-itmedia+D.el: Remove.

2006-06-21  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-yahoo-auctions.el (shimbun-rss-build-message-id): Revival.

2006-06-18  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-excite.el (shimbun-rss-build-message-id): Add new method.

	* sb-slashdot-jp.el (shimbun-rss-build-message-id): Revert previouse
	removal.

2006-06-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-bbc.el (shimbun-bbc-path-alist): Add missing dot.

2006-06-06  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-rss.el (shimbun-rss-build-message-id): New default method is
	defined.

	* sb-atmarkit.el, sb-bbc.el, sb-cnet-jp.el, sb-cnet.el,
	sb-cnetnetworks.el, sb-engadget-ja.el, sb-excite.el, sb-exconn.el,
	sb-fau.el, sb-haiku-os.el, sb-infoshop.el, sb-itmedia+D.el,
	sb-laut-de.el, sb-linux-ja.el, sb-msdn.el, sb-nifty-forum.el,
	sb-rakuten.el, sb-rediff.el, sb-rss-hash.el, sb-slashdot-jp.el,
	sb-spiegel.el, sb-the-register.el, sb-welt-de.el, sb-x51.el,
	sb-yahoo-auctions.el, sb-zdnet-jp.el, sb-zeit-de.el
	(shimbun-rss-build-message-id): Use the above method instead of
	respective methods defined in themselves.

	* sb-wired-jp.el (shimbun-rss-build-message-id): Use the above method
	instead of respective methods defined in itself.
	(shimbun-wired-jp-get-headers): Use `shimbun-rss-build-message-id'
	instead of `shimbun-wired-jp-build-message-id'.

2006-05-31  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-bbc.el (shimbun-bbc-url): Set to the base URL of the various RSS
	feeds.
	(shimbun-bbc-path-alist): New variable to support other groups.
	(shimbun-bbc-groups): Added other groups.
	(shimbun-index-url): New function.

2006-05-24  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-impress.el (shimbun-impress-groups-alist): Change content-start
	and content-end for game group.

2006-05-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-rediff.el (shimbun-rss-build-message-id): Fix regexp.

2006-05-17  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-shimbun.el (mew-shimbun-folder-file): New function.
	(mew-shimbun-expand-msg): Ditto.
	(mew-shimbun-goto-folder): Use `mew-shimbun-folder-file' instead of
	mew-expand-folder.
	(mew-shimbun-retrieve-article): Use `mew-shimbun-expand-msg' instead of
	mew-expand-folder.
	(mew-shimbun-re-retrieve-article): Ditto.
	(mew-shimbun-expire): Ditto.

2006-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-japantimes.el (shimbun-get-headers): Rearrange the way to generate
	regexp.

2006-05-16  KASUGA Toru  <gen@qb3.so-net.ne.jp>

	* sb-japantimes.el: Rewrite to follow site change.

2006-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Update regexp for book.*
	groups; remove travel.matsuri group.

2006-05-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Update shopping.kishi group.
	(shimbun-asahi-get-headers): Add special treatment for shopping.kishi
	group.

2006-05-14  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-pcweb-column.el (shimbun-pcweb-column-url): Improve base URL.

2006-05-02  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-cnet-jp.el (shimbun-cnet-jp-content-end): Relaxed to follow the
	change of site description.

2006-05-01  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-x51.el (shimbun-x51-group-alist): Improve URL.
	(shimbun-get-headers): Improve regexp and url rule.

	* sb-slashdot-jp.el (shimbun-make-contents): Append new method.

2006-04-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-get-headers): Use also the default
	method to ignore unwanted links in eye.* groups.

2006-04-20  Masaru Nomiya  <nomiyac360@mg.point.ne.jp>

	* sb-nikkei.el (shimbun-nikkei-group-table): Add it.busi_gyoukai,
	it.biz-system, it.sox, it.data, it.taidan, it.management, it.analyst,
	it.broad, it.net_gyoukai, it.iptel, it.tele, it.broadcast,
	it.internet-column, it.contents, it.literacy, it.ec, it.policy,
	it.e-gov, it.mob_gyoukai, it.mobsoft, it.mobcon, it.money,
	it.wirelesslan, it.one, it.kougengaku, it.world, it.media,
	it.net_crime, it.digi_contents groups; use
	shimbun-nikkei-get-headers-it-default and
	shimbun-nikkei-prepare-article-default for it.business, it.internet,
	it.mobile, it.security and it.digital groups.
	(shimbun-nikkei-get-headers-it-default): New function.
	(shimbun-nikkei-get-headers-it-business)
	(shimbun-nikkei-get-headers-it-internet)
	(shimbun-nikkei-get-headers-it-security)
	(shimbun-nikkei-get-headers-it-mobile)
	(shimbun-nikkei-get-headers-it-digital)
	(shimbun-nikkei-get-headers-it-pc): Remove.

2006-04-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-content-end): Improve.

2006-04-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia+D.el (shimbun-itmedia+D-groups): vodafon -> vodafone.

2006-04-06  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-infoshop.el (shimbun-infoshop-url): Follow URL change.

2006-04-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-group-table): Add column group.
	(shimbun-sankei-get-headers-column): New function.
	(shimbun-get-headers): Use it.
	(shimbun-clear-contents): Put content-end boundary for articles in
	column group.

2006-04-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-get-headers-sports): Rewrite.

	* sb-asahi.el (shimbun-asahi-prepare-article): Insert newlines in
	business.toyo group.

2006-04-04  Masaru Nomiya  <nomiyac360@mg.point.ne.jp>

	* sb-asahi.el (shimbun-asahi-group-table): Add business.aera,
	business.reuter, and business.toyo groups.

2006-04-03  Masaru Nomiya  <nomiyac360@mg.point.ne.jp>

	* sb-itmedia.el (shimbun-itmedia-group-alist): Add survey group.
	(shimbun-make-contents): Fix regexp matching timestamps.

2006-04-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-get-headers-retto): Rewrite.
	(shimbun-nikkei-prepare-article-default2): Don't infloop; improve
	regexp for the content-end.

2006-04-03  Masaru Nomiya  <nomiyac360@mg.point.ne.jp>

	* sb-asahi.el (shimbun-asahi-prepare-article): Assume there're correct
	dates in <div class="day"> tags as well as <p class="day"> tags.

	* sb-mainichi.el (shimbun-mainichi-group-table): Rename
	shakai.edu.net.archive to shakai.edu.net.morals.archive but don't
	delete the old one for the backward compatibility.

2006-04-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-group-table): Remove
	keizai.it.net.archive group.
	(shimbun-mainichi-get-headers): Fix the way to remove ranking sections.

	* sb-asahi.el (shimbun-asahi-group-table): Remove Torino news support;
	remove groups kansai.densetsu, kansai.kaban, kansai.keiki,
	kansai.kyosho, kansai.okiniiri, kansai.onayami, kansai.smile,
	kansai.syun, kansai.takara, and kansai.yotsuba.
	(shimbun-asahi-content-start, shimbun-asahi-content-end)
	(shimbun-asahi-text-content-start, shimbun-asahi-text-content-end):
	Improve regexps.

2006-04-02  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-excite.el (shimbun-excite-content-start): Improve regexp.
	(shimbun-excite-content-end): Ditto.

2006-03-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-group-table): Remove Torino news
	support; improve regexp for sports group.
	(shimbun-yomiuri-get-top-header): Remove Torino news support; goto the
	end of top news section.
	(shimbun-yomiuri-get-headers): Remove Torino news support.

	* sb-m17n.el: Make it work.

2006-03-25  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-atom-hash.el
	(shimbun-atom-rebuild-node,shimbun-atom-compose-tag): New function.
	(shimbun-hash-update-items-impl): Fix content html rebuild problem.

2006-03-23  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-atom.el (shimbun-atom): Improve class definition.

2006-03-19  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-atom.el: New file.
	* sb-atom-hash.el: Ditto.

2006-03-05  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-hash.el: New file.
	* sb-rss-hash.el: Ditto.

2006-03-03  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* nnshimbun.el (gnus-group-make-shimbun-groups): Use `reverse' instead
	of `nreverse'.

2006-03-03  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-itmedia.el (shimbun-itmedia-make-contents): New function separated
	from `shimbun-make-contents'.
	(shimbun-make-contents): Use it.

	* sb-itmedia+D.el (shimbun-itmedia+D-groups): Rename from
	`shimbun-itmedia+D-group-list'.
	(shimbun-itmedia+D-content-start): Removed.
	(shimbun-itmedia+D-content-end): Removed.
	(shimbun-groups): Removed.
	(shimbun-make-contents): New method.

2006-03-02  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-itmedia+D.el: New file.

2006-02-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-itmedia-retrieve-next-pages): Improve regexp
	matching next page tags.

	* sb-asahi.el (shimbun-asahi-group-table): Support Torino news in
	sports group.

2006-02-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-group-table): Support Torino news in
	sports group.
	(shimbun-yomiuri-get-headers): Ditto.
	(shimbun-yomiuri-get-top-header): Ditto; skip photo news.

2006-02-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Fix content start regexp
	for world.china group.

2006-02-12  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-x51.el (shimbun-x51-url): Remove it.
	(shimbun-x51-group-alist): Renew URL rule and add new groups.
	(shimbun-x51-content-start, shimbun-x51-content-end): Add `anima' rule.
	(shimbun-x51-concat-url): Renew generate rule.
	(shimbun-rss-build-message-id): Add `anima' id generate rule.
	(shimbun-get-headers): Fix casing type rdf,normal pages and obsolete
	groups.

2006-02-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Remove kansai.horiekenichi
	group;

	add groups book.booktimes, book.edu, culture.yurufemi, digital.av,
	edu.news, housing.soudan, international.america,
	international.asia, international.asiamachi, international.etc,
	international.europe, international.middleeast,
	international.seoul, international.shien, kansai.beichou,
	kansai.heibon, kansai.honma, kansai.kataritsugu, kansai.madam,
	kansai.otoriyose, kansai.sakana, kansai.sweets, world.china, and
	world.germany;

	fix index urls of culture.column and kansai.fuukei groups.

	(shimbun-asahi-prepare-article): Add special treatments for
	culture.yurufemi and world.china groups.

2006-02-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Fix a directory name in
	regexp of wakamiya group.
	(shimbun-index-url): Return a correct url for wakamiya group.

2006-02-05  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-x51.el (shimbun-x51-group-alist): Add new groups and remove
	obsolete groups.
	(shimbun-x51-obsolete-groups): New variable.
	(shimbun-groups): Modify supporting obsoleted groups.
	(shimbun-get-headers): Ditto.

2006-01-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-zeit-de.el (shimbun-get-headers): Assume a url beginning with "/"
	is the one in which "http://www.zeit.de" is omitted.
	(shimbun-rss-build-message-id): Ditto.

2006-01-28  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-pcweb-column.el (shimbun-pcweb-column-groups): Append new columns.

2006-01-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi-mytown.el: Rewrite.

2006-01-14  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-slashdot-jp.el (shimbun-clear-contents): Add `noscript' removal
	rule.

2006-01-08  Vishwanathan S V N  <vishketan@yahoo.com>

	* sb-scipy.el: New file.

2006-01-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-itmedia-retrieve-next-pages): Insert credit.

2005-12-30  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-slashdot-jp.el (shimbun-slashdot-jp-group-alist): Renew RSS URI
	(shimbun-slashdot-jp-coding-system): Remove it.
	(shimbun-slashdot-jp-content-start): Improve regex.
	(shimbun-slashdot-jp-content-end): Ditto.
	(shimbun-rss-build-message-id): Append new journal rule.
	(shimbun-get-headers): Ditto.
	(shimbun-slashdot-jp-comment-url): Improve new article rule.

2005-12-18  Mark Plaksin  <happy@mcplaksin.org>

	* sb-emacswiki.el (shimbun-get-headers): Gets the Wiki username into
	the From field of articles; appends the description of the change to
	the end of the Subject line; removes some apparently extraneous cddr's.

2005-12-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-make-regexp): Improve regexp.
	(shimbun-asahi-group-table): Ditto.

2005-11-21  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-rss.el (shimbun-rss-get-headers): If id is nil, ignore that URL
	for creating header.
	(shimbun-rss-build-message-id): Fix Docstring for new interface
	behavior.

	* sb-excite.el (shimbun-rss-build-message-id): If URL is advertisement,
	return nil.

2005-10-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-ibm-dev.el (shimbun-ibm-dev-from-address): Abolished.
	(shimbun-ibm-dev-content-end, shimbun-get-headers): Follow the change
	of site design.
	(shimbun-index-url, shimbun-from-address): New methods.
	(shimbun-article-url): Removed.

2005-10-16  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-slashdot-jp.el (shimbun-slashdot-jp-group-alist): Update URL
	supporting by Slashcode 2.5.
	(shimbun-rss-build-message-id): Update regexp and msgid generate rule
	supporting by Slashcode 2.5.
	(shimbun-clear-contents): Add removal `script' tag.

2005-10-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-group-table): Allow to specify index
	pages; add kansai.sanshi group.
	(shimbun-index-url): Prefer the value specified by
	shimbun-mainichi-group-table.
	(shimbun-mainichi-get-headers): Follow shimbun-mainichi-group-table
	change.

2005-09-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-prepare-article): Don't remove
	height="nn" in image tags, there's no goal here.

2005-09-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-mime-replace-image-tags): Move the code removing
	height="nn" in image tags back to sb-yomiuri.el.

	* sb-yomiuri.el (shimbun-yomiuri-prepare-article): Do.

2005-08-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Improve regexp for the
	shopping group; remove the shopping.ryouhin group.
	(shimbun-asahi-prepare-article): Add a filter for the shopping group.

2005-08-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Change the index page and
	the regexp for the shopping.kishi group.
	(shimbun-asahi-prepare-article): Change the regexp used to find the
	start of articles for the shopping.kishi group.

2005-08-07  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-heise.el (shimbun-heise-wash-telepolis-article): Remove ads.

2005-08-04  Andreas Seltenreich  <seltenreich@gmx.de>

	* sb-zeit-de.el (shimbun-index-url): Fix typo.

2005-08-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (nnshimbun-retrieve-headers-with-nov): Use
	insert-buffer-substring instead of insert-buffer.

2005-07-23  Tsuyoshi CHO  <tsuyoshi_cho@yahoo.co.jp>

	* sb-zdnet-jp.el (shimbun-zdnet-jp-group-alist): Add new groups for
	blogs,columns and channel.

	* sb-engadget-ja.el (shimbun-engadget-ja-content-end): Follow the
	change of the site.

	* sb-cnetnetworks.el, sb-cnet-jp.el, sb-zdnet-jp.el, sb-engadget-ja.el:
	Cosmetic refine.

2005-07-20  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Set a reviewer to From
	field.

2005-07-15  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-weeklyworldnews.el (shimbun-get-headers): Remove HTML tags from
	headlines; removed forgotten debug code.

2005-07-14  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-bbc.el (shimbun-bbc-content-start): Relaxed.

2005-07-14  Masaru Nomiya  <nomiyac360@mg.point.ne.jp>

	* sb-nikkei.el (shimbun-nikkei-group-table): Fix index url for the
	release.it.net group.
	(shimbun-nikkei-prepare-article) Change for retto groups.

2005-07-13  Andreas Seltenreich  <seltenreich@gmx.de>

	* sb-zeit-de.el (shimbun-zeit-de-groups): Add new groups.
	(shimbun-zeit-de-content-start): Adjusted for new groups.
	(shimbun-index-url): Ditto.
	(shimbun-clear-contents): Always return non-nil, otherwise
	shimbun-make-html-contents won't add add proper <head> tags.

2005-07-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Remove book group; add 15
	book.* groups; don't specify index urls which are the same as group
	names.
	(shimbun-index-url): Make index url based on group name.
	(shimbun-asahi-get-headers): Make it work with book.* groups.
	(shimbun-asahi-prepare-article): Collect images in book.* groups.

	* sb-nikkei.el (shimbun-nikkei-group-table): Fix index url for the
	it.mobile group.
	(shimbun-nikkei-x-face-alist): Use regexp for the release groups.
	(shimbun-nikkei-get-headers-report): Remove useless regexp pattern.
	(shimbun-nikkei-get-headers-kansai): Ditto.
	(shimbun-nikkei-get-headers-it-business): Ditto.
	(shimbun-nikkei-get-headers-it-internet): Ditto.
	(shimbun-nikkei-get-headers-it-security): Ditto.
	(shimbun-nikkei-get-headers-it-mobile): Ditto.
	(shimbun-nikkei-get-headers-it-digital): Ditto.
	(shimbun-nikkei-get-headers-it-pc): Ditto.
	(shimbun-nikkei-prepare-article-default2): Remove unwanted images.

	* shimbun.el (shimbun-x-face): Allow regexp in group names.

	* sb-mainichi.el (shimbun-mainichi-get-headers): Ignore ranking
	sections.

2005-07-11  Masaru Nomiya  <nomiyac360@mg.point.ne.jp>

	* sb-nikkei.el (shimbun-nikkei-group-table): Add nikkei.china.

2005-07-11  Masaru Nomiya  <nomiyac360@mg.point.ne.jp>

	* sb-nikkei.el: (shimbun-nikkei-prepare-article-default3) Improve
	regexp.

2005-07-11  Masaru Nomiya  <nomiyac360@mg.point.ne.jp>

	* sb-mainichi.el (shimbun-mainichi-group-table): Add
	keizai.it.net.archive, keizai.wadai.kansoku.archive,
	keizai.wadai.seika.archive, shakai.edu.mori,
	shakai.edu.elearningschool.nyushi.archive, shakai.edu.net.archive,
	shakai.edu.manabito.archive, sokuhou and yougo.

	* sb-nikkei.el (shimbun-nikkei-group-table): Remove it, it.zensen,
	it.manage, it.seisaku and it.digicore.

	(shimbun-nikkei-group-table):, Add it.business, it.internet, it.mobile,
	it.security, it.digital, it.pc, release.it.comp, release.it.peri,
	release.it.sys, release.it.cont, release.it.net, release.it.lsi,
	release.it.game, release.it.etc, release.dist.depart,
	release.dist.ryohan, release.dist.zakka, release.dist.cosme,
	release.dist.car, release.dist.bookrelease.dist.record,
	release.dist.food, release.dist.mercha, release.dist.mail,
	release.dist.netshop, release.dist.etc, release.money.bank,
	release.money.sec, release.money.am, release.money.insu,
	release.money.etc, release.maker.chemi, release.maker.mecha,
	release.maker.car, release.maker.elec, release.maker.food,
	release.maker.sports, release.maker.apparel, release.maker.commu,
	release.maker.etc, release.service.medi, release.service.rest,
	release.service.trans, release.service.energy, release.service.enter,
	release.service.env, release.service.consul, release.service.edu,
	release.service.haken, release.service.life, release.service.media,
	release.service.lease, release.service.travel, release.service.etc,
	release.const.const, release.const.house and release.const.etc.

2005-07-06  David Hansen  <david.hansen@gmx.net>

	* sb-infoshop.el: New file.

2005-07-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-header-regexp-default): Make it
	match to headers also in the eye.shasetsu.archive group.
	(shimbun-mainichi-group-table): Add the eye.shasetsu.archive group.
	(shimbun-mainichi-get-headers): Make it work with the eye.shasetsu
	group and the eye.shasetsu.archive group.

2005-07-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-prepare-article): Shorten paragraph
	separators in the kinji articles even if they aren't appeared in the
	eye.kinji group; break continuous lines in the yoroku articles even if
	they aren't appeared in the eye.yoroku group.

2005-07-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el: Rewrite.
	(shimbun-mainichi-header-regexp-default): New variable.

	* sb-text.el (shimbun-shallow-rendering): Handle <br /> as well as
	<br>.

	* nnshimbun.el (nnshimbun-request-delete-group): Make sure the parent
	directory exists.

2005-07-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-cnn-jp.el (shimbun-cnn-jp-prefer-text-plain): Remove it
	temporarily (cf. http://emacs-w3m.namazu.org/ml/msg08121.html).

2005-07-03  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-cnn-jp.el (shimbun-cnn-jp-prefer-text-plain): Add new variable,
	set as text type.

	* sb-engadget-ja.el: New file.

2005-07-02  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-heise.el: (shimbun-heise-wash-telepolis-article): Remove more ads.

2005-06-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnshimbun.el: Changes to support an ephemeral group.
	(TOPLEVEL): Add autoloads for `gnus-group-prefixed-name' and
	`gnus-kill-ephemeral-group'.
	(nnshimbun-group-prefixed-name): Accept an optional argument, `server'.
	(nnshimbun-group-ephemeral-p): Use the above function.
	(nnshimbun-request-group): Ignore `dont-check' argument when requesting
	an ephemeral group.
	(nnshimbun-close-group): Close a NOV buffer for an ephemeral group.
	(gnus-group-make-shimbun-group): Use a prefixed name as an ephemeral
	group.  Kill an ephemeral group before making it an ordinary group.

2005-06-26  Andreas Seltenreich  <seltenreich@gmx.de>

	* sb-zeit-de.el (shimbun-get-headers): Append "?page=all" to the URLs
	to get complete articles again.

2005-06-22  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-wired.el: Removed.

	* sb-wired-jp.el (shimbun-wired-jp-get-headers): Fix the order of
	retrieved headers.

2005-06-22  MIYOSHI Masanori  <miyoshi@meadowy.org>

	* sb-msports-nifty.el (shimbun-get-headers): Follow the changes of the
	site.
	(shimbun-msports-nifty-content-start): Ditto.

2005-06-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-prepare-article): Break long lines in
	the editorial group.

2005-06-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-cnn-jp.el (shimbun-get-headers): Rewrite.

2005-06-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-get-headers): Improve regexp.

	* sb-cnn-jp.el (shimbun-cnn-jp-prepare-article): Enable displaying of
	photographs.

2005-06-12  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* sb-muchy.el: Removed.

2005-06-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make emacs-w3m not support the XEmacs versions older than 21.4.17
	or 21.5-b19.

2005-06-09  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-cnet-jp.el (shimbun-cnet-jp-group-alist): Add "blog.sakamoto"
	entry.

	* sb-x51.el, sb-wikimedia.el, sb-w3m-dev.el, sb-tigris.el,
	sb-mailman.el, sb-excite.el, sb-cnn-jp.el, sb-arch-bluegate.el: Mail
	address renew.

2005-06-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnshimbun.el (nnshimbun-request-group): Avoid multiple retrieving of
	headers.
	(gnus-group-make-shimbun-group): Use non-prefixed name when calling
	`gnus-group-read-ephemeral-group'.
	(gnus-group-make-shimbun-groups): Call `gnus-group-entry' instead of
	calling `gnus-gethash' which requires Gnus internal variable
	`gnus-newsrc-hashtb'.

2005-06-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (nnshimbun-open-server): Remove pathname-coding-system.
	(nnshimbun-open-nov): Ditto.
	(nnshimbun-write-nov): Ditto.

	* sb-heise.el (shimbun-heise-wash-newsticker-article) Remove unused
	temp var.

	* sb-x51.el (shimbun-x51-prepare-article): Specify the boundary to
	search date.

2005-06-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnshimbun.el (nnshimbun-request-group): Fix message.
	(gnus-group-make-shimbun-group): Create an ephemeral group when it is
	called with the 3rd `ephemeral'argument.

2005-06-08  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnshimbun.el: Changes to enable a nnshimbun group to work as an
	ephemeral group, and several clean ups.
	(nnshimbun-server-directory): Removed.
	(nnshimbun-current-directory): Removed.
	(nnshimbun-group-prefixed-name): New inline function.
	(nnshimbun-find-parameter, nnshimbun-request-expire-articles): Use the
	above.
	(nnshimbun-group-ephemeral-p): New inline function.
	(nnshimbun-possibly-change-group): Do not make directories.
	(nnshimbun-open-server): Use `nnshimbun-address' parameter as its
	shimbun server name.  Do not make directories.
	(nnshimbun-request-group): Retrieve headers if a specified group is
	ephemeral.
	(nnshimbun-close-group): Notify that an error occurs when closing a
	group, if `nnshimbun-write-nov' returns nil.
	(nnshimbun-nov-directory): New inline function.
	(nnshimbun-nov-file-name, nnshimbun-request-delete-group): Use the
	above.
	(nnshimbun-write-nov): Do not write NOV database to a file, if a
	specified group is ephemeral.  Returns nil if an error occurs when
	writing NOV database to a file.
	(nnshimbun-generate-nov-database): Ignore group parameters,
	`prefetch-articles' and `index-range', if a specified group is
	ephemeral.

2005-06-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (nnshimbun-default-group-level): New option.
	(gnus-group-make-shimbun-group): Use it; don't bind
	nnshimbun-pre-fetch-article.
	(gnus-group-make-shimbun-groups): New command.

2005-06-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-content-start-internal): Don't redefine it.
	Suggested by Hiroya Murata <lapis-lazuli@pop06.odn.ne.jp>.
	(shimbun-content-end-internal): Ditto.
	(shimbun-content-start): New inline function.
	(shimbun-content-end): Ditto.
	(shimbun-clear-contents): Use shimbun-content-start instead of
	shimbun-content-start-internal; use shimbun-content-end instead of
	shimbun-content-end-internal.
	(shimbun-break-long-japanese-lines): Ditto.
	(shimbun-with-narrowed-article): Ditto.

	* sb-chalow.el: Don't inherit shimbun-text, which was mis- applied and
	ineffective.
	(shimbun-make-contents): Use shimbun-content-start instead of
	shimbun-content-start-internal; use shimbun-content-end instead of
	shimbun-content-end-internal.

	* sb-f1fan.el: Don't require sb-text, though this back end still
	generates text/plain articles as before.

	* sb-japantimes.el: Don't inherit shimbun-text, which was mis-applied
	and ineffective.

	* sb-kantei.el (shimbun-clear-contents): Use shimbun-content-start
	instead of shimbun-content-start-internal; use shimbun-content-end
	instead of shimbun-content-end-internal.

	* sb-makanai.el: Don't inherit shimbun-text, which was mis-applied and
	ineffective.

	* sb-msports-nifty.el: Don't require sb-text, though this back end
	still generates text/plain articles as before.
	(shimbun-make-contents): Specify clearly the 4th arg of
	shimbun-header-insert-and-buffer-string.

	* sb-pcweb-column.el: Don't inherit shimbun-text, which was mis-applied
	and ineffective.

	* sb-sankei.el (shimbun-clear-contents): Use shimbun-content-start
	instead of shimbun-content-start-internal.

	* sb-tdiary.el: Don't inherit shimbun-text, which was mis- applied and
	ineffective.
	(shimbun-make-contents): Use shimbun-content-start instead of
	shimbun-content-start-internal; use shimbun-content-end instead of
	shimbun-content-end-internal.

	* sb-welt-de.el (shimbun-clear-contents): Use shimbun-content-start
	instead of shimbun-content-start-internal.

	* sb-x51.el (shimbun-x51-prepare-article): Use shimbun-content-start
	instead of shimbun-content-start-internal; use shimbun-content-end
	instead of shimbun-content-end-internal.

	* sb-yahoo-auctions.el (shimbun-make-contents): Use
	shimbun-content-start instead of shimbun-content-start-internal; use
	shimbun-content-end instead of shimbun-content-end-internal.

	* sb-yahoo-sports.el: Don't inherit shimbun-text, which was mis-applied
	and ineffective.

	* sb-yahoo.el (shimbun-yahoo-prefer-text-plain): Default to nil so as
	to generate html articles as before.

	* sb-zeit-de.el (shimbun-make-contents): Use shimbun-content-start
	instead of shimbun-content-start-internal; use shimbun-content-end
	instead of shimbun-content-end-internal.

	* sb-cnet-jp.el, sb-emacswiki.el, sb-excite.el, sb-exconn.el,
	sb-geocrawler.el, sb-impress.el, sb-jpo.el, sb-marc-aims.el,
	sb-mhonarc.el, sb-nikkei.el, sb-pocketgames.el, sb-slashdot-jp.el,
	sb-squeak-dev.el, sb-squeak-ja.el, sb-wired-jp.el, sb-wired.el,
	sb-zdnet-jp.el: Don't require cl.

2005-05-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-make-date-string): Don't modify the
	date if it is one given temporarily.
	(shimbun-mainichi-prepare-article): Fix regexp for fixing the date.

2005-05-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-text.el (shimbun-fill-line): Make it work correctly also with
	XEmacs.

	* sb-mainichi.el (shimbun-mainichi-prefer-text-plain): New variable.
	(shimbun-mainichi-get-headers): Use shimbun-strip-cr.
	(shimbun-mainichi-prepare-article): Use shimbun-with-narrowed-article;
	remove the paragraph separators in the column.yoroku group; open
	paragraphs and fix the position of the footer in text/plain articles.

	* sb-yahoo.el (shimbun-make-contents): Use
	shimbun-with-narrowed-article; fix the picture tag.

	* sb-yomiuri.el (shimbun-yomiuri-get-top-header): Fix message-id.
	(shimbun-yomiuri-prepare-article): Use shimbun-with-narrowed-article.

	* shimbun.el (shimbun-insert-footer): New function.
	(shimbun-make-html-contents): Use it.
	(shimbun-footer): Don't prepend a newline; use <div align="left">
	instead of <p align="left">.
	(shimbun-header-insert-and-buffer-string): Use shimbun-insert-footer.
	(shimbun-with-narrowed-article): New macro.

2005-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi-html.el: Don't require shimbun.
	(shimbun-asahi-html-prefer-text-plain): New constant.
	(shimbun-asahi-html-content-start): Move to sb-asahi.el.
	(shimbun-asahi-html-content-end): Ditto.
	(shimbun-make-contents): Remove.

	* sb-asahi.el (shimbun-asahi): Don't inherit sb-text.
	(shimbun-asahi-prefer-text-plain): New variable.
	(shimbun-asahi-content-start): Move from sb-asahi-html.el.
	(shimbun-asahi-content-end): Ditto.
	(shimbun-asahi-text-content-start): Rename from
	shimbun-asahi-content-start.
	(shimbun-asahi-text-content-end): Rename from
	shimbun-asahi-content-end.
	(initialize-instance): Set the shimbun class variables content-start
	and content-end for the html articles.

	* sb-text.el (shimbun-make-text-contents): New function extracted from
	shimbun-make-contents.
	(shimbun-make-contents): Use it.

	* sb-yahoo.el (shimbun-yahoo): Don't inherit sb-text.
	(shimbun-yahoo-prefer-text-plain): New variable.
	(shimbun-make-contents): Narrow to the region in which there seems to
	be the article contents; fix the picture tag; correct the date header;
	correct the position of the footer; break long Japanese lines in html
	articles.

	* sb-yomiuri-html.el Don't require shimbun.
	(shimbun-yomiuri-html-prefer-text-plain): New constant.
	(shimbun-yomiuri-html-content-start): Move to sb-yomiuri.el.
	(shimbun-yomiuri-html-content-end): Ditto.
	(shimbun-make-contents): Remove.

	* sb-yomiuri.el:: Don't inherit sb-text.
	(shimbun-yomiuri-prefer-text-plain): New variable.
	(shimbun-yomiuri-content-start): Move from sb-yomiuri-html.el.
	(shimbun-yomiuri-content-end): Ditto.
	(shimbun-yomiuri-text-content-start): Rename from
	shimbun-yomiuri-content-start.
	(shimbun-yomiuri-text-content-end): Rename from
	shimbun-yomiuri-content-end.
	(initialize-instance): Set the shimbun class variables content-start
	and content-end for the html articles.
	(shimbun-yomiuri-prepare-article): Fix misplaced goto-char.

	* shimbun.el: Add the shimbun class variables prefer-text-plain,
	text-content-start and text-content-end.
	(shimbun-content-start-internal): Redefine it so that it may return
	content-start or text-content-start according to prefer-text-plain.
	(shimbun-content-end-internal): Redefine it so that it may return
	content-end or text-content-end according to prefer-text-plain.
	(shimbun-attributes): Add prefer-text-plain, text-content-start and
	text-content-end.
	(shimbun-open): Share content-start and text-content-start, and
	content-end and text-content-end if the other one is void.
	(shimbun-make-html-contents): Redefine it as a normal function.
	(shimbun-make-text-contents): Autoload sb-text for it.
	(shimbun-make-contents): Run one of shimbun-make-html-contents and
	shimbun-make-text-contents according to prefer-text-plain.

2005-05-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-clear-contents): Use
	shimbun-content-start-internal instead of shimbun-sankei-content-start.

	* sb-tdiary.el (shimbun-make-contents): Use
	shimbun-content-start-internal instead of shimbun-tdiary-content-start.

	* sb-welt-de.el (shimbun-clear-contents): Use
	shimbun-content-start-internal instead of
	shimbun-welt-de-content-start.

	* sb-x51.el (shimbun-x51-prepare-article): Use
	shimbun-content-start-internal instead of shimbun-x51-content-start;
	use shimbun-content-end-internal instead of shimbun-x51-content-end.

	* sb-yomiuri.el (shimbun-yomiuri-prepare-article): Use
	shimbun-content-start-internal instead of
	shimbun-yomiuri-content-start; use shimbun-content-end-internal instead
	of shimbun-yomiuri-content-end.

	* sb-zeit-de.el (shimbun-make-contents): Use
	shimbun-content-start-internal instead of
	shimbun-zeit-de-content-start; use shimbun-content-end-internal instead
	of shimbun-zeit-de-content-end.

	* sb-yahoo.el (shimbun-yahoo): Inherit sb-text.

2005-05-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-prepare-article): Narrow to the region
	in which there seems to be the article contents.

2005-05-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-group-table): Rewrite; replace
	business with atmoney; replace culture with entertainment.
	(shimbun-index-url): Allow absolute url.
	(shimbun-yomiuri-japanese-string-to-number): Redefine it as a normal
	function.
	(shimbun-yomiuri-shorten-brackets-in-string): Abolish.
	(shimbun-yomiuri-get-top-header): New function.
	(shimbun-yomiuri-get-headers): Rewrite.
	(shimbun-yomiuri-prepare-article): Rewrite.

2005-05-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-yahoo): Make it not inherit sb-text.
	(shimbun-yahoo-groups-table): Rename from shimbun-yahoo-groups-alist;
	add Japanese group names.
	(shimbun-yahoo-from-address): Make it unreachable.
	(shimbun-index-url): Follow the shimbun-yahoo-groups-table change.
	(shimbun-get-headers): Improve regexp; make the from address
	unreachable; improve the uniqueness of Message-IDs; sort headers by
	date.
	(shimbun-make-contents): New function.

	* shimbun.el (shimbun-mime-replace-image-tags): Exclude trailing
	whitespace in the url string; guess the content type by the filename if
	it seems to be specified mistakenly.

2005-05-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Use shy group in regexp.
	(shimbun-asahi-get-headers): Ditto.
	(shimbun-asahi-prepare-article): Ditto.

	* sb-mainichi.el (shimbun-mainichi-group-table): Ditto.
	(shimbun-mainichi-content-end): Ditto.

	* sb-nikkei.el (shimbun-nikkei-from-address): Make it unreachable.
	(shimbun-get-headers): Make the from address unreachable.
	(shimbun-nikkei-get-headers-default): Use shy group in regexp.
	(shimbun-nikkei-get-headers-top): Ditto.
	(shimbun-nikkei-get-headers-default2): Ditto.
	(shimbun-nikkei-get-headers-kansai): Rearrange regexp.
	(shimbun-nikkei-get-headers-it): Ditto.
	(shimbun-nikkei-get-headers-it-zensen): Ditto.
	(shimbun-nikkei-get-headers-it-manage): Ditto.
	(shimbun-nikkei-get-headers-it-seisaku): Ditto.
	(shimbun-nikkei-get-headers-it-digicore): Ditto.
	(shimbun-nikkei-get-headers-markets): Ditto.
	(shimbun-nikkei-get-headers-kawase): Ditto.
	(shimbun-nikkei-get-headers-bunkatsu2): Ditto.
	(shimbun-nikkei-get-headers-kinri): Ditto.
	(shimbun-nikkei-get-headers-ft): Ditto.
	(shimbun-nikkei-get-headers-dj): Ditto.
	(shimbun-nikkei-get-headers-gyoseki): Ditto.
	(shimbun-nikkei-get-headers-market): Use shy group in regexp.
	(shimbun-nikkei-get-headers-sports): Rearrange regexp.
	(shimbun-nikkei-get-headers-newpro): Use shy group in regexp.
	(shimbun-nikkei-get-headers-shasetsu): Ditto.
	(shimbun-nikkei-prepare-article-market): Use shy group in regexp.

	* sb-sankei.el (shimbun-sankei-content-start): Use shy group in regexp.
	(shimbun-get-headers): Ditto.
	(shimbun-sankei-get-headers-editoria): Ditto.
	(shimbun-clear-contents): Ditto.

	* sb-yomiuri.el (shimbun-yomiuri-group-table): Ditto.
	(shimbun-yomiuri-get-headers): Ditto.
	(shimbun-yomiuri-prepare-article): Ditto.

	* shimbun.el (shimbun-entity-type): Ditto.
	(shimbun-mime-replace-image-tags): Ditto.

2005-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mew-shimbun.el (mew-shimbun-md5): Use md5 instead of mew-md5.

	* nnshimbun.el (nnshimbun-search-id): Use point-at-bol.
	(nnshimbun-parse-nov): Use point-at-eol.
	(nnshimbun-request-expire-articles): Ditto.
	(nnshimbun-search-xref): Use point-at-bol.

	* sb-cnn-jp.el (shimbun-get-headers): Use string-to-number instead of
	string-to-int.

	* sb-debian.el (shimbun-get-headers): Ditto.

	* sb-geocrawler.el (shimbun-geocrawler-headers): Use point-at-eol.

	* sb-impress.el: Don't require md5.

	* sb-itmedia.el (shimbun-itmedia-clean-text-page): Use point-at-eol.

	* sb-makanai.el: Don't autoload md5.

	* sb-mhonarc.el (shimbun-make-contents): Use regexp-opt; use
	point-at-eol.

	* sb-msdn.el: Don't autoload md5.

	* sb-tigris.el (shimbun-get-headers): Ditto.

	* sb-wired-jp.el: Don't require md5.
	(shimbun-wired-jp-get-headers): Use point-at-eol.

	* sb-wired.el (shimbun-get-group-header-alist): Use regexp-opt.

	* sb-x51.el (shimbun-get-headers): Ditto.

	* shimbun.el (shimbun-base64-encode-string): Remove.
	(shimbun-replace-in-string): Alias to w3m-replace-in-string.
	(shimbun-entity-insert): Use base64-encode-string.
	(shimbun-point-at-bol): Remove.
	(shimbun-point-at-eol): Remove.
	(shimbun-regexp-opt): Remove.
	(shimbun-replace-in-string): Don't support Emacs 19 and 20.

2005-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-group-table): Use the top pages
	instead of the archive pages for the column groups.

2005-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-make-regexp): Improve regexp.
	(shimbun-asahi-group-table): Ditto.

	* sb-mainichi.el (shimbun-mainichi-group-table): Add column groups;
	specify index pages, regexps and numbers.
	(shimbun-mainichi-from-address): Make it unreachable.
	(shimbun-index-url): Refer to shimbun-mainichi-group-table.
	(shimbun-mainichi-get-headers): Refer to shimbun-mainichi-group-table
	for a regexp and numbers; make the from address unreachable.
	(shimbun-mainichi-prepare-article): Break continuous lines in the
	yoroku group.

2005-04-23  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-heise.el (shimbun-heise-wash-telepolis-article): Follow changes in
	their html.

2005-04-24  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-cnetnetworks.el: New file.

	* sb-zdnet-jp.el (Top): Replace new requirement.
	(shimbun-zdnet-jp): Change parent from `shimbun-japanese-newspaper' and
	`shimbun-rss' to `shimbun-cnetnetworks'.
	(shimbun-zdnet-jp-server-name): Normalize.
	(shimbun-zdnet-jp-content-start): Fix regexp.
	(shimbun-zdnet-jp-content-end): Ditto.
	(shimbun-zdnet-jp-x-face-alist): New variable.
	(shimbun-rss-build-message-id): Fix build rule, but result do not
	changing.
	(shimbun-zdnet-jp-retrieve-next-pages): Replace to new parent's method.
	(shimbun-make-contents): Ditto.
	(shimbun-clear-contents): Move to parent.
	(shimbun-cnetnetworks-clear-footer): New override define method.
	(shimbun-cnetnetworks-header-reconfig): Ditto.

	* sb-cnet-jp.el (Top): Replace new requirement.
	(shimbun-cnet-jp): Change parent from `shimbun-japanese-newspaper' and
	`shimbun-rss' to `shimbun-cnetnetworks'.
	(shimbun-cnet-jp-server-name): Normalize.
	(shimbun-cnet-jp-from-address): Remove.
	(shimbun-cnet-jp-clean-text-page): Ditto.
	(shimbun-cnet-jp-retrieve-next-pages): Replace to new parent's method.
	(shimbun-make-contents): Ditto.
	(shimbun-clear-contents): Move to parent.
	(shimbun-cnetnetworks-clear-footer): New override define method.
	(shimbun-footer): Fix rule.

2005-04-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-mime-replace-image-tags): Remove height="nn" in
	image tags.

	* sb-yomiuri.el (shimbun-yomiuri-prepare-article): Remove garbage in
	the kyoiku group more; don't replace alt="whitespace" with alt="image".

2005-04-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-content-start)
	(shimbun-yomiuri-content-end): Improve.
	(initialize-instance): Make the from address unreachable.
	(shimbun-yomiuri-get-headers): Ditto.
	(shimbun-yomiuri-prepare-article): Remove images and garbage in the
	beginning of articles when the server is not yomiuri-html; make
	articles in the kyoiku group contain the footers; remove garbage more;
	remove height="nn" in image tags; replace alt="whitespace" with
	alt="image".

	* sb-yomiuri-html.el (shimbun-yomiuri-html-content-start)
	(shimbun-yomiuri-html-content-end): Improve.

2005-04-16  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-arch-bluegate.el: Re-Add for site re-opening.

2005-04-15  Hideyuki SHIRAI  <shirai@meadowy.org>

	* sb-palmfan.el (shimbun-palmfan-x-face-alist): New variable. Tnx,
	Maruyama san.

2005-04-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-decode-time): New function.

	* sb-asahi-mytown.el (shimbun-asahi-mytown-get-headers): Use it.

	* sb-asahi.el (shimbun-asahi-get-headers): Use it.

	* sb-sankei.el (shimbun-get-headers): Use it.
	(shimbun-sankei-get-headers-editoria): Use it.

	* sb-yomiuri.el (shimbun-yomiuri-get-headers): Use it.

2005-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-x-face-alist): Renew.
	(shimbun-sankei-get-headers-editoria): Extend the time slot in which to
	presume the url.

2005-04-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-get-headers-editoria): Presume the url
	for that day.

2005-04-11  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-the-register.el (shimbun-get-headers): Follow their wicked URL and
	redirect changes.

2005-04-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-from-address): Make it unreachable.
	(shimbun-sankei-group-table): Add the editoria group.
	(shimbun-index-url): Use shimbun-expand-url.
	(shimbun-get-headers): Use shimbun-sankei-get-headers-editoria for the
	editoria group; make the from address unreachable.
	(shimbun-sankei-get-headers-editoria): New function.
	(shimbun-clear-contents): Put the content-end boundary for articles in
	the editoria group.

2005-04-10  Hiroya Murata  <lapis-lazuli@pop06.odn.ne.jp>

	* sb-msports-nifty.el (shimbun-get-headers): Follow the change of the
	site design.

2005-04-10  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-atmarkit.el (shimbun-article): New define method.  Before run it,
	replace xref in header to no param format.

2005-04-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-rss.el (shimbun-rss-get-encoding): Goto the beginning of the
	buffer first.

2005-04-09  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-zdnet-jp.el: New file.

	* sb-cnet-jp.el (top): Renew address
	(shimbun-cnet-jp-clean-text-page): Remove.
	(shimbun-cnet-jp-retrieve-next-pages): Replace
	`shimbun-cnet-jp-clean-text-page' to `shimbun-clear-contents'.

2005-04-08  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-shimbun.el (mew-shimbun-retrieve): Add new argument `newfld'.
	Call `mew-shimbun-retrieve-article' with `newfld'.
	(mew-shimbun-retrieve-all): Treate `newfld' and call
	`mew-shimbun-retrieve' with `newfld'.
	(mew-shimbun-retrieve-article): Add new argument `newfld'.

2005-04-07  Andreas Seltenreich  <seltenreich@gmx.de>

	* sb-laut-de.el (shimbun-laut-de-content-start): Also match on group
	"news".
	(shimbun-headers): Remove stub code.
	(shimbun-clear-contents): Added.

2005-04-01  S V N Vishwanathan  <vishketan@yahoo.com>

	* sb-rediff.el (shimbun-rediff-content-end): Improve regexp.
	(shimbun-article-url): Remove the method.
	(shimbun-article): New method.
	(shimbun-clear-contents): Add the deletion of some tags.
	(shimbun-make-contents): Improve regexp.
	(shimbun-rss-build-message-id): Improve regexp.

2005-04-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-rss.el (shimbun-headers): Strip CRs before decoding.
	(shimbun-rss-get-headers): Don't do it there.

2005-04-07  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-cnet-jp.el (shimbun-cnet-jp-content-end): Fix value.

2005-04-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-rss.el (shimbun-rss-compatible-encoding-alist): New variable.
	(shimbun-rss-get-encoding): Return a compatible encoding according to
	shimbun-rss-compatible-encoding-alist.
	(shimbun-rss-find-el): Use dolist instead of mapcar; use consp instead
	of listp; make it work with old xml.el as well.

2005-04-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Improve regexp for the rss
	group.
	(shimbun-asahi-prepare-article): Do nothing for the rss group.

2005-04-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Don't miss items for
	sale in the shopping.kishi group.

2005-03-27  YOSIDA Kozi  <kozi.yosida@nifty.ne.jp>

	* sb-nifty-forum.el: New file.


2005-03-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Release emacs-w3m-1.4.4 from emacs-w3m-1_4 branch.

2005-03-23  Andreas Seltenreich  <seltenreich@gmx.de>

	* sb-zeit-de.el (shimbun-zeit-de-content-end): Don't match on
	advertisements.
	(shimbun-clear-contents): Added to get rid of webbugs and
	advertisements.

2005-03-23  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnshimbun.el (nnshimbun-parse-nov): Remove redundant `function'.

2005-03-22  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-yahoo-auctions.el (shimbun-yahoo-auctions-content-start)
	(shimbun-yahoo-auctions-content-end): Follow the change of the site
	design.
	(shimbun-get-headers): Reverse the order of the return value.
	(shimbun-article-url): New overridden method.
	(shimbun-make-contents): Ditto.

2005-03-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-fau.el (shimbun-article): Fix the class name.  Suggested by
	ARISAWA Akihiro <ari@mbf.sphere.ne.jp>.

2005-03-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-fau.el (shimbun-article): New overriding method to decode article
	contents according to shimbun-fau-coding-system.

2005-03-22  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-fau.el (shimbun-fau-coding-system): New variable.

	* shimbun.el (shimbun-find-coding-system): Alias to
	w3m-find-coding-system.

2005-03-21  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-heise.el (shimbun-heise-get-telepolis-headers): Fixed broken
	message id.

2005-03-20  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-heise.el (shimbun-heise-get-newsticker-headers): Removed forgotten
	debug code.
	(shimbun-heise-get-telepolis-headers): Follow the change of site
	design.

2005-03-19  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-fau.el (shimbun-fau-x-face-alist): New variable.
	(shimbun-fau-content-end): Improve regexp.

2005-03-19  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-fau.el: New file.

2005-03-19  Takashi Hiromatsu  <matsuan@ca2.so-net.ne.jp>

	* sb-sourceforge-jp.el (shimbun-sourceforge-jp-mailing-lists): Add
	groups macemacsjp-users, macemacsjp-dev and macemacsjp-english.

2005-03-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el: Load gnus-bcklg safely (see the comment).

2005-03-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Try to fetch the article
	for that day if it failed for the editorial group and the tenjin group;
	remove the science group section.

	* sb-tcup.el (shimbun-tcup-group-alist): Remove the time-lag parameter.
	(shimbun-get-headers): Adjust date for articles posted up in the
	level-one boards in which the clock has been advanced for 9 hours.

2005-03-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el: Rewrite to follow the change of the site.
	(shimbun-asahi-make-regexp): New function.
	(shimbun-asahi-group-table): Use it; remove the groups borderless,
	kansai-special, nankyoku-people and whitemail; add the groups book,
	business.column, car, car.italycolumn, car.motorsports, car.newcar,
	car.newcarbywebcg, culture.column, digital, digital.apc,
	digital.bcnnews, digital.column01, digital.hotwired, digital.internet,
	digital.mobile, digital.nikkanko, digital.pc, edu.column, edu.kosodate,
	edu.tamate, health, health.aged, health.alz, health.medical, housing,
	housing.amano, housing.column, housing.diary, housing.world, igo,
	kansai.horiekenichi, kansai.umaimon, kansai.fuukei, kansai.yotsuba,
	kansai.smile, kansai.keiki, kansai.okiniiri, kansai.syun,
	kansai.takara, kansai.kansaiisan, kansai.depa, kansai.kaban,
	kansai.kyosho, kansai.okan, kansai.densetsu, kansai.onayami,
	kansai.sanshi, life, life.column, life.food, national.calamity,
	national.etc, national.trial, obituaries, shopping, shopping.kishi,
	shopping.ryouhin, shougi, sports.baseball, sports.column,
	sports.football, sports.spo, travel, travel.kaido, travel.matsuri,
	travel.zeitaku and wakamiya; improve regexps.
	(initialize-instance): Make the from address unreachable.
	(shimbun-asahi-get-headers): Rewrite.
	(shimbun-asahi-get-headers-for-today): Rewrite.
	(shimbun-asahi-prepare-article): Rewrite.

	* sb-bbc.el (shimbun-rss-build-message-id): Ease a strictness of
	regexp.

2005-03-15  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-shimbun.el (mew-shimbun-retrieve-article): Treat folder surely
	over again.

2005-03-14  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-shimbun.el (mew-shimbun-goto-folder): Treat folder surely; inlude
	last `/' of folder name.
	(mew-shimbun-re-retrieve): Doc fix.

2005-03-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi-html.el (shimbun-asahi-html-content-start): Improve.
	(shimbun-asahi-html-content-end): Improve.

	* sb-asahi.el (shimbun-asahi-content-start): Improve.
	(shimbun-asahi-content-end): Improve.
	(shimbun-asahi-prepare-article): Don't remove adv for the sports group
	there.

2005-03-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Modify regexp for the sports
	group following the change of the site.
	(shimbun-asahi-prepare-article): Set date and remove adv for the sports
	group.

2005-03-13  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* sb-wincefan.el (shimbun-wincefan-content-start): Updated.
	(shimbun-wincefan-content-end): Ditto.
	(shimbun-get-headers): Ditto.
	(shimbun-wincefan-parse-time): Removed.
	(shimbun-make-contents): Not to modify the current buffer and simply
	expand relative URLs.

2005-03-13  MIYOSHI Masanori  <miyoshi@meadowy.org>

	* sb-yahoo-sports.el: New shimbun backend for Yahoo!SPORTS.

2005-03-13  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-sourceforge-jp.el (shimbun-index-url): Fix generating url rule.

	* sb-savannah.el (shimbun-savannah-url): Improve url.

	* sb-ruby.el (shimbun-ruby-url): Improve url.
	(shimbun-index-url): Fix generating url rule.

2005-03-12  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-toshiba.el (Toplevel): Add 'require cl' when compiling.
	(shimbun-toshiba-from-address): New variable.
	(shimbun-get-headers): New method define.

2005-03-12  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-plucker.el (shimbun-plucker-litemplate-regexp): Improve Regexp.
	(shimbun-plucker-extract-header-values): Fix supporting new regexp.

	* sb-orca.el (shimbun-orca-url): Improve url.
	(shimbun-orca-litemplate-regexp): Improve Regexp.

2005-03-12  MIYOSHI Masanori  <miyoshi@meadowy.org>

	* sb-msports-nifty.el: Follow the change of site design.

	* sb-f1express.el: Removed.

	* sb-f1fan.el: Update the email address of the author.

	* sb-makanai.el: Ditto.

	* sb-nikkansports.el: Ditto.

2005-03-11  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-squeak-ja.el (shimbun-squeak-ja-url): Improve url.

	* sb-squeak-dev.el (shimbun-squeak-dev-url): Ditto.

	* sb-sml.el (shimbun-sml-url): Ditto.

	* sb-pilot-mailsync.el (shimbun-pilot-mailsync-url): Ditto.

	* sb-pilot-link.el (shimbun-index-url): Improve url generating rule.

2005-03-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-tcup.el (shimbun-tcup-group-alist): Revert; update urls; add the
	time-lag parameter.
	(shimbun-tcup-coding-system): Remove:
	(shimbun-get-headers): Use it instead of shimbun-headers; fetch old
	articles; adjust date according to the time-lag parameter.
	(shimbun-article): Protect against missing contents.

2005-03-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-tcup.el (shimbun-tcup-group-alist): Add the coding system
	parameter; set it as shift_jis for the yutopia group.
	(shimbun-tcup-subject-regexp): Improve regexp.
	(shimbun-tcup-from-start-regexp): Ditto.
	(shimbun-tcup-date-start-regexp): Ditto.
	(shimbun-tcup-body-start-regexp): Ditto.
	(shimbun-tcup-body-end-regexp): Ditto.
	(shimbun-tcup-coding-system): Default to euc-jp.
	(shimbun-tcup-stime-to-time): Don't adjust the time by the local
	timezone.
	(shimbun-headers): Decode the contents using the coding system which
	shimbun-tcup-group-alist specifies; improve regexp matching the
	author's name; fix the time for the groups which use shift_jis.

2005-03-10  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-jpilot.el (shimbun-jpilot-url): Fix url.
	(shimbun-make-contents :after): Removed.

2005-03-10  Masaru Nomiya  <nomiya@ttmy.ne.jp>

	* sb-asahi.el (shimbun-asahi-group-table): Use
	http://www.asahi.com/national/list.html for the national group instead
	of http://www.asahi.com/national/ in which some articles might be
	missed.

	* sb-nikkei.el (shimbun-nikkei-get-headers-ft): correct regexp.

2005-03-10  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-pocketgames.el (shimbun-pocketgames-content-start): Fix regexp for
	new design web page.
	(shimbun-headers): Remove.
	(shimbun-pocketgames-headers): Ditto.
	(shimbun-pocketgames-headers-1): Rename for 'shimbun-get-headers'
	(shimbun-get-headers): New method overriden.
	(shimbun-make-contents): Remove.
	(shimbun-pocketgames-make-mime-article): Ditto.

2005-03-10  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-arch-bluegate.el: Removed for site closing.

	* sb-pocketgames.el (shimbun-make-contents): Fix mistaken method
	overriding.

	* sb-atmarkit.el (shimbun-atmarkit-group-path-alist): Add "fwcr" group.

2005-03-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-wikimedia.el (shimbun-wikimedia-ja-date-decode): Allow the RFC822
	style date format which has been used in the early days.

2005-03-09  Hideyuki SHIRAI  <shirai@meadowy.org>

	* sb-palmfan.el (shimbun-palmfan-group-path-alist): Comment out
	`palmwarefan'.

2005-03-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-zeit-de.el (shimbun-rss-build-message-id): Make it work even if
	there's no subdirectory in url.

2005-03-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-impress.el (shimbun-make-contents): Fix broken image tags.

	* sb-bbdb-ml.el (shimbun-bbdb-ml-url): Update.

2005-03-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-get-headers): Leave garbages around headers.

	* sb-atmarkit.el (shimbun-atmarkit-use-base-url): New var.
	(shimbun-article-url): Switch the return value to the base url and the
	printing url according to shimbun-atmarkit-use-base-url.
	(shimbun-make-contents): Make shimbun-article-url return the base url
	rather than the printing url because links in the print page are
	relative to it.

2005-02-26  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-heise.el (shimbun-heise-get-newsticker-headers): Replace
	'w3m-expand-url' to 'shimbun-expand-url'.
	(shimbun-heise-get-newsticker-headers): Ditto.

2005-02-25  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (shimbun-make-mime-article): Call `shimbun-article-url'
	instead of `shimbun-header-xref'.
	(shimbun-header-insert-and-buffer-string): Ditto.
	(shimbun-footer): Call `shimbun-article-base-url' instead of
	`shimbun-header-xref'.

	* sb-atmarkit.el (shimbun-make-contents): Removed.
	(shimbun-atmarkit-content-start): New variable.
	(shimbun-atmarkit-content-end): Ditto.
	(shimbun-clear-contents): Defined as a before method.

2005-02-24  Felix E. Klee  <felix.klee@inka.de>

	* sb-ffii.el (shimbun-ffii-group-alist): Renamed.

2005-02-23  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el: Changes to retrieve printable pages instead of retrieving
	pages which are linked from index pages.
	(shimbun-fetch-url): Accept the 4th argument, `referer'.
	(shimbun-article-base-url): New inline function.
	(shimbun-article-url): Redefined as a method.
	(shimbun-header-insert): Call `shimbun-article-base-url' instead of
	calling the above.
	(shimbun-article): Retrieve the pages specified by
	`shimbun-article-url' method.
	(shimbun-make-html-contents): Call `shimbun-article-url' instead of
	calling `shimbun-header-xref'.

	* sb-atmarkit.el: Fix its encoding to `iso-2022-7bit'.
	(shimbun-atmarkit-groups): Removed.
	(shimbun-groups): New method.
	(shimbun-article): Removed.
	(shimbun-article-url): New method.

	* sb-ibm-dev.el (shimbun-article): Removed.
	(shimbun-article-url): New method.

	* sb-msdn.el (shimbun-article): Removed.
	(shimbun-article-url): New method.

	* sb-rediff.el (shimbun-article): Removed.
	(shimbun-article-url): New method.

	* sb-wired-jp.el (shimbun-headers): Simplified.
	(shimbun-article-url): New method.
	(shimbun-clear-contents): Call the above instead of calling
	`shimbun-header-xref'.

2005-02-23  Felix E. Klee  <felix.klee@inka.de>

	* sb-ffii.el: New module.

2005-02-21  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-impress.el (shimbun-get-headers): Add comment-outed html source
	removal.

2005-02-21  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-rss.el (shimbun-rss-get-headers): New function.
	(shimbun-get-headers): Use the above.

	* sb-yahoo-auctions.el (shimbun-get-headers): Use the above.

2005-02-19  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* nnshimbun.el (nnshimbun-insert-nov): Encode extra field.
	(nnshimbun-parse-nov): Decode extra field.

	* sb-yahoo-auctions.el (shimbun-get-headers): New overridden method.

	* sb-rss.el (shimbun-get-headers): Revert last change.

2005-02-19  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-atmarkit.el (shimbun-atmarkit-content-start): Remove.
	(shimbun-atmarkit-content-end): Ditto.
	(shimbun-atmarkit-coding-system): Change 'euc-japan' by print page
	(shimbun-atmarkit-print-page-url): New variable.
	(shimbun-atmarkit-group-path-alist): Add "news","fdb", and "farc".
	(shimbun-article): New method.
	(shimbun-make-contents): Ditto.
	(shimbun-clear-contents): Ditto.

2005-02-19  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-rss.el (shimbun-get-headers): Headers are returned whether they
	have been acquired.

	* nnshimbun.el (nnshimbun-generate-nov-database): If returned header
	has already been acquired, replace NOV by it.

2005-02-19  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-rss.el (shimbun-get-headers): Store description element into extra
	slot.

	* nnshimbun.el (nnshimbun-insert-nov): Insert extra slot of shimbun
	header.
	(nnshimbun-parse-nov): Store extra data into extra slot.

2005-02-19  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-ibm-dev.el (shimbun-get-headers): Fix index list reverse
	operation.

2005-02-18  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* nnshimbun.el (nnshimbun-decode-group-name): New function.
	(nnshimbun-request-article, nnshimbun-request-group)
	(nnshimbun-request-scan, nnshimbun-close-group)
	(nnshimbun-retrieve-headers, nnshimbun-request-expire-articles)
	(nnshimbun-request-delete-group): Decode group name.
	(gnus-group-make-shimbun-group): The server name must be unibyte
	string; Encode group name to utf-8.

2005-02-17  Tsuyoshi CHO  <tsuyoshi_cho@ybb.ne.jp>

	* sb-impress.el (shimbun-impress-groups-alist): Add new
	groups:"enterprise" "dc" "k-tai" "bb" "forest".
	(shimbun-impress-get-headers-date): Rename from shimbun-get-headers.
	(shimbun-impress-get-headers-sequence): New function.
	(shimbun-get-headers): Redefine method; function calling branched by
	groups.
	(shimbun-make-contents): Add date fix routine.

2005-02-17  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-yahoo-auctions.el: New file.

	* shimbun.el (shimbun-url-encode-string): New function alias.
	(shimbun-group-p): New method.
	(shimbun-open-group): Use `shimbun-group-p'.

	* nnshimbun.el (gnus-group-make-shimbun-group): Allow the group which
	is not contained in `shimbun-groups'.

2005-02-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-2ch.el: Require cl when compiling.
	(shimbun-2ch-parse-page): Use truncate-string-to-width if it is
	available.

	* sb-msdn.el: Autoload md5 for old Emacsen.

	* sb-cnet-jp.el: Require cl when compiling.
	* sb-emacswiki.el: Ditto.
	* sb-excite.el: Ditto.
	* sb-exconn.el: Ditto.
	* sb-geocrawler.el: Ditto.
	* sb-ibm-dev.el: Ditto.
	* sb-jpo.el: Ditto.
	* sb-marc-aims.el: Ditto.
	* sb-mew.el: Ditto.
	* sb-mhonarc.el: Ditto.
	* sb-slashdot-jp.el: Ditto.
	* sb-tigris.el: Ditto.
	* sb-wired.el: Ditto.

2005-02-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-wired-jp.el: New module.

2005-02-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-rss.el (shimbun-get-headers): Display an error message rather than
	signaling an error when xml-parse-region fails so that MUA may not be
	discontinued.

	* sb-emacswiki.el (shimbun-get-headers): Ditto.

2005-02-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-cnet-jp.el: Changes to support orphaned groups.
	(shimbun-cnet-jp-orphaned-group-list): New variable.
	(shimbun-groups): Add the groups listed in the above variable.
	(shimbun-headers): New method.

2005-02-13  Tsuyoshi CHO  <cho@namazu.org>

	* sb-mailman.el (shimbun-mailman-headers): Change url enclosing
	'shimbun-expand-url'.
	(shimbun-mailman-headers): Ditto.

2005-02-11  Tsuyoshi CHO  <cho@namazu.org>

	* sb-x51.el (shimbun-get-headers): Remove temp-buffer ignored when
	previous committing.

	* sb-cnn-jp.el (shimbun-cnn-jp-content-start): Fix value for new page
	design.
	(shimbun-cnn-jp-content-end): Ditto.
	(shimbun-get-headers): Ditto.
	(shimbun-cnn-jp-prepare-article): Ditto.

2005-02-09  Tsuyoshi CHO  <cho@namazu.org>

	* sb-tigris.el: New File.

	* sb-cnet-jp.el (shimbun-cnet-jp-group-alist): Remove closed blog
	entiry: "inoue","mori","umeda"; add blog entiry: "editors".

	* sb-x51.el (shimbun-get-headers): Remove duplicate webpage retrieving;
	add buffer erasing before webpage retrieving.

2005-02-08  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnshimbun.el (gnus-group-make-shimbun-group): Display help messages.

	* shimbun.el (shimbun-clear-contents): Validate regexps before using
	them.

2005-02-04  Tsuyoshi CHO  <mfalcon_sky@emailuser.net>

	* sb-arch-bluegate.el: New file.

2005-02-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Rewrite the code for the
	tenjin group.

2005-01-31  Hiroya Murata  <lapis-lazuli@pop06.odn.ne.jp>

	* sb-airs.el (shimbun-get-headers): Erase the work buffer for each time
	before retrieving a summary page.

2005-01-31  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* sb-airs.el (shimbun-get-headers): Improve regexp.

2005-01-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-x51.el: Cosmetic fixes.

2005-01-31  Tsuyoshi CHO  <mfalcon_sky@emailuser.net>

	* sb-x51.el (shimbun-get-headers): Remove useless list operations.

2005-01-31  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-x51.el (shimbun-get-headers): Fix nreverse usage.

2005-01-30  Tsuyoshi CHO  <mfalcon_sky@emailuser.net>

	* sb-x51.el: Fix indentation.
	(shimbun-get-headers): Add support Message-ID check; Fix regex.

2005-01-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-ibm-dev.el (shimbun-ibm-dev-content-start): Follow the change of
	site design.
	(shimbun-ibm-dev-content-end): Ditto.
	(shimbun-make-contents): Removed.
	(shimbun-clear-contents): New method.

2005-01-30  Tsuyoshi CHO  <mfalcon_sky@emailuser.net>

	* sb-ibm-dev.el (shimbun-ibm-dev-groups): Add "autonomic".
	(shimbun-get-headers): New method support "range" option.
	(shimbun-headers): Succeeded by `shimbun-get-headers'.

2005-01-26  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-nikkei.el (shimbun-nikkei-group-table): Add it.zensen, it.manage,
	it.seisaku, and it.digicore groups.
	(shimbun-nikkei-get-headers-it-zensen): New function.
	(shimbun-nikkei-get-headers-it-manage): New function.
	(shimbun-nikkei-get-headers-it-seisaku): New function.
	(shimbun-nikkei-get-headers-it-digicore): New function.

2005-01-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-rss.el (shimbun-rss-process-date): Support the date format in the
	RFC822 style which RSS 2.0 allows.  Suggested by David Hansen
	<david.hansen@physik.fu-berlin.de>.

2005-01-25  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-the-register.el (shimbun-get-headers): Rewrite URL to be able to
	get the images.
	(shimbun-make-contents): Remove ads.

2005-01-24  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-shimbun.el (mew-shimbun-retrieve-article): Disable mew-biff while
	retrieving.
	(mew-shimbun-re-retrieve-article): Ditto.
	(mew-shimbun-scan-message): Disable message from Mew.

2005-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-get-headers-markets): Improve regexp.
	(shimbun-nikkei-get-headers-kawase): Improve regexp.
	(shimbun-nikkei-get-headers-bunkatsu2): Improve regexp.
	(shimbun-nikkei-get-headers-kinri): Improve regexp.
	(shimbun-nikkei-get-headers-ft): Improve regexp.
	(shimbun-nikkei-get-headers-dj): Improve regexp.
	(shimbun-nikkei-get-headers-gyoseki): Improve regexp.

2005-01-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-get-headers-market): Improve regexp.

2005-01-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-mime-replace-image-tags): Don't use too complex
	regexp.

2005-01-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-mime-replace-image-tags): Ease limits on the
	regexp used to match unquoted text.

2005-01-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-mime-replace-image-tags): Fix regexp in order to
	obey HTML 4.01, the 3.2.2 Attributes section.  Suggested by Yoichi
	NAKAYAMA <yoichi@geiin.org>.

2005-01-15  Tsuyoshi CHO  <mfalcon_sky@emailuser.net>

	* sb-cnet-jp.el (shimbun-cnet-jp-retrieve-next-pages): Fix footer cut;
	fix ad-hoc `shimbun-clear-contents' call.

2005-01-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-mime-replace-image-tags): Fix regexp.

2005-01-15  Tsuyoshi CHO  <mfalcon_sky@emailuser.net>

	* sb-cnet-jp.el (shimbun-cnet-jp-clean-text-page): New function.
	(shimbun-cnet-jp-retrieve-next-pages): Ditto.
	(shimbun-make-contents): New method.

2005-01-14  Tsuyoshi CHO  <mfalcon_sky@emailuser.net>

	* sb-w3m-dev.el (shimbun-w3m-dev-url): Change it into the new website
	URL.
	(shimbun-w3m-dev-group-alist): New variable.
	(shimbun-w3m-dev-groups): Generate the value using
	shimbun-w3m-dev-group-alist.
	(shimbun-index-url): New method
	(shimbun-reply-to): Generate the value using
	shimbun-w3m-dev-group-alist.

2005-01-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Add the rss group.
	(shimbun-index-url): Work with the rss group.
	(shimbun-asahi-get-headers): Ditto.

2005-01-03  Tsuyoshi CHO  <mfalcon_sky@emailuser.net>

	* sb-mailman.el (shimbun-mailman-headers): Modify regex for supporting
	quarter of a year message list (20xxq[1-4]); modify regex for message
	link to contain space before "I" tag.

	* sb-wikimedia.el (shimbun-wikimedia-l10n-make-contents): Append
	"case-fold-search" local binding.

2005-01-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-mime-replace-image-tags): Allow not quoted url in
	img tags.  Suggested by Tsuyoshi CHO <mfalcon_sky@emailuser.net>.

2004-12-24  Tsuyoshi CHO  <mfalcon_sky@emailuser.net>

	* sb-excite.el: New file.

2005-01-08  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-japantimes.el (shimbun-japantimes-content-start): Improve the
	value.
	(shimbun-japantimes-content-end): Ditto.
	(shimbun-get-headers): Improve regexp; simplify Message-ID form.

	* sb-nikkei.el (shimbun-nikkei-group-table): Add the gyosuuchi group.
	(shimbun-nikkei-get-headers-bunkatsu2): New function.
	(shimbun-nikkei-prepare-article-bunkatsu2): New function.

2005-01-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-prepare-article-release): Remove print
	button.

2005-01-06  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-nikkei.el (shimbun-nikkei-group-table): Add kansai, it, kokunai,
	markets, kawase, kinri, ft, dj, ngyoseki and gyoseki groups.
	(shimbun-nikkei-get-headers-kansai): New function.
	(shimbun-nikkei-get-headers-it): New function.
	(shimbun-nikkei-get-headers-markets): New function.
	(shimbun-nikkei-get-headers-kawase): New function.
	(shimbun-nikkei-get-headers-kinri): New function.
	(shimbun-nikkei-get-headers-ft): New function.
	(shimbun-nikkei-get-headers-dj): New function.
	(shimbun-nikkei-get-headers-gyoseki): New function.
	(shimbun-nikkei-prepare-article-kansai): New function.
	(shimbun-nikkei-prepare-article-default3): New function.
	(shimbun-nikkei-prepare-article-release): Improve regexps.

2005-01-05  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-itmedia.el (shimbun-itmedia-group-alist): Follow the change of
	ITmedia Games.

2005-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-get-headers-report): Make Date header.
	(shimbun-nikkei-prepare-article-report): New function.

2005-01-04  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-nikkei.el (shimbun-nikkei-group-table): Add tento, zinzi and
	report groups.
	(shimbun-nikkei-get-headers-default2): New function.
	(shimbun-nikkei-get-headers-report): New function.
	(shimbun-nikkei-prepare-article-default2): Rename from
	shimbun-nikkei-prepare-article-retto.

2005-01-02  Tsuyoshi CHO  <mfalcon_sky@emailuser.net>

	* sb-x51.el (shimbun-x51-group-alist): Fix "psychic" entry
	name/address.
	(shimbun-x51-content-start): Change value for the Web page of a new
	design.
	(shimbun-x51-content-end): Ditto.
	(shimbun-get-headers): Change process for the Web page of a new design;
	Support "range" argument.
	(shimbun-clear-contents): New function.

2004-12-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-get-headers-retto): Prepend region names
	in subjects.

2004-12-28  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-nikkei.el (shimbun-nikkei-group-table): Add the retto group.
	(shimbun-nikkei-get-headers-retto): New function.
	(shimbun-nikkei-prepare-article-retto): New function.

2004-12-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-get-headers): Reduce redundancies in
	Message-ID string.

2004-12-24  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-mainichi.el (shimbun-mainichi-group-table): Add the shakai.edu
	group.

2004-12-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (nnshimbun-request-delete-group): Delete the internal
	nov buffer as well.

	* sb-asahi.el (shimbun-asahi-group-table): Add the job group.
	(shimbun-asahi-get-headers): Replace `.' with `/' in group names;
	remove a special treatment for the international group; don't add extra
	keywords in Message-IDs for the job.special group.

2004-12-23  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-asahi.el (shimbun-asahi-group-table): Add edu, edu.it, edu.nyushi,
	job.special and international.jinmin groups; fix url for the english
	group; exclude Jinmin-Nippou from the international group.

2004-12-19  David Hansen  <david.hansen@gmx.net>

	* sb-the-register.el: New file.

2004-12-18  Tsuyoshi CHO  <mfalcon21@hotmail.com>

	* sb-x51.el (shimbun-x51-group-alist): Append "news" and "story"
	entries; sort entires in alphabetical order.

2004-12-17  Tetsurou Okazaki  <okazaki@be.to>

	* sb-sourceforge-jp.el (shimbun-sourceforge-jp): Inherit
	`shimbun-mailman-ja' instead of `shimbun-mailman'.

2004-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnshimbun.el (nnshimbun-request-delete-group): New function.

	* sb-itmedia.el (shimbun-itmedia-group-alist): Improve regexp.

2004-12-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkansports.el (shimbun-nikkansports-group-table): Remove the
	world-soccer group.
	(shimbun-nikkansports-from-address): Remove.
	(shimbun-nikkansports-content-start): Chnage the value.
	(shimbun-nikkansports-content-end): Ditto.
	(shimbun-get-headers): Make the from address unreachable; change the
	message-id form; extract the hour:minute data.
	(shimbun-make-contents): New function.

2004-12-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-bbc.el (shimbun-bbc-url): Update.

2004-12-12  Tsuyoshi CHO  <mfalcon21@hotmail.com>

	* sb-cnet-jp.el (shimbun-clear-contents): Append tag removal:
	advertisement and column link.

2004-12-11  David Hansen  <david.hansen@gmx.net>

	* sb-heise.el (shimbun-heise-get-telepolis-headers): Fixed bug that
	gave same message id to different articles.

2004-12-08  Andreas Seltenreich  <seltenreich@gmx.de>

	* sb-heise.el (shimbun-heise-get-telepolis-headers): Improve regexp
	used to extract id string.

2004-12-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-group-table): Rewrite the kyoiku
	section.
	(shimbun-yomiuri-get-headers): Remove a special treatment for the
	kyoiku group.
	(shimbun-yomiuri-prepare-article): Rewrite the code for extracting
	article bodies in the kyoiku group.

	* sb-nikkei.el (shimbun-nikkei-group-table): Add the market group;
	remove stockjp, exchange, stockwo-us and stockwo-eu.
	(shimbun-nikkei-get-headers-markets): Remove.
	(shimbun-nikkei-get-headers-market): New function.
	(shimbun-make-contents): Pass the header argument to sub-functions.
	(shimbun-nikkei-prepare-article-default): Ignore argument.
	(shimbun-nikkei-prepare-article-sports): Ditto.
	(shimbun-nikkei-prepare-article-newpro): Ditto.
	(shimbun-nikkei-prepare-article-release): Ditto.
	(shimbun-nikkei-prepare-article-markets): Remove.
	(shimbun-nikkei-prepare-article-market): New function.
	(shimbun-nikkei-prepare-article-okuyami): Ignore argument.

2004-12-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-get-headers): Improve appearance of subject
	string.

2004-11-28  David Hansen  <david.hansen@gmx.net>

	* sb-heise.el: (nearly) complete rewrite of the telepolis part due to
	massive changes in their html.

2004-11-25  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* sb-exconn.el (shimbun-exconn-content-start): Synchronize.
	(shimbun-exconn-content-end): Ditto.

2004-11-23  S V N Vishwanathan  <vishketan@yahoo.com>

	* sb-rediff.el (shimbun-rediff-month-alist): New variable.
	(shimbun-article): Signal an error if the url looks malformed; use
	match-string-no-properties instead of match-string.
	(shimbun-clear-contents): Improve regexps matching tags to be removed.
	(shimbun-make-contents): New function to make true Date headers.
	(shimbun-rss-build-message-id): Signal an error if the url string is
	not what is expected; improve the uniqueness of Message-IDs.

2004-11-23  Tsuyoshi CHO  <mfalcon21@hotmail.com>

	* sb-wikimedia.el (shimbun-wikimedia-l10n-make-contents): Add alternate
	atmark(@) pattern.
	(shimbun-wikimedia-date-decode-rule-alist): Fix regular expression for
	date string mismatching problem.

2004-11-23  S V N Vishwanathan  <vishketan@yahoo.com>

	* sb-rediff.el: New file.

2004-11-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-prepare-article): Break continuous
	lines in editorials.

2004-11-21  Tsuyoshi CHO  <mfalcon21@hotmail.com>

	* sb-wikimedia.el: New file.

2004-11-21  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-rss.el (shimbun-rss-process-date): Accept minus sign character for
	time zone.

2004-11-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-prepare-article): Break continuous
	lines in editorials.

2004-11-02  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-hns.el (shimbun-hns-article): Support tdiary-hns-theme.

2004-10-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-break-long-japanese-lines): New function.
	* sb-mainichi.el (shimbun-mainichi-prepare-article): Use it.
	* sb-wired.el (shimbun-make-contents): Use it.

2004-10-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-bbc.el (shimbun-rss-build-message-id): Prevent fetching of headers
	stopping with extra articles.

2004-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-wired.el (shimbun-wired-from-address): Make it uneachable.
	(shimbun-wired-x-face-alist): Replace it with a new face.
	(shimbun-get-group-header-alist): Improve the uniqueness of
	Message-IDs; change the From header appearance.

2004-10-21  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-wired.el (shimbun-wired-url): Update it so that it may fit to the
	new configuration of the Hotwired Japan.
	(shimbun-wired-content-start): Ditto.
	(shimbun-get-group-header-alist): Ditto.

2004-10-10  Andreas Seltenreich  <seltenreich@gmx.de>

	* sb-laut-de.el: New file.

2004-10-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-get-headers): Don't escape Japanese parenthesis
	(it is not supported by old Emacsen).

2004-09-26  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* sb-msdn.el (shimbun-msdn-from-address): Define.

	* sb-exconn.el (shimbun-get-headers): Overwrite from address.

2004-09-25  Yuya Nishida  <yuya@j96.org>

	* sb-impress.el (shimbun-get-headers): Include subtitles in the subject
	strings.

2004-09-19  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* sb-heise.el (shimbun-heise-content-start,
	shimbun-heise-wash-newsticker-article,
	shimbun-heise-wash-newsticker-article): Relax regexps.

2004-09-18  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* sb-ibm-dev.el (shimbun-headers): Update regexp.

2004-09-15  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* sb-msdn.el: New module.

2004-09-07  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-shimbun.el (mew-shimbun-mark-unseen): Change default value.
	(mew-shimbun-scan-message): Move to the beginning of next line.
	(mew-shimbun-unseen-setup): Use the original function of Mew if it
	suport 'unread'.

2004-09-06  David Hansen  <david.hansen@gmx.net>

	* sb-weeklyworldnews.el: New file.

	* sb-emacswiki.el (shimbun-get-headers): Follow the change of the URL
	layout.
	(shimbun-rss-build-message-id): Ditto.

2004-09-01  Hiroaki Irokawa  <irorin@terra.dti.ne.jp>

	* sb-vinelinux.el (shimbun-vinelinux-group-path-alist): Add
	errata.3x.i386, errata.3x.ppc and errata.3x.alpha groups.

2004-08-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-itmedia-group-alist): Fetch
	/enterprise/articles/ as well as /news/articles/ in burst group.
	(shimbun-get-headers): Ignore headers if there's no subject.

2004-08-23  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-shimbun.el (mew-shimbun-mark-re-retrieve): Change default value
	for Mew 4.0.66 and later.


2004-08-17  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.4.3 from emacs-w3m-1_4 branch.

2004-08-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-cgi-board.el (shimbun-get-headers): Check whether a current header
	has been canceled or not.

2004-08-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi-mytown.el (shimbun-asahi-mytown-get-headers): Use
	shimbun-create-header instead of shimbun-make-header.
	cf. <URL:http://emacs-w3m.namazu.org/ml/msg05438.html>.

	* sb-asahi.el (shimbun-asahi-get-headers): Ditto.
	* sb-kantei.el (shimbun-get-headers): Ditto.
	* sb-sankei.el (shimbun-get-headers): Ditto.
	* sb-yomiuri.el (shimbun-yomiuri-get-headers): Ditto.

2004-07-31  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* sb-rss.el (shimbun-rss-node-text): Fix regexp.
	* sb-haiku-os.el: New module.

2004-08-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-get-headers): Simplify removing of
	`<...>'s in the kansai-special group.

2004-07-30  Romain Francoise  <romain@orebokech.com>

	Enable emacs-w3m to be built with Emacs --without-x.

2004-07-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Allow a subject to contain
	`<...>'s.
	(shimbun-asahi-get-headers): Use w3m-fontify to remove `<...>'s from a
	subject when parsing the kansai-special group.

2004-07-23  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>
	NOMIYA Masaru <nomiya@ttmy.ne.jp>,
	Katsumi Yamaoka <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-group-table): Replace kagaku with
	kagaku.science, kagaku.env and kagaku.medical groups.
	(shimbun-index-url): Replace . with / in group names.

	* shimbun.el (shimbun-subst-char-in-string): New function.


2004-07-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.4.2 from emacs-w3m-1_4 branch.


2004-07-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.4.1 from emacs-w3m-1_4 branch.

2004-07-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Add the nankyoku-people
	group.

2004-06-27  Yoshitaka Taki  <taki@tawagoto.org>

	* sb-impress.el (shimbun-impress-groups-alist): Improve regexp for pc,
	akiba, game and av groups.
	(shimbun-index-url): Don't add an excessive slash.
	(shimbun-get-headers): Use shimbun-create-header instead of
	shimbun-make-header; don't encode subject string.

	* sb-itmedia.el (shimbun-itmedia-content-start): Don't declare it since
	it has never been used.
	(shimbun-itmedia-content-end): Ditto.
	(shimbun-itmedia-expiration-days): Don't declare it.
	(shimbun-get-headers): Use shimbun-create-header instead of
	shimbun-make-header; don't encode subject string; remove a relic
	lingered when it was sb-zdnet.el.
	(shimbun-itmedia-clean-text-page): Look for the body end securely.
	(shimbun-make-contents): Improve regexp to find date string.

2004-06-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-quickml.el: Removed.

2004-06-27  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* sb-exconn.el: New module.

2004-06-26  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-mailman.el [shimbun-mailman-ja]: New class.
	(shimbun-make-contents) [shimbun-mailman-ja]: New method.
	(shimbun-mailman-ja-make-contents): New function.

	* sb-squeak-ja.el: Inherit `shimbun-mailman-ja' instead of
	`shimbun-mailman'.
	(shimbun-make-contents, shimbun-squeak-ja-make-contents): Removed.

	* sb-namazu.el: Inherit `shimbun-mailman-ja' instead of
	`shimbun-mailman'.
	(shimbun-make-contents, shimbun-namazu-make-contents): Removed.

2004-06-25  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-namazu.el (shimbun-namazu-groups): Add "kakasi-commits",
	"kakasi-dev" and "sary".

2004-06-25  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-emacs-w3m.el: New file.

	* sb-namazu.el (shimbun-namazu-groups): Remove "emacs-w3m" entry.

2004-06-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-bbc.el (shimbun-bbc-content-start): Relaxed.

2004-06-23  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (shimbun-mime-replace-image-tags): Strict checking whether
	images are successfuly retrieved.

2004-06-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-itmedia.el (shimbun-itmedia-group-alist): Give up to fetch HH:MM
	data in the business group; add anchordesk, bursts and technology
	groups.
	(shimbun-get-headers): Don't miss headers even if HH:MM is missing;
	sort headers by date.

2004-06-22  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-itmedia.el (shimbun-itmedia-group-alist): Update url and regexp
	for the enterprise group; add the business group.

2004-06-14  Andreas Seltenreich  <seltenreich@gmx.de>

	* sb-welt-de.el: New file.

2004-06-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-prepare-article): Don't work for the
	editorial and the tenjin groups when newspaper holidays.

2004-06-13  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-rss.el (shimbun-rss-process-date): Simplified and relaxed the
	regular expression to be used to analyze date strings.  Thanks to
	Andreas Seltenreich for his report.

2004-06-10  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-namazu.el: Rewrite.

	* sb-fml.el (shimbun-make-contents): Guard error at unsupposed page.

2004-06-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-cnn-jp.el (shimbun-cnn-jp-x-face-alist): New variable.

2004-06-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Add the editorial group and
	the tensei-jingo group as tenjin.
	(shimbun-asahi-get-headers): Add a special treatment for the groups
	editorial and tenjin.
	(shimbun-asahi-get-headers-for-today): New function.
	(shimbun-asahi-prepare-article): Rename from
	shimbun-asahi-adjust-date-header; remove garbages for the groups
	editorial and tenjin.
	(shimbun-make-contents): Use shimbun-asahi-prepare-article.

	* sb-asahi-html.el (shimbun-make-contents): Use
	shimbun-asahi-prepare-article.

2004-06-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-x51.el (shimbun-make-contents): Make sure there are the start and
	the end of contents.

	* sb-zeit-de.el (shimbun-make-contents): Ditto.

2004-06-02  Tsuyoshi CHO  <mfalcon21@hotmail.com>

	* sb-cnn-jp.el (shimbun-cnn-jp-content-start): Improve regexp.
	(shimbun-cnn-jp-prepare-article): New function.
	(shimbun-make-contents): Use it to correct date headers.

	* sb-x51.el (shimbun-x51-content-end): Improve regexp.
	(shimbun-get-headers): Don't put hour:min in date headers.
	(shimbun-x51-prepare-article): New function.
	(shimbun-make-contents): Use it to correct date headers.

2004-05-27  Andreas Seltenreich  <seltenreich@gmx.de>

	* sb-zeit-de.el (shimbun-zeit-de-content-end): Improve regexp.
	(shimbun-make-contents): Correct date headers if possible.

2004-05-24  MATSUURA Kyo  <kyo@chimons.org>

	* sb-security-memo.el (shimbun-security-memo-url): Reduced.
	(shimbun-security-memo-group-alist): New variable.
	(shimbun-security-memo-coding-system): Removed.
	(shimbun-security-memo-groups): New method.
	(shimbun-index-url): Ditto.
	(shimbun-reply-to): Check the current group name.

2004-05-24  Andreas Seltenreich  <seltenreich@gmx.de>

	* sb-zeit-de.el: New file.  The shimbun backend for www.zeit.de.

	* sb-n24-de.el: New file.  The shimbun backend for www.n24.de.

2004-05-22  Tsuyoshi CHO  <mfalcon21@hotmail.com>

	* sb-cnn-jp.el: New file.

	* sb-x51.el: New file.

2004-05-21  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* sb-rakuten.el (shimbun-rss-build-message-id): Modify the regexp.
	(shimbun-rss-get-date): Ditto.

2004-05-19  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-shimbun.el (mew-shimbun-expire): Fix last change.

2004-05-18  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-shimbun.el (mew-shimbun-expire): Add message for nothing to do.

2004-05-17  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-fml.el (shimbun-make-contents): Normalize header values.

2004-05-13  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (shimbun-mime-replace-image-tags): Stricten checking
	whether images are successfully retieved or not.

2004-05-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-clear-contents): Don't remove main text
	contents.

2004-05-12  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-mhonarc.el (shimbun-mhonarc-get-headers): Enclosed with
	`save-excursion'.

	* sb-namazu.el (shimbun-namazu-group-url-alist): Added "kakasi-dev".
	(shimbun-get-headers): Followed tha change of "emacs-w3m" ml archive.

2004-05-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-spiegel.el (shimbun-rss-build-message-id): Use
	shimbun-replace-in-string instead of replace-regexp-in-string.

2004-05-08  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* sb-palmoslove.el: Removed it since contents would not be updated
	anymore.

2004-05-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-emacswiki.el (shimbun-emacswiki-groups): Add `changes'.
	(shimbun-get-headers): Rewrite articles' URLs only when the current
	group is `diff'.

	* sb-heise.el (shimbun-heise-get-newsticker-headers):
	(shimbun-heise-get-telepolis-headers): Takes an argument `shimbun', to
	suppress byte-compile warnings.
	(shimbun-get-headers): Follow the above changes.

2004-05-07  David Hansen  <david.hansen@gmx.net>

	* sb-emacswiki.el:
	* sb-heise.el:
	* sb-spiegel.el: New files.

	* sb-bbc.el (shimbun-bbc-content-start): Relaxed.

2004-05-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-atmarkit.el (shimbun-atmarkit-content-end): Updated to follow the
	change of the site design.

	* shimbun.el (shimbun-index-url): Define its default method.

	* sb-bbc.el (shimbun-index-url)
	* sb-coldsync.el (shimbun-index-url)
	* sb-dennou.el (shimbun-index-url)
	* sb-digiko.el (shimbun-index-url)
	* sb-fml.el (shimbun-index-url)
	* sb-javaconf.el (shimbun-index-url)
	* sb-jpilot.el (shimbun-index-url)
	* sb-muchy.el (shimbun-index-url)
	* sb-pilot-mailsync.el (shimbun-index-url)
	* sb-pocketgames.el (shimbun-index-url)
	* sb-sml.el (shimbun-index-url)
	* sb-squeak-dev.el (shimbun-index-url)
	* sb-squeak-ja.el (shimbun-index-url)
	* sb-texfaq.el (shimbun-index-url)
	* sb-wincefan.el (shimbun-index-url): Abolished.

2004-05-05  David Hansen  <david.hansen@gmx.net>

	* sb-rss.el (shimbun-get-headers): Use the <dc:contributor> tag as an
	additional method to find the author.

2004-05-04  David Hansen  <david.hansen@physik.fu-berlin.de>

	* sb-bbc.el (shimbun-bbc-content-start): Improve regexp.
	(shimbun-bbc-content-end): Ditto.

2004-05-01  MIYOSHI Masanori  <miyoshi@boreas.dti.ne.jp>

	* sb-nikkansports.el (shimbun-get-headers): Use shimbun-create-header()
	instead of shimbun-make-header() and don't encode subjects.

	* sb-msports-nifty.el (shimbun-get-headers): Don't encode subjects.

	* sb-makanai.el (shimbun-makanai-scan-articles): Ditto.

	* sb-f1fan.el (shimbun-get-headers): Ditto.

	* sb-f1express.el (shimbun-get-headers): Ditto.

2004-05-01  MIYOSHI Masanori  <miyoshi@boreas.dti.ne.jp>

	* sb-msports-nifty.el: New file.

	* sb-makanai.el (shimbun-makanai-server-name): New variable.
	(shimbun-makanai-scan-articles): Use shimbun-create-header() instead of
	shimbun-make-header().

	* sb-f1express.el (shimbun-f1express-server-name): New variable.
	(shimbun-get-headers): Use shimbun-create-header() instead of
	shimbun-make-header().

	* sb-f1fan.el (shimbun-f1fan-server-name): New variable.
	(shimbun-get-headers): Use shimbun-create-header() instead of
	shimbun-make-header().


2004-04-29  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.4 from emacs-w3m-1_4 branch.

2004-04-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-cgi-board.el (shimbun-clear-contents): Removed.
	(shimbun-make-contents): New method, which is a successor of the above
	method, but returns nil when missing a target article.

	* sb-zdnet.el: Removed.

2004-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-prepare-article-markets): Don't show any
	text if the article seems to have been expired.

2004-04-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-cnet-jp.el (shimbun-cnet-jp-group-alist): Add blog.inoue and
	blog.watanabe.

2004-04-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-prepare-article): Break long lines.

	* shimbun.el (shimbun-make-date-string): Get a correct day of week even
	in the west side of Greenwich.

2004-04-20  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-texfaq.el: Rewrite.

2004-04-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi-mytown.el
	(shimbun-asahi-mytown-prepare-article): New function.
	(shimbun-make-contents): Use it to remove a subject line.

2004-04-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Add the borderless group.
	There are wonderful pictures, so I strongly recommend using asahi-html,
	not asahi. :)

2004-04-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el: Rewrite.

2004-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-prepare-article-markets): Don't show
	garbages if the article seems to have been expired.

2004-04-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-get-headers-default): Replace
	`shimbun-make-header' with `shimbun-create-header' in order to
	normalize subject strings; don't make any modifications on subject
	strings in advance.
	(shimbun-nikkei-get-headers-top): Ditto.
	(shimbun-nikkei-get-headers-markets): Ditto.
	(shimbun-nikkei-get-headers-sports): Ditto.
	(shimbun-nikkei-get-headers-newpro): Ditto.
	(shimbun-nikkei-get-headers-release): Ditto.
	(shimbun-nikkei-get-headers-shasetsu): Ditto.
	(shimbun-nikkei-get-headers-okuyami): Ditto.

2004-04-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-2ch.el (shimbun-2ch-group-alist): Declared as an option.
	* sb-chalow.el (shimbun-chalow-group-alist): Ditto.
	* sb-hns.el (shimbun-hns-group-alist): Ditto.

	* sb-cgi-board.el: New file.

2004-04-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el: Rewrite.

	* shimbun.el (shimbun-x-face): Don't use cached faces.

2004-03-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el (shimbun-get-headers): Improve regexp in order to fetch
	articles of the English edition.

2004-03-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi-mytown.el (shimbun-asahi-mytown-get-headers): Adjust the
	number of years correctly even if an article is very old.
	* sb-asahi.el (shimbun-asahi-get-headers): Ditto.
	* sb-sankei.el (shimbun-get-headers): Ditto.
	* sb-yomiuri.el (shimbun-yomiuri-get-headers): Ditto.

2004-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-prepare-article): Remove rectangle
	section.

2004-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kantei.el: Support the English edition.  It may need to be fixed
	when the regular distribution starts.
	(shimbun-kantei-url): Exclude the subdirectory.
	(shimbun-kantei-groups): Add m-magazine-en and m-magazine-ja.
	(shimbun-kantei-content-start): Support the English edition.
	(shimbun-kantei-content-end): Ditto.
	(shimbun-index-url): Ditto.
	(shimbun-from-address): Ditto.
	(shimbun-get-headers): Ditto.
	(shimbun-clear-contents): Ditto.

2004-03-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-message): Handle ## correctly.

2004-03-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-make-date-string): Add a day of week.

2004-03-06  MIYOSHI Masanori  <miyoshi@boreas.dti.ne.jp>

	* sb-f1express.el (shimbun-get-headers): Follow the change of the site.


2004-02-27  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (emacs-w3m-version): Release 1.3.85.

2004-02-24  Yuuichi Teranishi  <teranisi@gohome.org>

	* shimbun.el (shimbun-retrieve-url): Added argument `referer'.
	(shimbun-mime-replace-image-tags): Call `shimbun-retrieve-url' with
	argument `referer'.

2004-02-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-asahi.el (shimbun-asahi-group-table): Relaxed the regular
	expression that matches spaces.

	* sb-rss.el (shimbun-get-headers): Check channel's author.

	* sb-slashdot-jp.el: Chenges to support sectioned RSS feeds and
	diaries.
	(shimbun-slashdot-jp-group-alist): New option.
	(shimbun-slashdot-jp-url): Abolished.
	(shimbun-slashdot-jp-from-address): Modified.
	(shimbun-slashdot-jp-content-start): Modified to support diaries.
	(shimbun-slashdot-jp-content-end): Ditto.
	(shimbun-groups): New method.
	(shimbun-index-url): Refer `shimbun-slashdot-jp-group-alist'.
	(shimbun-rss-build-message-id): Support diaries.
	(shimbun-slashdot-jp-comment-url): Return nil when diary pages are
	specified.
	(shimbun-clear-contents): Check the return value of the above function
	before insertion of the anchor to comments page.

2004-02-13  Yuuichi Teranishi  <teranisi@gohome.org>

	* sb-itmedia.el (shimbun-get-headers): Remove newlines in the subject.

2004-02-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-content-start): Improve.
	(shimbun-sankei-content-end): Improve.
	(shimbun-get-headers): Improve regexps.
	(shimbun-clear-contents): Ditto.

2004-02-08  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-mhonarc.el (shimbun-mhonarc-get-subject-value)
	(shimbun-mhonarc-get-from-r13-value): New methods.
	(shimbun-make-contents): Use the above methods.

	* sb-meadow.el (shimbun-mhonarc-get-subject-value)
	(shimbun-mhonarc-get-from-r13-value): New methods.

2004-02-04  Yuuichi Teranishi  <teranisi@gohome.org>

	* sb-gnome.el (shimbun-get-headers): Removed last argument.

2004-01-31  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnshimbun.el: Changes to make nnshimbun.el more robust.
	(nnshimbun-goto-url): Abolished.
	(gnus-summary-refer-shimbun-article): New command.
	(nnshimbun-setup-article-mode): Use the above command instead of the
	abolished one.

2004-01-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnshimbun.el: Add autoloads of `gnus-group-short-name' and
	`gnus-summary-refer-article' to avoid byte-compile warnings.
	(nnshimbun-search-xref, nnshimbun-goto-url,
	nnshimbun-setup-article-mode): New functions.

2004-01-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-clear-contents): Improve tags pointing to the
	advertisement; go to the beginning of the buffer.

2004-01-18  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-slashdot-jp.el: Succeeded by sb-slashdot-jp-rss.el.

2004-01-15  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* sb-pocketgames.el (shimbun-make-contents): New method.
	(shimbun-pocketgames-article-1): Rename to
	`shimbun-pocketgames-article'.
	(shimbun-pocketgames-comment-article): Abolished.
	(shimbun-pocketgames-article): Ditto.
	(initialize-instance): Ditto.
	(shimbun-article): Ditto.
	(shimbun-pocketgames-content-hash-length): Ditto.

2004-01-15  OHASHI Akira  <bg66@koka-in.org>

	* sb-tdiary.el (shimbun-tdiary-get-headers): Fix the regexp.

2004-01-15  Hideyuki SHIRAI  <shirai@meadowy.org>

	* sb-slashdot-jp.el
	(shimbun-slashdot-jp-parse-date-string): Fix the number of regexp.

2004-01-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-cnet-jp.el (shimbun-rss-build-message-id): Replace cammas included
	in URL with periods, because a camma is a special character.
	Cf. RFC822.

2004-01-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-cnet.el (shimbun-cnet-content-start, shimbun-cnet-content-end):
	Abolished.
	(shimbun-cnet-extract-body, shimbun-cnet-remove-footer,
	shimbun-cnet-remove-useless-tags): New functions.
	(shimbun-clear-contents): Reimplemented.

	* shimbun.el (shimbun-strip-cr): New function.

	* sb-cnet.el (shimbun-clear-contents): Call `shimbun-strip-cr'.
	* sb-cnet-jp.el (shimbun-clear-contents): Ditto.
	* sb-mainichi.el (shimbun-get-headers, shimbun-clear-contents): Ditto.

	* sb-rss.el (shimbun-get-headers): Simplified.

	* sb-cnet.el: Rewritten for the original house of CNET.

	* sb-cnet-jp.el: Renamed from sb-cnet-rss.el.

2004-01-12  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* sb-lotusex.el (shimbun-get-headers): Remove wrong argument HEADER.
	* sb-muchy.el (shimbun-get-headers): Ditto.

2004-01-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-bbc.el: Renamed from sb-bbc-rss.el.

	* sb-cnet-rss.el: Add blog groups.
	(shimbun-cnet-rss-group-alist): New variable.
	(shimbun-cnet-rss-url, shimbun-cnet-rss-groups): Abolished.
	(shimbun-cnet-rss-content-start): Follow the change of the site design.
	(shimbun-cnet-rss-content-end): Ditto.
	(shimbun-groups): New method.
	(shimbun-index-url): Refer `shimbun-cnet-rss-group-alist' instead of
	`shimbun-cnet-rss-url'.
	(shimbun-clear-contents): New method.
	(shimbun-rss-build-message-id): Add a regular expression to create
	message IDs for blog groups.

	* sb-jpo.el (shimbun-make-contents): Abolished.
	(shimbun-jpo-contents): Abolished.
	(shimbun-clear-contents): New method.

	* sb-kantei.el (shimbun-make-contents): Abolished.
	(shimbun-clear-contents): New method.

	* sb-linux-ja.el (shimbun-linux-ja-remove-tags): Abolished.
	(shimbun-make-contents): Abolished.
	(shimbun-clear-contents): New method.

	* sb-mainichi.el (shimbun-clear-contents): New method.
	(shimbun-make-contents): Simplified.
	(shimbun-mainichi-remove-tags): Abolished.

	* sb-pcweb-column.el (shimbun-pcweb-column-groups): Follow the change
	of the site.
	(shimbun-pcweb-column-content-start): Ditto.
	(shimbun-index-url): Ditto.
	(shimbun-get-headers): Ditto.
	(shimbun-make-contents): Ditto.
	(shimbun-article): New method that converts old URLs to new ones.

	* sb-sankei.el (shimbun-make-contents): Abolished.
	(shimbun-clear-contents): New method.

	* shimbun.el (shimbun-clear-contents): New method.
	(shimbun-make-html-contents): Call the above.
	(shimbun-remove-tags): New function.

	* sb-f1fan.el (shimbun-clear-contents): New method.
	(shimbun-make-contents): Simplified.

	* sb-itmedia.el (shimbun-itmedia-clean-text-page): Simplified.

	* sb-slashdot-jp-rss.el
	(shimbun-slashdot-jp-rss-comment-arguments): New option.
	(shimbun-get-headers): Add "&mode=nocomment" to each article's URL, in
	order to reduce downloading time.
	(shimbun-slashdot-jp-rss-comment-url): New function.
	(shimbun-clear-contents): New method.

	* sb-tdiary.el (shimbun-tdiary-group-alist): Declared as an option.

	* sb-text.el (shimbun-make-contents): Simplified.

	* sb-wiki.el (shimbun-wiki-group-alist): Declared as an option.

2004-01-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-slashdot-jp.el
	(shimbun-slashdot-jp-parse-date-string): Follow the change of the site
	design.

2004-01-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-cnet.el (shimbun-get-headers): Don't use
	`file-name-sans-extension' for a url string.  In Emacs 21.3 and older,
	it expands a name into the absolute pathname.

2004-01-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-cnet.el (shimbun-cnet): Define class with
	`shimbun-japanese-newspaper'.
	(shimbun-cnet-content-start): Invalidate it with "".
	(shimbun-cnet-content-end): Exclude newlines.
	(shimbun-index-url): Change the return value.
	(shimbun-get-headers): Rewrite.
	(shimbun-make-contents): Find content-start.

2004-01-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-itmedia.el (shimbun-itmedia-clean-text-page): Follow the change of
	the site design.
	(shimbun-itmedia-retrieve-next-pages): Change the regular expression to
	detect next pages.

2004-01-08  Yuuichi Teranishi  <teranisi@gohome.org>

	* sb-itmedia.el: New file.

2004-01-07  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-shimbun.el (mew-shimbun-headers)
	(mew-shimbun-article): New macro.
	(mew-shimbun-retrieve-article)
	(mew-shimbun-re-retrieve-article): Use macros.

2004-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-point-at-bol): New function replacing
	`gnus-point-at-bol' which has been abolished in the Gnus upstream.
	(shimbun-point-at-eol): New function replacing `gnus-point-at-eol'
	which has been abolished in the Gnus upstream.

	* nnshimbun.el (nnshimbun-search-id): Use `shimbun-point-at-bol'.
	(nnshimbun-parse-nov): Use `shimbun-point-at-eol'.
	(nnshimbun-request-expire-articles): Ditto.

2004-01-04  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-rakuten.el (shimbun-rakuten-group-alist): Declared as an option
	with `defcustom' instead of `defvar'.

2004-01-04  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-rakuten.el: New file.

2004-01-04  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-slashdot-jp.el (shimbun-slashdot-jp-month-alist): Abolished.
	(shimbun-slashdot-jp-parse-date-string): Follow the change of the site
	design.

2004-01-04  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-shimbun.el (mew-shimbun-unseen-regex): Delete macro.
	(mew-shimbun-unseen-regex): New function.
	(mew-shimbun-set-form): Ditto.
	(mew-shimbun-pick): Ditto.
	(mew-shimbun-jump-msg): Ditto.
	(mew-shimbun-touch-folder-p): New variable.
	(mew-shimbun-goto-folder): Support Mew 4.
	(mew-shimbun-retrieve): Ditto.
	(mew-shimbun-retrieve-all): Ditto.
	(mew-shimbun-retrieve-article): Ditto.
	(mew-shimbun-re-retrieve): Ditto.
	(mew-shimbun-re-retrieve-all): Ditto.
	(mew-shimbun-expire-all): Ditto.
	(mew-shimbun-expire): Ditto.
	(mew-shimbun-get-id-msgs): Ditto.
	(mew-shimbun-folder-new-p): Ditto.
	(mew-shimbun-unseen-remove-advice): Ditto.

2004-01-02  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-asahi.el (shimbun-asahi-group-table): Add `nankyoku' group and
	`whitemail' group.


2003-12-26  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (emacs-w3m-version): Release 1.3.80.

2003-12-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-rss.el (shimbun-get-headers): Convert CRLF to LF when running
	XEmacs since the coding systems *-dos provided by Mule-UCS don't work
	for decoding them.

2003-12-24  OHASHI Akira  <bg66@koka-in.org>

	* sb-chalow.el (shimbun-get-headers): Erase buffer before retrieving.
	* sb-debian-jp.el (shimbun-get-headers): Ditto.
	* sb-kde.el (shimbun-get-headers): Ditto.

2003-12-21  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-cnet-rss.el (shimbun-rss-build-message-id): Updated.

	* sb-rss.el (shimbun-rss-build-message-id): Update doc string.
	(shimbun-rss-process-date): Ditto.
	(shimbun-rss-get-date): New method.
	(shimbun-get-headers): Use `shimbun-rss-get-date' to get a date if it
	is defined.

2003-12-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-header-insert): Never use BBDB if there is not
	the ~/.bbdb file.

2003-12-05  Hideyuki SHIRAI  <shirai@meadowy.org>

	* sb-tdiary.el (shimbun-get-headers): Erase buffer before retrieving.

2003-11-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-checking-new-news-format): New variable.
	(shimbun-verbose): New variable.
	(shimbun-message-enable-logging): New variable.
	(shimbun-headers): Say "Checking new news..." message.
	(shimbun-article): Replace `message' with `shimbun-message'.
	(shimbun-replace-in-string): Move from sb-rss.el.
	(shimbun-message): New function.

	* sb-rss.el (shimbun-replace-in-string): Move to shimbun.el.

2003-11-26  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (shimbun-real-url): New function.
	(shimbun-content-type, shimbun-url-exists-p): Removed.

	* sb-nikkei.el (shimbun-nikkei-get-headers): Call `shimbun-real-url'
	instead of calling `w3m-attributes' directly.

2003-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-get-headers): Extract a timestamp from
	the index page for okuyami and shasetsu groups; don't use
	`w3m-current-url' (temporally).

2003-11-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* : Require `cl' when compiling in: sb-2ch.el, sb-airs.el,
	sb-chalow.el, sb-debian-jp.el, sb-debian.el, sb-digiko.el, sb-fml.el,
	sb-glimpse.el, sb-gnome.el, sb-javaconf.el, sb-kde.el, sb-m17n.el,
	sb-meadow.el, sb-namazu.el, sb-netbsd.el, sb-nikkei.el, sb-orca.el,
	sb-pocketgames.el, sb-redhat.el, sb-ruby.el, sb-savannah.el,
	sb-tdiary.el and sb-zdnet.el.

	* : Remove unused non-global variables in: sb-2ch.el, sb-chalow.el,
	sb-debian.el, sb-f1fan.el, sb-gnome.el, sb-ibm-dev.el, sb-jpo.el,
	sb-lotusex.el, sb-makanai.el, sb-marc-aims.el, sb-mhonarc.el,
	sb-palmfan.el, sb-ruby.el, sb-slashdot-jp.el, sb-vinelinux.el and
	sb-yahoo.el.

2003-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-entity-insert) [shimbun-multipart-entity]: Honor
	RFC2046 5.1.1 that the boundary delimiter must begin with a line break.

2003-11-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mew-shimbun.el (static-if): New macro providing only when compiling.
	(mew-shimbun-visit-folder): Replace `w3m-static-if' with `static-if'.
	(function-max-args): New macro providing only when compiling with
	Emacs; make it work also with symbol function aliases.
	(mew-shimbun-goto-folder): Replace `w3m-function-max-args' with
	`function-max-args'.
	(mew-shimbun-retrieve-article): Replace `w3m-static-if' with
	`static-if'.
	(mew-shimbun-scan-message): Ditto.

2003-11-07  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-atmarkit.el (shimbun-rss-build-message-id): Bug fixed.
	* sb-bbc-rss.el (shimbun-rss-build-message-id): Ditto.
	* sb-cnet-rss.el (shimbun-rss-build-message-id): Ditto.
	* sb-slashdot-jp-rss.el (shimbun-rss-build-message-id): Ditto.
	* sb-wiki.el (shimbun-rss-build-message-id): Ditto.

2003-11-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi-mytown.el (shimbun-asahi-mytown-group-table): Combine
	"kitakyu" and "fukuoka" into "fukuoka".
	(shimbun-asahi-mytown-get-headers): Improve regexp.

2003-11-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-header-insert): Use `functionp' instead of
	`fboundp' to eximine the value for the
	`shimbun-x-face-database-function' variable.

2003-10-24  MIYOSHI Masanori  <miyoshi@boreas.dti.ne.jp>

	* sb-2ch.el (shimbun-2ch-request-article): Use shimbun-header-number()
	instead of aref().
	(shimbun-headers)[shimbun-2ch]: Ditto.

	* shimbun.el (shimbun-header-number): New function.
	(shimbun-header-set-number): Ditto.

2003-10-22  MIYOSHI Masanori  <miyoshi@boreas.dti.ne.jp>

	* sb-2ch.el (shimbun-headers): Correct the index of article number.

2003-10-22  OHASHI Akira  <bg66@koka-in.org>

	* sb-tdiary.el (shimbun-replace-in-string): Abolish.
	(shimbun-tdiary-get-headers): Use `shimbun-create-header' instead of
	`shimbun-make-header'.

2003-10-20  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-cnet.el (shimbun-make-contents): Keep tag strings to show a start
	position and an end position of each main content.

2003-10-19  Hiroya Murata  <lapis-lazuli@pop06.odn.ne.jp>

	* shimbun.el (shimbun-footer) [shimbun-japanese-newspaper]: Add <br> in
	order to make a newline certainly.
	* sb-tdiary.el (shimbun-tdiary-get-headers): Encode group names.

2003-10-17  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (shimbun-entity-insert) [shimbun-text-entity]: Simplified.

2003-10-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-entity-type) [shimbun-multipart-entity]:
	start=<ID> -> start="<ID>"
	(shimbun-entity-insert) [shimbun-text-entity]: Save point while
	performing `encode-coding-region'.

2003-10-17  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (shimbun-make-multipart-entity): Change its argument spec
	to make `type' optional.
	(shimbun-make-mime-article): Follow the above change.
	(shimbun-entity-type) [shimbun-multipart-entity]: Add type parameter
	when a subtype is "related".  Thanks to Mr. Teranisi for his suggestion
	in [emacs-w3m:05964].
	(initialize-instance) [shimbun-text-entity]: Removed.
	(shimbun-text-entity-charset): New method.
	(shimbun-entity-type) [shimbun-text-entity]: Use the above.
	(shimbun-entity-insert) [shimbun-text-entity]: Ditto.
	(initialize-instance) [shimbun-image-entity]: Do not set a default
	value of a media type.

	* sb-zdnet.el (shimbun-make-contents): Follow the above changes.

2003-10-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el: Define LUNA classes that represent MIME entities such as
	text/html, image/png etc.
	(shimbun-entitiy, shimbun-multipart-entity, shimbun-text-entity,
	shimbun-image-entity): New classes.
	(shimbun-entity-type, shimbun-entity-cid, shimbun-entity-insert): New
	methods.
	(shimbun-make-multipart-entity, shimbun-make-text-entity,
	shimbun-make-image-entity): New constructors.
	(shimbun-entity-add-child): New function.
	(shimbun-mime-replace-image-tags): New function.
	(shimbun-make-mime-article): Rewritten to use the above classes and
	functions.
	(shimbun-mime-boundary-counter): Removed.
	(shimbun-mime-make-multipart-message): Removed.
	(shimbun-mime-retrieve-images): Removed.

	* sb-zdnet.el (shimbun-make-contents): Reimplemented.
	(shimbun-zdnet-retrieve-next-pages): Ditto.

2003-10-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-zdnet.el (shimbun-make-contents): Small fix.

	* sb-zdnet.el (shimbun-zdnet-clean-text-page): New function.
	(shimbun-zdnet-retrieve-next-pages): Likewise.
	(shimbun-make-contents): Reimplemented.

	* shimbun.el (shimbun-mime-replace-image-tags): New function.
	(shimbun-mime-boundary-counter): New internal variable.
	(shimbun-mime-make-multipart-message): New function.
	(shimbun-mime-retrieve-images): Likewise.
	(shimbun-make-mime-article): Rewritten to use the above functions.

2003-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Improve regexp for the
	english group.

2003-10-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Improve regexp more.
	* sb-mainichi.el (shimbun-get-headers): Ditto.
	* sb-sankei.el (shimbun-get-headers): Ditto.
	* sb-yomiuri.el (shimbun-yomiuri-group-table): Ditto.
	(shimbun-yomiuri-prepare-article): Ditto.

2003-10-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	We shouldn't use too simple elements like ".+" in the deep nested
	regexps.  It may cause high cpu or may make Emacs hang.

	* sb-asahi.el (shimbun-asahi-group-table): Improve regexp.
	* sb-mainichi.el (shimbun-get-headers): Ditto.
	* sb-sankei.el (shimbun-get-headers): Ditto.
	* sb-yomiuri.el (shimbun-yomiuri-group-table): Ditto.
	(shimbun-yomiuri-prepare-article): Ditto.

2003-10-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-content-start): Improve the value.
	(shimbun-make-contents): New function to remove ads.

2003-09-26  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-mailarc.el (shimbun-get-headers): Allow double quoted string for
	href attribute.

	* sb-quickml.el (shimbun-quickml-groups): Added "software-patent".

2003-09-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-content-start): Improve the value to be
	able to fetch inline images.

2003-09-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el (shimbun-sankei-x-face-alist): New variable.
	(shimbun-get-headers): Fix url for news pages; modify ID string.

2003-09-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-sankei.el: New file.

	* sb-asahi.el (shimbun-asahi-group-table): Simplify the default regexp
	and the regexp for the sports group.
	(shimbun-asahi-get-headers): Simplify the regexp for the kansai-special
	group; indicate the jinmin-nippou in subject lines in the international
	group.

2003-09-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-time-parse-string): New function.
	(shimbun-sort-headers): New function.

	* sb-yomiuri.el (shimbun-yomiuri-group-table): Simplify Japanese group
	names.
	(shimbun-yomiuri-get-headers): Sort headers.

	* sb-slashdot-jp.el
	(shimbun-slashdot-jp-search-comment-head): Replace
	`w3m-time-parse-string' with `shimbun-time-parse-string'.

	* sb-nikkei.el (shimbun-nikkei-get-headers): Sort headers.

	* sb-asahi.el (shimbun-asahi-group-table): Improve regexps in order to
	fetch more articles; contain full folder names.
	(shimbun-index-url): Simplify.
	(shimbun-asahi-get-headers): Synch to shimbun-asahi-group-table's
	change; sort headers.

2003-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-group-table): Rearrange regexps.
	(shimbun-yomiuri-get-headers): Synch to the change.

2003-09-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yomiuri.el (shimbun-yomiuri-group-table): Add the kyoiku group;
	remove too much redundant expressions.
	(shimbun-yomiuri-shorten-brackets-in-string): Save-match-data.
	(shimbun-yomiuri-get-headers): Attempt to fetch the top news articles;
	modify url strings for the kyoiku group.
	(shimbun-yomiuri-prepare-article): Rename from
	`shimbun-yomiuri-adjust-date-header'; remove useless contents for the
	kyoiku group.

	* sb-yomiuri-html.el (shimbun-make-contents): Rename
	`shimbun-yomiuri-adjust-date-header' to
	`shimbun-yomiuri-prepare-article'.

2003-09-05  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-yomiuri.el (shimbun-yomiuri-group-table): Add the culture and the
	science groups.

2003-09-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-header-insert): Make it work in a multibyte temp
	buffer.
	(shimbun-mime-encode-string): Ditto.

	* sb-nikkei.el: Don't require cl, shimbun.el does it.

2003-09-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el (shimbun-nikkei-group-table): Add newpro-pc,
	newpro-soft, newpro-auto, newpro-av, newpro-life, newpro-leisure,
	newpro-price groups.
	(shimbun-nikkei-get-headers): Attempt to fetch the top news for newpro
	groups.
	(shimbun-nikkei-prepare-article): Put a warning message in the top news
	articles for newpro groups that contents may be renewed.

2003-09-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-nikkei.el: Require cl when compiling.
	(shimbun-nikkei-top-level-domain): New variable.
	(shimbun-nikkei-url): Don't include subdirectories.
	(shimbun-nikkei-group-table): Renew; add the "newpro" group.
	(shimbun-nikkei-content-start): Improve the value.
	(shimbun-nikkei-content-end): Ditto.
	(shimbun-current-group-name): Synch to shimbun-nikkei-group-table.
	(shimbun-index-url): Ditto.
	(shimbun-nikkei-get-headers): Renew; attempt to fetch the top news;
	make correct date headers if possible; modify subjects suitably.
	(shimbun-nikkei-prepare-article): New function.
	(shimbun-make-contents): Use it.

2003-08-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi-mytown.el: New file.

2003-08-10  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-japantimes.el (shimbun-japantimes-coding-system): Removed.

2003-08-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Fix last change.

2003-08-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-rss.el (shimbun-replace-in-string): Silence the byte-compiler (see
	the comment in the sb-rss.el file).

2003-08-06  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-impress.el (shimbun-impress-groups-alist): Improve the regexp for
	the internet group.

2003-08-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-group-table): Improve the default regexp;
	add kansai and kansai-special.
	(shimbun-index-url): Add a special treatment for kansai-special.
	(shimbun-asahi-get-headers): Ditto.

2003-07-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-x-face, shimbun-server-additional-path,
	shimbun-x-face-database-function): Improve the customizing widgets.
	* sb-sourceforge-jp.el
	(shimbun-sourceforge-jp-mailing-lists): Ditto.
	* sb-slashdot-jp.el (shimbun-slashdot-jp-threshold): Diito.
	* sb-marc-aims.el (shimbun-marc-aims-group-alist): Ditto.
	* sb-geocrawler.el (shimbun-geocrawler-group-alist): Ditto.

	* nnshimbun.el (nnshimbun-keep-backlog): Improve the customizing
	widget.
	(nnshimbun-group-parameters-custom): Use `integer' instead of `number'
	for the expiry days.

	* mew-shimbun.el (mew-shimbun-folder, mew-shimbun-folder-groups,
	mew-shimbun-db-file, mew-shimbun-expires, mew-shimbun-db-length,
	mew-shimbun-unknown-from): Improve the customizing widgets.

2003-07-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (shimbun-servers-list): Count byte-compiled files also.

2003-07-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (shimbun-server-list): Check duplicate servers before
	adding them.

2003-07-27  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el: Do not require `shimbun-servers.el'.
	(shimbun-server-additional-path): New option.
	(shimbun-servers-list, shimbun-servers-alist): New functions.
	(shimbun-open): Use the above option to override `load-path'.

2003-07-25  Hideyuki SHIRAI  <shirai@meadowy.org>

	* sb-tdiary.el (shimbun-tdiary-get-headers): Change regexp of headers.
	(shimbun-get-headers): Remove `\r' from buffer.

2003-07-25  Hideyuki SHIRAI  <shirai@meadowy.org>

	* sb-tdiary.el (shimbun-tdiary-content-start): Change value.
	(shimbun-tdiary-footnote-regex): New internal variable.
	(shimbun-make-contents): Keep subtitle in body. Handle footnotes.

2003-07-25  Koichiro Ohba  <koichiro@meadowy.org>

	* sb-rss.el (shimbun-rss-replace-in-string): Removed.
	(shimbun-rss-node-text): Use `shimbun-replace-in-string'.

2003-07-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnshimbun.el (nnshimbun-possibly-change-group): Create parent
	directories if they do not exist, for hierarchical groups that include
	periods in their group names.

2003-07-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-get-headers): Convert CRLF to LF.
	(shimbun-make-contents): Convert CRLF to LF instead of removing CR.

2003-07-19  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* sb-h14m.el: Removed.


2003-07-18  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.3.6 from emacs-w3m-1_3 branch.

2003-07-18  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-fml.el (shimbun-get-headers): Call `shimbun-create-header' instead
	of `shimbun-make-header'
	(shimbun-make-contents): Do not encode header attributes, to follow the
	change of shimbun header structure.

	* shimbun.el (shimbun-header): New class.
	(shimbun-header-subject, shimbun-header-set-subject,
	shimbun-header-from, shimbun-header-set-from, shimbun-header-date,
	shimbun-header-set-date, shimbun-header-id, shimbun-header-set-id,
	shimbun-header-references, shimbun-header-set-references,
	shimbun-header-chars, shimbun-header-set-chars, shimbun-header-lines,
	shimbun-header-set-lines, shimbun-header-xref, shimbun-header-set-xref,
	shimbun-header-extra, shimbun-header-set-extra): Lunafied.
	(shimbun-header-normalize): New internal function.
	(shimbun-create-header): New function.
	(shimbun-make-header): Rewritten to use the above function.
	(shimbun-header-insert, shimbun-from-address): Follow the above
	changes.

2003-07-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-content-start): Simplify.
	(shimbun-mainichi-content-end): Ditto.
	(shimbun-make-contents): Remove ^M's, table forms and adv's.

2003-07-16  OHASHI Akira  <bg66@koka-in.org>

	* shimbun.el (shimbun-lsdb-get-x-face): Handle multi X-Faces.  Return
	nil when a full name is not extracted.

2003-07-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (shimbun-use-bbdb-for-x-face): Abolished.
	(shimbun-use-lsdb-for-x-face): Abolished.
	(shimbun-x-face-database-function): New option.
	(shimbun-bbdb-get-x-face): New function.
	(shimbun-lsdb-get-x-face): New function.
	(shimbun-header-insert): Use the above option and functions instead of
	abolished ones.

2003-07-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-mainichi.el (shimbun-mainichi-content-start): Improve the value.
	(shimbun-mainichi-content-end): Ditto.

2003-07-15  OHASHI Akira  <bg66@koka-in.org>

	* shimbun.el (shimbun-header-insert): Use LSDB records for choosing the
	author's X-Face.
	(shimbun-use-lsdb-for-x-face): New customize option. Users can set this
	to `never' to inhibit the use of LSDB.
	(toplevel): Attempt to load `lsdb' when compiling.

2003-07-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-tdiary.el (shimbun-replace-in-string): New function.
	(shimbun-tdiary-get-headers): Use it.

2003-07-14  OHASHI Akira  <bg66@koka-in.org>

	* sb-tdiary.el: New backend.

	* sb-chalow.el (shimbun-chalow-get-headers): Fix regexp.

2003-07-12  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-zdnet.el (shimbun-zdnet-group-alist): Fix the folder name for
	`enterprise'.

	* sb-mainichi.el (shimbun-mainichi-content-start): Exclude an
	advertisement.

2003-07-12  OHASHI Akira  <bg66@koka-in.org>

	* sb-chalow.el: New backend.

2003-07-10  Koichiro Ohba  <koichiro@meadowy.org>

	* sb-tdiary-ml.el: Rename from sb-tdiary.el.

2003-07-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-linux-ja.el: New backend.


2003-07-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.3.5 from emacs-w3m-1_3 branch.

2003-07-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-cnet.el: Major change for the new CNET Japan site.
	(shimbun-cnet-url, shimbun-cnet-groups, shimbun-cnet-from-address,
	shimbun-cnet-content-start, shimbun-cnet-content-end): Do.
	(shimbun-cnet-server-name): New.
	(shimbun-index-url): Use the top page.
	(shimbun-get-headers): Rewrite.
	(shimbun-make-contents): Remove advertisements embedded with table
	forms.

2003-07-02  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-atmarkit.el: Rename from sb-atmarkit-rss.el.
	(shimbun-rss-build-message-id): Build message-id without string `rss'.
	Bug fixed.

	* sb-wiki.el: Rename from sb-pukiwiki-rss.el.
	(shimbun-wiki-group-alist): Add optional 4th and 5th elements to each
	inner list.  Add doc string.
	(shimbun-headers): New method.
	(shimbun-make-contents): Ditto.
	(shimbun-rss-build-message-id): Modify regexp to support Hiki.  Build
	message-id without string `rss'.
	(shimbun-index-url): Pick up URL from shimbun-wiki-group-alist and
	simply return it.
	(shimbun-wiki-group-alist): Modify ADDRESS of hiki.
	(shimbun-rss-build-message-id): Modify message-id format.

	* sb-rss.el (shimbun-rss-get-encoding): Bug fixed.  Return interned
	encoding with suffix `-dos'.
	(shimbun-headers): Simplified.

2003-07-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-kde.el (shimbun-kde-x-face-alist): New.
	(shimbun-get-headers): Silence the byte-compiler which says "called for
	effect".

2003-07-01  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (shimbun-retrieve-url): Remove local binding of
	`w3m-use-refresh', because `w3m-decode-buffer' do not activate a
	refresh timer.

2003-06-20  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-rss.el (shimbun-rss-build-message-id): Add new arg DATE.
	(shimbun-get-headers): Call `shimbun-rss-build-message-id' with new arg
	DATE.

	* sb-bbc-rss.el (shimbun-rss-build-message-id): Add new arg DATE.
	* sb-slashdot-jp-rss.el (shimbun-rss-build-message-id): Ditto.
	* sb-cnet-rss.el (shimbun-rss-build-message-id): Ditto.
	* sb-atmarkit-rss.el (shimbun-rss-build-message-id): Ditto.

	* sb-pukiwiki-rss.el: New file.

2003-06-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shimbun.el (shimbun-x-face): Renew.

	* sb-mainichi.el (shimbun-get-headers): Enrich subjects.

2003-06-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el (shimbun-asahi-get-headers): Don't use `save-match-data'
	* sb-gnome.el (shimbun-get-headers): Ditto.
	* sb-yomiuri.el (shimbun-yomiuri-get-headers): Ditto.

2003-06-18  NAKAJIMA Mikio  <minakaji@namazu.org>

	* shimbun.el (shimbun-mime-encode-string): Use `save-match-data'.

2003-06-18  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-anthy.el: Removed.

	* sb-canna-dev.el: Removed.

	* sb-mozilla-jp.el: Renamed from `sb-moz-users.el'.


2003-07-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.3.5 from emacs-w3m-1_3 branch.

2003-06-18  Koichiro Ohba  <koichiro@meadowy.org>

	* sb-rss.el (shimbun-rss-get-encoding): Simplify.

2003-06-18  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-pocketgames.el (shimbun-reply-to): Insert docstring to avoid the
	bug of XEmacs's byte compiler.

	* sb-pilot-mailsync.el (shimbun-reply-to): Ditto.

	* sb-dennou.el (shimbun-reply-to): Ditto.

	* sb-security-memo.el (shimbun-reply-to): Ditto.

2003-06-18  Koichiro Ohba  <koichiro@meadowy.org>

	* sb-bbc-rss.el: New backend.

	* sb-rss.el (shimbun-rss-process-date): Added nil check.

2003-06-18  Koichiro Ohba  <koichiro@meadowy.org>

	* sb-rss.el (shimbun-rss-get-encoding): New function.
	(shimbun-headers): Use (shimbun-rss-get-encoding).

2003-06-17  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-sourceforge-jp.el: New backend.

	* shimbun.el (shimbun-footer): Insert docstring to avoid the bug of
	XEmacs's byte compiler.

	* sb-w3m-dev.el (shimbun-reply-to): Insert docstring to avoid the bug
	of XEmacs's byte compiler.

2003-06-17  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-rss.el (shimbun-get-headers): Remove unnecessary temporary
	variables STIME, ST, BODY, AUTHOR, EXTRA, RDF-NS and CONTENT-NS.
	(shimbun-rss-get-namespace-prefix): Add doc string.

2003-06-17  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-asahi.el (shimbun-server-name): Removed.
	(shimbun-from-address): Removed.
	(initialize-instance): Initialize `server-name', `from-address',
	`x-face-alist' and `expiration-days'.

	* sb-asahi-html.el (shimbun-asahi-html-x-face-alist):
	(shimbun-asahi-html-expiration-days): Abolished.

	* sb-yomiuri.el (shimbun-server-name): Removed.
	(shimbun-from-address): Removed.
	(initialize-instance): Initialize `server-name', `from-address',
	`x-face-alist' and `expiration-days'.

	* sb-yomiuri-html.el (shimbun-yomiuri-html-x-face-alist):
	(shimbun-yomiuri-html-expiration-days): Abolished.

2003-06-17  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-rss.el (shimbun-rss-process-date): Handle UTC timezone.

2003-06-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-nikkei.el (shimbun-nikkei): Make it inherit `shimbun' which was
	missed.

	* shimbun.el: Changes to consider `coding-system' slot of SHIMBUN
	class.
	(shimbun-fetch-url): New function.
	(shimbun-make-mime-article, shimbun-headers, shimbun-article): Call
	`shimbun-fetch-url' instead of `shimbun-retrieve-url'.

	* sb-w3m-dev.el (shimbun-get-headers, shimbun-article): Removed.

	* sb-atmarkit-rss.el (shimbun-article): Removed.

	* sb-slashdot-jp-rss.el (shimbun-article): Removed.

	* shimbun.el: Changes to add a copyright notice to every article.
	(shimbun-footer): New method.
	(shimbun-japanese-newspaper): New base class.
	(shimbun-make-html-contents): Insert a footer generated by
	`shimbun-footer'.
	(shimbun-header-insert-and-buffer-string): Ditto.

	* sb-yomiuri.el (shimbun-yomiuri): Make it inherit
	`shimbun-japanese-newspaper'.
	(shimbun-server-name, shimbun-current-group-name): New methods.
	(shimbun-from-address): Use the above new methods.

	* sb-sponichi.el (toplevel): Make this module independent from
	`sb-text.el'
	(shimbun-sponichi): Likewise; Make it inherit
	`shimbun-japanese-newspaper'.
	(shimbun-sponichi-groups): Removed, and its information is moved to
	`shimbun-sponichi-group-table'.
	(shimbun-sponichi-group-table): New variable.
	(shimbun-sponichi-server-name): Ditto.
	(shimbun-groups, shimbun-current-group-name): New method.
	(shimbun-from-address): Ditto.

	* sb-nikkei.el (toplevel): Make this module independent from
	`sb-text.el'
	(shimbun-nikkei): Likewise; Make it inherit
	`shimbun-japanese-newspaper'.
	(shimbun-nikkei-groups): Removed, and its information is moved to
	`shimbun-nikkei-group-table'.
	(shimbun-nikkei-group-table): New variable.
	(shimbun-nikkei-server-name): Ditto.
	(shimbun-groups, shimbun-current-group-name): New method.

	* sb-nikkansports.el (toplevel): Make this module independent from
	`sb-text.el'
	(shimbun-nikkansports): Likewise; Make it inherit
	`shimbun-japanese-newspaper'.

	* sb-mainichi.el (toplevel): Make this module independent from
	`sb-text.el'
	(shimbun-mainichi): Likewise; Make it inherit
	`shimbun-japanese-newspaper'.
	(shimbun-mainichi-remove-tags): New function.
	(shimbun-make-contents): Reimplemented.

	* sb-asahi.el (shimbun-asahi): Make it inherit
	`shimbun-japanese-newspaper'.
	(shimbun-server-name, shimbun-current-group-name): New methods.
	(shimbun-from-address): Use the above new methods.

2003-06-15  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-atmarkit-rss.el: New file.
	* sb-slashdot-jp-rss.el: Ditto.
	* sb-cnet-rss.el: Ditto.
	* sb-rss.el: Ditto.

2003-06-14  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-moz-users.el: New file.

2003-06-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el (toplevel): Slot definition order of `shimbun' class is
	changed to avoid mismatching.

	* shimbun.el: Changes to eliminate dependence between modules caused by
	compiled macros of internal accesors.
	(shimbun-server, shimbun-current-group, shimbun-mua-shimbun): New
	function.
	(shimbun-header-subject, shimbun-header-set-subject,
	shimbun-header-from, shimbun-header-set-from, shimbun-header-date,
	shimbun-header-set-date, shimbun-header-id, shimbun-header-set-id,
	shimbun-header-references, shimbun-header-set-references,
	shimbun-header-chars, shimbun-header-set-chars, shimbun-header-lines,
	shimbun-header-set-lines, shimbun-header-xref, shimbun-header-set-xref,
	shimbun-header-extra, shimbun-header-set-extra): Use `defun' instead of
	`defsubst'.
	(shimbun-header-field-value): Removed.

	* nnshimbun.el (shimbun-mua-search-id): Call `shimbun-current-group'
	instead of `shimbun-current-group-internal'; Call `shimbun-mua-shimbun'
	instead of `shimbun-mua-shimbun-internal'.
	(nnshimbun-current-group): Call `shimbun-current-group' instead of
	`shimbun-current-group-internal'.

	* mew-shimbun.el (mew-shimbun-retrieve-article): Call `shimbun-server'
	instead of `shimbun-server-internal'; Call `shimbun-current-group'
	instead of `shimbun-current-group-internal'; Call `shimbun-mua-shimbun'
	instead of `shimbun-mua-shimbun-internal'.
	(mew-shimbun-re-retrieve-article): Ditto.

	* sb-mhonarc.el (shimbun-mhonarc-header-value): New function.
	(shimbun-make-contents): Call `shimbun-mhonarc-header-value' instead of
	`shimbun-header-field-value'.

2003-06-06  Koichiro Ohba  <koichiro@meadowy.org>

	* sb-tdiary.el: New file.

2003-06-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi-html.el (shimbun-asahi-html): Make it inherit the
	`shimbun-asahi' class instead of the `shimbun' class.
	(shimbun-groups, shimbun-from-address, shimbun-index-url,
	shimbun-get-headers): Remove methods.
	(shimbun-make-contents): Define it for the `shimbun-asahi-html' class
	independently.

	* sb-yomiuri.el: Require `sb-text'.
	(shimbun-yomiuri): Make it inherit the `shimbun-text' class.
	(shimbun-yomiuri-groups, shimbun-yomiuri-from-address): Remove.
	(shimbun-yomiuri-group-table): Rename from
	`shimbun-yomiuri-group-regexp-alist'; include Japanese translations and
	index names.
	(shimbun-groups, shimbun-from-address): New methods.
	(shimbun-yomiuri-index-url): Remove.
	(shimbun-index-url): Use `shimbun-yomiuri-group-table'.
	(shimbun-yomiuri-get-headers): Fit it to `shimbun-yomiuri-group-table';
	use `shimbun-yomiuri-url' instead of to call the `shimbun-url-internal'
	function.
	(shimbun-yomiuri-make-contents): Remove.
	(shimbun-yomiuri-adjust-date-header): New function.
	(shimbun-make-contents): Use `shimbun-yomiuri-adjust-date-header' as a
	preprocessor.

	* sb-yomiuri-html.el (shimbun-yomiuri-html): Make it inherit only the
	`shimbun-yomiuri' class.
	(shimbun-yomiuri-html-url, shimbun-yomiuri-html-groups,
	shimbun-yomiuri-html-from-address): Remove.
	(shimbun-yomiuri-html-make-contents): Remove.
	(shimbun-make-contents): Define it for the `shimbun-yomiuri-html' class
	independently.

2003-06-03  MIYOSHI Masanori  <miyoshi@boreas.dti.ne.jp>

	* sb-nikkansports.el: Follow the change of the Web site.
	(shimbun-nikkansports-group-table): New variable.
	(shimbun-nikkansports-groups): Removed and its infomation is moved to
	`shimbun-nikkansports-group-table'.
	(shimbun-groups): New method.
	(shimbun-current-group-name): Ditto.

2003-06-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-asahi.el: Require `sb-text'.
	(shimbun-asahi): Make it inherit the `shimbun-text' class.
	(shimbun-from-address): Encode names collectively.
	(shimbun-asahi-adjust-date-header): New function suggested by
	TSUCHIYA-san.
	(shimbun-asahi-make-contents): Remove.
	(shimbun-make-contents): Use `shimbun-asahi-adjust-date-header' as a
	preprocessor.

	* sb-asahi-html.el (shimbun-asahi-html): Make it inherit the `shimbun'
	class.
	(shimbun-groups, shimbun-from-address, shimbun-index-url,
	shimbun-get-headers): New methods copied from sb-asahi.el.
	(shimbun-asahi-html-make-contents): Remove.
	(shimbun-make-contents): Use `shimbun-asahi-adjust-date-header' as a
	preprocessor.

	* sb-text.el (shimbun-shallow-rendering): Revert last change.

2003-06-03  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-mainichi.el (shimbun-mainichi-server-name): New variable.
	(shimbun-mainichi-group-table): New variable.
	(shimbun-mainichi-groups, shimbun-mainichi-group-path-alist): Removed
	and their infomation is moved to `shimbun-mainichi-group-table'.
	(shimbun-groups, shimbun-current-group-name): New method.
	(shimbun-index-url, shimbun-get-headers): Refer
	`shimbun-mainichi-group-table' instead of
	`shimbun-mainichi-group-path-alist'.

	* sb-zdnet.el (shimbun-zdnet-server-name): New variable.

	* shimbun.el (toplevel): Add a new slot `server-name' to `shimbun'
	class.
	(shimbun-attributes): Add `server-name'.
	(shimbun-open): Bind `server-name' locally.
	(shimbun-server-name): New method.
	(shimbun-current-group-name): New method.

	* sb-gyve.el: Removed.

2003-06-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-text.el (shimbun-shallow-rendering): Use defun instead of
	defsubst.

	* sb-asahi.el: Autoload sb-text instead of always to require the
	feature.
	(shimbun-asahi-make-contents): Make an article in the text/plain
	format.
	* sb-asahi-html.el (shimbun-asahi-html-make-contents): New function
	moved from sb-asahi.el.

	* sb-yomiuri.el: Autoload sb-text instead of always to require the
	feature.
	(shimbun-yomiuri-make-contents): Make an article in the text/plain
	format.
	* sb-yomiuri-html.el (shimbun-yomiuri-html-make-contents): New function
	moved from sb-yomiuri.el.

2003-06-03  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* shimbun.el: Changes to add a server name and a current group name to
	From: header.
	(shimbun-from-address): New method.

	* sb-asahi.el (shimbun-asahi-groups, shimbun-asahi-group-index-alist,
	shimbun-asahi-group-regexp-alist): Abolished.
	(shimbun-asahi-group-table): New variable.
	(shimbun-groups, shimbun-from-address): New methods.
	(shimbun-index-url): Reimplemented.
	(shimbun-asahi-index-url): Removed.
	(shimbun-asahi-get-headers): Use `shimbun-from-address' instead of
	`shimbun-from-address-internal'; Refer `shimbun-asahi-group-table'
	instead of `shimbun-asahi-group-regexp-alist'; Refer
	`shimbun-asahi-url' instead of using `shimbun-url-internal'.

	* sb-asahi-html.el (toplevel): Inherit only from `shimbun-asahi'.
	(shimbun-asahi-html-url, shimbun-asahi-html-groups,
	shimbun-asahi-html-from-address): Abolished.

	* sb-kantei.el (shimbun-kantei-from-address): Changed its default
	value.
	(shimbun-from-address): New method.
	(shimbun-get-headers): Use `shimbun-from-address' instead of
	`shimbun-from-address-internal'.

	* sb-palmfan.el (shimbun-palmfan-palmwarefan-headers): Use
	`shimbun-from-address' instead of using literal string.

	* sb-palmoslove.el (shimbun-palmoslove-from-address): New variable.
	(shimbun-headers): Use `shimbun-from-address' instead of using literal
	string.

	* sb-vinelinux.el (shimbun-get-headers): Use `shimbun-from-address'
	instead of using the value of `shimbun-vinelinux-from-address'.

	* sb-cnet.el (shimbun-get-headers)
	* sb-dennou.el (shimbun-headers)
	* sb-f1express.el (shimbun-get-headers)
	* sb-f1fan.el (shimbun-get-headers)
	* sb-ibm-dev.el (shimbun-headers)
	* sb-impress.el (shimbun-get-headers)
	* sb-japantimes.el (shimbun-get-headers)
	* sb-jpo.el (shimbun-jpo-headers-1)
	* sb-lotusex.el (shimbun-get-headers)
	* sb-mainichi.el (shimbun-get-headers)
	* sb-makanai.el (shimbun-makanai-scan-articles)
	* sb-muchy.el (shimbun-get-headers)
	* sb-nikkansports.el (shimbun-get-headers)
	* sb-nikkei.el (shimbun-nikkei-get-headers)
	* sb-pcweb-column.el (shimbun-get-headers)
	* sb-sponichi.el (shimbun-get-headers)
	* sb-wincefan.el (shimbun-get-headers)
	* sb-wired.el (shimbun-get-group-header-alist)
	* sb-yahoo.el (shimbun-get-headers)
	* sb-yomiuri.el (shimbun-yomiuri-get-headers)
	* sb-zdnet.el (shimbun-get-headers): Use `shimbun-from-address' instead
	of `shimbun-from-address-internal'.

2003-06-02  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-jpo.el (shimbun-jpo-headers-1): Use `shimbun-expand-url' instead
	of `w3m-expand-url'.
	(shimbun-jpo-headers-group-details): Ditto.
	(shimbun-jpo-headers-group-details): Ditto.

	* sb-ibm-dev.el (shimbun-headers): Ditto.
	(shimbun-make-contents): Ditto.

	* sb-wincefan.el (shimbun-get-headers): Ditto.

	* sb-marc-aims.el (shimbun-marc-aims-group-alist): Declared as an
	option with `defcustom' instead of `defvar'.

2003-05-31  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-yahoo.el (shimbun-get-headers): Modify regexp to pick up all
	articles.

2003-05-29  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-pilot-link.el: Require sendmail.el.
	(shimbun-make-contents): New method.
	(shimbun-index-url): Bug fixed.

2003-05-29  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-ibm-dev.el (shimbun-index-url): Removed.
	(shimbun-ibm-dev-content-start, shimbun-ibm-dev-content-end): New user
	variables.
	(shimbun-get-headers): Rename to shimbun-headers.
	(shimbun-headers): Use `w3m-expand-url' to expand relative url to
	absolute one.  Build message-id using domain www-6.ibm.com.
	(shimbun-make-contents): Change its method-qualifier to :before.  Use
	`when' instead of `if' if there aren't `else S expressions'.
	(shimbun-ibm-dev-groups): Remove "components", "security", "unicode",
	"usability" and "web" from its default value.

2003-05-24  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-lotusex.el: New file.

2003-05-22  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-muchy.el (shimbun-muchy-get-headers): Modify regexp slightly.

2003-05-21  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-jpo.el (shimbun-jpo-headers): Use `w3m-expand-url' to get full
	URL.
	(shimbun-jpo-headers-1): Ditto.  Bug fixed.
	(shimbun-jpo-headers-group-details): Use `dolist' to simplify code.
	Use `w3m-expand-url' to get full URL.

2003-05-19  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-jpo.el (shimbun-jpo-contents): Modify regexp to pick up email
	address properly.

2003-05-18  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-yahoo.el (shimbun-yahoo-groups-alist): Add topnews group entry.

2003-05-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sb-yahoo.el (shimbun-yahoo-x-face-alist): New face.

2003-05-11  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* sb-yahoo.el (shimbun-yahoo-content-start): Improved the default
	value.

2003-05-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* sb-2ch.el (shimbun-headers): Correct the wrong use of `message'.
	Thanks to Yoichi NAKAYAMA <yoichi@geiin.org> for his suggestion.

2003-05-06  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* sb-pocketgames.el
	(shimbun-pocketgames-make-mime-article): Modify regexp to pick up url
	properly.

2003-05-05  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-pocketgames.el
	(shimbun-pocketgames-article): New function.
	(shimbun-pocketgames-article-1): Ditto.
	(shimbun-pocketgames-make-mime-article): Ditto.
	(shimbun-pocketgames-headers): New function (Building Message-ID with
	'@' instead of `:' to display inline)
	(shimbun-pocketgames-headers-1): New function.
	(shimbun-article): Use `shimbun-pocketgames-article'.
	(shimbun-headers): Use `shimbun-pocketgames-headers'.
	(shimbun-pocketgames-comment-article): Clean up unnecessary link from
	shimbun working buffer.  Building Message-ID with '@' instead of `:' to
	display inline images.

2003-05-04  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-plucker.el: New file.

2003-05-04  MIYOSHI Masanori  <miyoshi@boreas.dti.ne.jp>

	* sb-makanai.el (shimbun-index-url): Follow the change of the web site.

2003-05-03  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-squeak-dev.el: New file.

	* sb-jpo.el (shimbun-jpo-cleanup-article): Modify regexps.

	* sb-jpilot.el: Require sendmail.
	(shimbun-make-contents): New method.

2003-04-30  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-jpo.el (shimbun-make-contents): Bug fixed.
	(shimbun-headers): Ditto.

2003-04-29  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-jpo.el: New file.
	(shimbun-jpo-contents): Modified regexp to pick up more email address
	of JPO's section.

2003-04-28  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-sml.el: New file.
	* sb-squeak-ja.el (shimbun-headers): Removed (use sb-mailman.el's
	original method).
	(shimbun-squeak-ja-headers): Removed.

2003-04-26  NAKAJIMA Mikio  <minakaji@namazu.org>

	* sb-mailman.el (shimbun-mailman-headers): Call
	`shimbun-mime-encode-string' for FROM.

	* sb-squeak-ja.el: New file.  Require cl when compiling.
	(shimbun-squeak-ja-make-contents): New function.
	(shimbun-make-contents): New method.
	(shimbun-squeak-ja-make-contents): Declare ADDRESS, NAME and DATE as
